# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =会員情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class Account

        #
        # ===会員IDを取得する
        # @return:: 会員ID
        #
        def account_id
          @account_id = nil unless instance_variable_defined?(:@account_id)
          @account_id
        end

        #
        # ===会員IDを設定する
        # @param:: account_id 会員ID
        #
        def account_id=(account_id)
          @account_id = account_id
        end

        #
        # ===ワンタイムトークンを取得する
        # @return:: ワンタイムトークン
        #
        def onetime_token
          @onetime_token = nil unless instance_variable_defined?(:@onetime_token)
          @onetime_token
        end

        #
        # ===ワンタイムトークンを設定する
        # @param:: onetime_token ワンタイムトークン
        #
        def onetime_token=(onetime_token)
          @onetime_token = onetime_token
        end

        #
        # ===ワンタイムトークン有効期限を取得する
        # @return:: ワンタイムトークン有効期限
        #
        def onetime_token_expire
          @onetime_token_expire = nil unless instance_variable_defined?(:@onetime_token_expire)
          @onetime_token_expire
        end

        #
        # ===ワンタイムトークン有効期限を設定する
        # @param:: onetime_token_expire ワンタイムトークン有効期限
        #
        def onetime_token_expire=(onetime_token_expire)
          @onetime_token_expire = onetime_token_expire
        end

        #
        # ===リクエスト項目を取得する
        # @return:: リクエスト項目
        #
        def trans_data
          @trans_data = nil unless instance_variable_defined?(:@trans_data)
          @trans_data
        end

        #
        # ===リクエスト項目を設定する
        # @param:: trans_data リクエスト項目
        #
        def trans_data=(trans_data)
          @trans_data = trans_data
        end

        #
        # ===会員基本情報を取得する
        # @return:: 会員基本情報
        #
        def account_basic
          @account_basic = nil unless instance_variable_defined?(:@account_basic)
          @account_basic
        end

        #
        # ===会員基本情報を設定する
        # @param:: account_basic 会員基本情報
        #
        def account_basic=(account_basic)
          @account_basic = account_basic
        end

        #
        # ===連絡先情報を取得する
        # @return:: 連絡先情報
        #
        def account_info
          @account_info = nil unless instance_variable_defined?(:@account_info)
          @account_info
        end

        #
        # ===連絡先情報を設定する
        # @param:: account_info 連絡先情報
        #
        def account_info=(account_info)
          @account_info = account_info
        end

        #
        # ===カード情報を取得する
        # @return:: カード情報
        #
        def card_info
          @card_info = nil unless instance_variable_defined?(:@card_info)
          @card_info
        end

        #
        # ===カード情報を設定する
        # @param:: card_info カード情報
        #
        def card_info=(card_info)
          @card_info = card_info
        end

        #
        # ===会員課金情報を取得する
        # @return:: 会員課金情報
        #
        def recurring_charge
          @recurring_charge = nil unless instance_variable_defined?(:@recurring_charge)
          @recurring_charge
        end

        #
        # ===会員課金情報を設定する
        # @param:: recurring_charge 会員課金情報
        #
        def recurring_charge=(recurring_charge)
          @recurring_charge = recurring_charge
        end

        #
        # ===銀行口座情報を取得する
        # @return:: 銀行口座情報
        #
        def bank_account_info
          @bank_account_info = nil unless instance_variable_defined?(:@bank_account_info)
          @bank_account_info
        end

        #
        # ===銀行口座情報を設定する
        # @param:: bank_account_info 銀行口座情報
        #
        def bank_account_info=(bank_account_info)
          @bank_account_info = bank_account_info
        end

      end
    end
  end
end
