# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Alipay、コマンド名：返金の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class AlipayRefundRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "alipay"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "Refund"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # 返金対象の取引IDを指定する。
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引金額を取得する
        # @return:: 取引金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===取引金額を設定する
        # 返金する金額を指定します。
        # - 返金における通貨は、与信同時売上の時に指定した通貨と同じものとなります。
        # - 残額と同額指定時は通常の返金とし、1円以上残額未満の場合部分返金とします。
        # - 中国元の場合に指定する値は、与信同時売上と同様、取引金額を100倍した値を指定してください。
        # @param:: amount 取引金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===理由を取得する
        # @return:: 理由
        #
        def reason
          @reason = nil unless instance_variable_defined?(:@reason)
          @reason
        end

        #
        # ===理由を設定する
        # 返金理由
        # - 最大文字数：80byte
        # 
        # payType=0（オンライン決済）：指定必須 
        # payType=1（バーコード決済（店舗スキャン型））：指定任意
        # payType=2（バーコード決済（消費者スキャン型））：指定任意
        # @param:: reason 理由
        #
        def reason=(reason)
          @reason = reason
        end


      end
    end
  end
end
