# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =銀行口座情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankAccountParam

        #
        # ===金融機関コードを取得する
        # @return:: 金融機関コード
        #
        def bank_code
          @bank_code = nil unless instance_variable_defined?(:@bank_code)
          @bank_code
        end

        #
        # ===金融機関コードを設定する
        # @param:: bank_code 金融機関コード
        #
        def bank_code=(bank_code)
          @bank_code = bank_code
        end

        #
        # ===支店コードを取得する
        # @return:: 支店コード
        #
        def branch_code
          @branch_code = nil unless instance_variable_defined?(:@branch_code)
          @branch_code
        end

        #
        # ===支店コードを設定する
        # @param:: branch_code 支店コード
        #
        def branch_code=(branch_code)
          @branch_code = branch_code
        end

        #
        # ===口座種別を取得する
        # @return:: 口座種別
        #
        def account_type
          @account_type = nil unless instance_variable_defined?(:@account_type)
          @account_type
        end

        #
        # ===口座種別を設定する
        # @param:: account_type 口座種別
        #
        def account_type=(account_type)
          @account_type = account_type
        end

        #
        # ===口座番号を取得する
        # @return:: 口座番号
        #
        def account_number
          @account_number = nil unless instance_variable_defined?(:@account_number)
          @account_number
        end

        #
        # ===口座番号を設定する
        # @param:: account_number 口座番号
        #
        def account_number=(account_number)
          @account_number = account_number
        end

        #
        # ===口座管理方式を取得する
        # @return:: 口座管理方式
        #
        def account_manage_type
          @account_manage_type = nil unless instance_variable_defined?(:@account_manage_type)
          @account_manage_type
        end

        #
        # ===口座管理方式を設定する
        # @param:: account_manage_type 口座管理方式
        #
        def account_manage_type=(account_manage_type)
          @account_manage_type = account_manage_type
        end

        #
        # ===銀行口座関連付け拒否フラグを取得する
        # @return:: 銀行口座関連付け拒否フラグ
        #
        def reject_bank_account
          @reject_bank_account = nil unless instance_variable_defined?(:@reject_bank_account)
          @reject_bank_account
        end

        #
        # ===銀行口座関連付け拒否フラグを設定する
        # @param:: reject_bank_account 銀行口座関連付け拒否フラグ
        #
        def reject_bank_account=(reject_bank_account)
          @reject_bank_account = reject_bank_account
        end

      end
    end
  end
end
