# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：銀行決済、コマンド名：決済の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankAuthorizeResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===リクエストIDを取得する
        # @return:: リクエストID
        #
        def request_id
          @request_id = nil unless instance_variable_defined?(:@request_id)
          @request_id
        end

        #
        # ===リクエストIDを設定する
        # @param:: requestId リクエストID
        #
        def request_id=(requestId)
          @request_id = requestId
        end

        #
        # ===収納機関番号を取得する
        # @return:: 収納機関番号
        #
        def shuno_kikan_no
          @shuno_kikan_no = nil unless instance_variable_defined?(:@shuno_kikan_no)
          @shuno_kikan_no
        end

        #
        # ===収納機関番号を設定する
        # @param:: shunoKikanNo 収納機関番号
        #
        def shuno_kikan_no=(shunoKikanNo)
          @shuno_kikan_no = shunoKikanNo
        end

        #
        # ===お客様番号を取得する
        # @return:: お客様番号
        #
        def customer_no
          @customer_no = nil unless instance_variable_defined?(:@customer_no)
          @customer_no
        end

        #
        # ===お客様番号を設定する
        # @param:: customerNo お客様番号
        #
        def customer_no=(customerNo)
          @customer_no = customerNo
        end

        #
        # ===確認番号を取得する
        # @return:: 確認番号
        #
        def confirm_no
          @confirm_no = nil unless instance_variable_defined?(:@confirm_no)
          @confirm_no
        end

        #
        # ===確認番号を設定する
        # @param:: confirmNo 確認番号
        #
        def confirm_no=(confirmNo)
          @confirm_no = confirmNo
        end

        #
        # ===支払パターンを取得する
        # @return:: 支払パターン
        #
        def bill_pattern
          @bill_pattern = nil unless instance_variable_defined?(:@bill_pattern)
          @bill_pattern
        end

        #
        # ===支払パターンを設定する
        # @param:: billPattern 支払パターン
        #
        def bill_pattern=(billPattern)
          @bill_pattern = billPattern
        end

        #
        # ===支払暗号文字列を取得する
        # @return:: 支払暗号文字列
        #
        def bill
          @bill = nil unless instance_variable_defined?(:@bill)
          @bill
        end

        #
        # ===支払暗号文字列を設定する
        # @param:: bill 支払暗号文字列
        #
        def bill=(bill)
          @bill = bill
        end

        #
        # ===URLを取得する
        # @return:: URL
        #
        def url
          @url = nil unless instance_variable_defined?(:@url)
          @url
        end

        #
        # ===URLを設定する
        # @param:: url URL
        #
        def url=(url)
          @url = url
        end

        #
        # ===画面情報を取得する
        # @return:: 画面情報
        #
        def view
          @view = nil unless instance_variable_defined?(:@view)
          @view
        end

        #
        # ===画面情報を設定する
        # @param:: view 画面情報
        #
        def view=(view)
          @view = view
        end

        #
        # ===MDK バージョンを取得する
        # - 電文のバージョン番号。
        # @return:: MDK バージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDK バージョンを設定する
        # @param:: txn_version MDK バージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===レスポンスからTradURLを取得する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def get_trad_url()
          return find_trad_url()
        end

      end
    end
  end
end
