# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:bank検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankSearchParameter

        #
        # ===詳細オーダー決済状態を取得する
        # @return:: 詳細オーダー決済状態
        #
        def detail_order_type
          @detail_order_type = nil unless instance_variable_defined?(:@detail_order_type)
          @detail_order_type
        end

        #
        # ===詳細オーダー決済状態を設定する
        # @param:: detail_order_type 詳細オーダー決済状態
        #
        def detail_order_type=(detail_order_type)
          @detail_order_type = detail_order_type
        end

        #
        # ===支払い種別を取得する
        # @return:: 支払い種別
        #
        def option_type
          @option_type = nil unless instance_variable_defined?(:@option_type)
          @option_type
        end

        #
        # ===支払い種別を設定する
        # @param:: option_type 支払い種別
        #
        def option_type=(option_type)
          @option_type = option_type
        end

        #
        # ===支払期限（From, To）を取得する
        # @return:: 支払期限（From, To）
        #
        def pay_limit
          @pay_limit = nil unless instance_variable_defined?(:@pay_limit)
          @pay_limit
        end

        #
        # ===支払期限（From, To）を設定する
        # @param:: pay_limit 支払期限（From, To）
        #
        def pay_limit=(pay_limit)
          @pay_limit = pay_limit
        end

        #
        # ===収納日時（From, To）を取得する
        # @return:: 収納日時（From, To）
        #
        def received_datetime
          @received_datetime = nil unless instance_variable_defined?(:@received_datetime)
          @received_datetime
        end

        #
        # ===収納日時（From, To）を設定する
        # @param:: received_datetime 収納日時（From, To）
        #
        def received_datetime=(received_datetime)
          @received_datetime = received_datetime
        end

        #
        # ===収納機関番号を取得する
        # @return:: 収納機関番号
        #
        def shuno_kikan_no
          @shuno_kikan_no = nil unless instance_variable_defined?(:@shuno_kikan_no)
          @shuno_kikan_no
        end

        #
        # ===収納機関番号を設定する
        # "*"によるワイルドカード検索が可能
        #
        # @param:: shuno_kikan_no 収納機関番号
        #
        def shuno_kikan_no=(shuno_kikan_no)
          @shuno_kikan_no = shuno_kikan_no
        end

        #
        # ===収納企業コードを取得する
        # @return:: 収納企業コード
        #
        def shuno_kigyo_no
          @shuno_kigyo_no = nil unless instance_variable_defined?(:@shuno_kigyo_no)
          @shuno_kigyo_no
        end

        #
        # ===収納企業コードを設定する
        # "*"によるワイルドカード検索が可能
        #
        # @param:: shuno_kigyo_no 収納企業コード
        #
        def shuno_kigyo_no=(shuno_kigyo_no)
          @shuno_kigyo_no = shuno_kigyo_no
        end

        #
        # ===お客様番号を取得する
        # @return:: お客様番号
        #
        def customer_no
          @customer_no = nil unless instance_variable_defined?(:@customer_no)
          @customer_no
        end

        #
        # ===お客様番号を設定する
        # "*"によるワイルドカード検索が可能
        #
        # @param:: customer_no お客様番号
        #
        def customer_no=(customer_no)
          @customer_no = customer_no
        end

        #
        # ===確認番号を取得する
        # @return:: 確認番号
        #
        def confirm_no
          @confirm_no = nil unless instance_variable_defined?(:@confirm_no)
          @confirm_no
        end

        #
        # ===確認番号を設定する
        # "*"によるワイルドカード検索が可能
        #
        # @param:: confirm_no 確認番号
        #
        def confirm_no=(confirm_no)
          @confirm_no = confirm_no
        end

      end
    end
  end
end
