# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：bankpay、コマンド名：会員登録の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankpayMemberAddRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "bankpay"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "MemberAdd"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===サービスオプションタイプを取得する
        # @return:: サービスオプションタイプ
        #
        def service_option_type
          @service_option_type = nil unless instance_variable_defined?(:@service_option_type)
          @service_option_type
        end

        #
        # ===サービスオプションタイプを設定する
        # - "online":オンライン決済
        # @param:: service_option_type サービスオプションタイプ
        #
        def service_option_type=(service_option_type)
          @service_option_type = service_option_type
        end

        #
        # ===会員IDを取得する
        # @return:: 会員ID
        #
        def member_id
          @member_id = nil unless instance_variable_defined?(:@member_id)
          @member_id
        end

        #
        # ===会員IDを設定する
        # - マーチャント側で会員を一意に表す会員IDを指定します。
        # - 会員ごとに一意である必要があります。
        # - 半角英数、“-”（ハイフン）、“_”（アンダースコア）も使用可能です。
        # @param:: member_id 会員ID
        #
        def member_id=(member_id)
          @member_id = member_id
        end

        #
        # ===利用者端末識別IDを取得する
        # @return:: 利用者端末識別ID
        #
        def user_terminal_id
          @user_terminal_id = nil unless instance_variable_defined?(:@user_terminal_id)
          @user_terminal_id
        end

        #
        # ===利用者端末識別IDを設定する
        # 利用者の端末を識別するIDを指定します。
        # スマホなどのデバイスを識別するためのUUIDなどの情報で、EC利用などの場合は一意なランダムな値を設定します。
        # @param:: user_terminal_id 利用者端末識別ID
        #
        def user_terminal_id=(user_terminal_id)
          @user_terminal_id = user_terminal_id
        end

        #
        # ===氏名を取得する
        # @return:: 氏名
        #
        def user_name
          @user_name = nil unless instance_variable_defined?(:@user_name)
          @user_name
        end

        #
        # ===氏名を設定する
        # 会員の氏名を入力します。
        # @param:: user_name 氏名
        #
        def user_name=(user_name)
          @user_name = user_name
        end

        #
        # ===カナ名を取得する
        # @return:: カナ名
        #
        def user_name_kana
          @user_name_kana = nil unless instance_variable_defined?(:@user_name_kana)
          @user_name_kana
        end

        #
        # ===カナ名を設定する
        # 会員のカナ名を入力します。
        # @param:: user_name_kana カナ名
        #
        def user_name_kana=(user_name_kana)
          @user_name_kana = user_name_kana
        end

        #
        # ===生年月日を取得する
        # @return:: 生年月日
        #
        def birth_date
          @birth_date = nil unless instance_variable_defined?(:@birth_date)
          @birth_date
        end

        #
        # ===生年月日を設定する
        # 会員の生年月日を入力します。
        # 書式はYYYYMMDD。
        # 例)20220531
        # @param:: birth_date 生年月日
        #
        def birth_date=(birth_date)
          @birth_date = birth_date
        end

        #
        # ===性別を取得する
        # @return:: 性別
        #
        def gender
          @gender = nil unless instance_variable_defined?(:@gender)
          @gender
        end

        #
        # ===性別を設定する
        # 会員の性別を入力します。
        # -"M":男
        # -"F":女
        # @param:: gender 性別
        #
        def gender=(gender)
          @gender = gender
        end

        #
        # ===郵便番号を取得する
        # @return:: 郵便番号
        #
        def zipcode
          @zipcode = nil unless instance_variable_defined?(:@zipcode)
          @zipcode
        end

        #
        # ===郵便番号を設定する
        # 会員の郵便番号を入力します。
        # -ハイフン有でも無でも指定可能です。
        # @param:: zipcode 郵便番号
        #
        def zipcode=(zipcode)
          @zipcode = zipcode
        end

        #
        # ===住所を取得する
        # @return:: 住所
        #
        def address
          @address = nil unless instance_variable_defined?(:@address)
          @address
        end

        #
        # ===住所を設定する
        # 会員の住所を入力します。
        # @param:: address 住所
        #
        def address=(address)
          @address = address
        end

        #
        # ===電話番号を取得する
        # @return:: 電話番号
        #
        def tel_number
          @tel_number = nil unless instance_variable_defined?(:@tel_number)
          @tel_number
        end

        #
        # ===電話番号を設定する
        # 会員の電話番号を入力します。
        # -ハイフン有でも無でも指定可能です。
        # @param:: tel_number 電話番号
        #
        def tel_number=(tel_number)
          @tel_number = tel_number
        end

        #
        # ===携帯番号を取得する
        # @return:: 携帯番号
        #
        def mobile_number
          @mobile_number = nil unless instance_variable_defined?(:@mobile_number)
          @mobile_number
        end

        #
        # ===携帯番号を設定する
        # 会員の携帯番号を入力します。
        # -ハイフン有でも無でも指定可能です。
        # @param:: mobile_number 携帯番号
        #
        def mobile_number=(mobile_number)
          @mobile_number = mobile_number
        end

        #
        # ===メールアドレスを取得する
        # @return:: メールアドレス
        #
        def email_address
          @email_address = nil unless instance_variable_defined?(:@email_address)
          @email_address
        end

        #
        # ===メールアドレスを設定する
        # 会員のメールアドレスを入力します。
        # @param:: email_address メールアドレス
        #
        def email_address=(email_address)
          @email_address = email_address
        end

        #
        # ===メールアドレス2を取得する
        # @return:: メールアドレス2
        #
        def email_address2
          @email_address2 = nil unless instance_variable_defined?(:@email_address2)
          @email_address2
        end

        #
        # ===メールアドレス2を設定する
        # 会員のメールアドレスが2つある場合2つ目を入力します。
        # @param:: email_address2 メールアドレス2
        #
        def email_address2=(email_address2)
          @email_address2 = email_address2
        end

        #
        # ===摘要を取得する
        # @return:: 摘要
        #
        def remarks
          @remarks = nil unless instance_variable_defined?(:@remarks)
          @remarks
        end

        #
        # ===摘要を設定する
        # 会員についての備考項目を入力します。
        # @param:: remarks 摘要
        #
        def remarks=(remarks)
          @remarks = remarks
        end


      end
    end
  end
end
