# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：bankpay、コマンド名：会員更新の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class BankpayMemberUpdateResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # 決済サービスの区分を返却します。
        # "bankpay"： BankPay
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # 決済請求処理後、応答電文に含まれる値を返却します。
        # 以下の処理結果のいずれかが格納される
        # - success：正常終了
        # - failure：異常終了
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # 処理結果を詳細に表すコードを返却します。
        # 
        # 4桁ずつ4つのブロックで構成され、各ブロックでサービス毎の処理結果を表します。
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # 処理結果に対するメッセージを返却します。
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===処理通番を取得する
        # 決済サーバにて採番する処理通番
        # @return:: 処理通番
        #
        def process_id
          @process_id = nil unless instance_variable_defined?(:@process_id)
          @process_id
        end

        #
        # ===処理通番を設定する
        # @param:: process_id 処理通番
        #
        def process_id=(process_id)
          @process_id = process_id
        end

        #
        # ===MDKバージョンを取得する
        # 電文のバージョン番号を返却します。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===会員IDを取得する
        # 更新対象の会員IDを返却します。
        # @return:: 会員ID
        #
        def member_id
          @member_id = nil unless instance_variable_defined?(:@member_id)
          @member_id
        end

        #
        # ===会員IDを設定する
        # @param:: member_id 会員ID
        #
        def member_id=(member_id)
          @member_id = member_id
        end

        #
        # ===決済センター側の処理通番を取得する
        # BankPayにて採番する処理通番を返却します。
        # @return:: 決済センター側の処理通番
        #
        def center_transaction_id
          @center_transaction_id = nil unless instance_variable_defined?(:@center_transaction_id)
          @center_transaction_id
        end

        #
        # ===決済センター側の処理通番を設定する
        # @param:: center_transaction_id 決済センター側の処理通番
        #
        def center_transaction_id=(center_transaction_id)
          @center_transaction_id = center_transaction_id
        end

        #
        # ===決済センター処理日時を取得する
        # BankPay側で会員更新された日時を返却します。（YYYYMMDDhhmmss形式）
        # @return:: 決済センター処理日時
        #
        def center_processing_datetime
          @center_processing_datetime = nil unless instance_variable_defined?(:@center_processing_datetime)
          @center_processing_datetime
        end

        #
        # ===決済センター処理日時を設定する
        # @param:: center_processing_datetime 決済センター処理日時
        #
        def center_processing_datetime=(center_processing_datetime)
          @center_processing_datetime = center_processing_datetime
        end


        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end



      end
    end
  end
end
