# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：カード、コマンド名：申込の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CardAuthorizeResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDK バージョンを取得する
        # - 電文のバージョン番号。
        # @return:: MDK バージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDK バージョンを設定する
        # @param:: txn_version MDK バージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===カードトランザクションタイプを取得する
        # @return:: カードトランザクションタイプ
        #
        def card_transactiontype
          @card_transactiontype = nil unless instance_variable_defined?(:@card_transactiontype)
          @card_transactiontype
        end

        #
        # ===カードトランザクションタイプを設定する
        # @param:: card_transaction_type カードトランザクションタイプ
        #
        def card_transactiontype=(card_transaction_type)
          @card_transactiontype = card_transaction_type
        end

        #
        # ===ゲートウェイ要求日時を取得する
        # @return:: ゲートウェイ要求日時
        #
        def gateway_request_date
          @gateway_request_date = nil unless instance_variable_defined?(:@gateway_request_date)
          @gateway_request_date
        end

        #
        # ===ゲートウェイ要求日時を設定する
        # @param:: gateway_request_date ゲートウェイ要求日時
        #
        def gateway_request_date=(gateway_request_date)
          @gateway_request_date = gateway_request_date
        end

        #
        # ===ゲートウェイ応答日時を取得する
        # @return:: ゲートウェイ応答日時
        #
        def gateway_response_date
          @gateway_response_date = nil unless instance_variable_defined?(:@gateway_response_date)
          @gateway_response_date
        end

        #
        # ===ゲートウェイ応答日時を設定する
        # @param:: gateway_response_date ゲートウェイ応答日時
        #
        def gateway_response_date=(gateway_response_date)
          @gateway_response_date = gateway_response_date
        end

        #
        # ===センター要求日時を取得する
        # @return:: センター要求日時
        #
        def center_request_date
          @center_request_date = nil unless instance_variable_defined?(:@center_request_date)
          @center_request_date
        end

        #
        # ===センター要求日時を設定する
        # @param:: center_request_date センター要求日時
        #
        def center_request_date=(center_request_date)
          @center_request_date = center_request_date
        end

        #
        # ===センター応答日時を取得する
        # @return:: センター応答日時
        #
        def center_response_date
          @center_response_date = nil unless instance_variable_defined?(:@center_response_date)
          @center_response_date
        end

        #
        # ===センター応答日時を設定する
        # @param:: center_response_date センター応答日時
        #
        def center_response_date=(center_response_date)
          @center_response_date = center_response_date
        end

        #
        # ===ペンディングを取得する
        # @return:: ペンディング
        #
        def pending
          @pending = nil unless instance_variable_defined?(:@pending)
          @pending
        end

        #
        # ===ペンディングを設定する
        # @param:: pending ペンディング
        #
        def pending=(pending)
          @pending = pending
        end

        #
        # ===ループバックを取得する
        # @return:: ループバック
        #
        def loopback
          @loopback = nil unless instance_variable_defined?(:@loopback)
          @loopback
        end

        #
        # ===ループバックを設定する
        # @param:: loopback ループバック
        #
        def loopback=(loopback)
          @loopback = loopback
        end

        #
        # ===接続先カード接続センターを取得する
        # @return:: 接続先カード接続センター
        #
        def connected_center_id
          @connected_center_id = nil unless instance_variable_defined?(:@connected_center_id)
          @connected_center_id
        end

        #
        # ===接続先カード接続センターを設定する
        # @param:: connected_center_id 接続先カード接続センター
        #
        def connected_center_id=(connected_center_id)
          @connected_center_id = connected_center_id
        end

        #
        # ===センター要求番号を取得する
        # @return:: センター要求番号
        #
        def center_request_number
          @center_request_number = nil unless instance_variable_defined?(:@center_request_number)
          @center_request_number
        end

        #
        # ===センター要求番号を設定する
        # @param:: center_request_number センター要求番号
        #
        def center_request_number=(center_request_number)
          @center_request_number = center_request_number
        end

        #
        # ===センターリファレンス番号を取得する
        # @return:: センターリファレンス番号
        #
        def center_reference_number
          @center_reference_number = nil unless instance_variable_defined?(:@center_reference_number)
          @center_reference_number
        end

        #
        # ===センターリファレンス番号を設定する
        # @param:: center_reference_number センターリファレンス番号
        #
        def center_reference_number=(center_reference_number)
          @center_reference_number = center_reference_number
        end

        #
        # ===要求カード番号を取得する
        # @return:: 要求カード番号
        #
        def req_card_number
          @req_card_number = nil unless instance_variable_defined?(:@req_card_number)
          @req_card_number
        end

        #
        # ===要求カード番号を設定する
        # @param:: req_card_number 要求カード番号
        #
        def req_card_number=(req_card_number)
          @req_card_number = req_card_number
        end

        #
        # ===要求カード有効期限を取得する
        # @return:: 要求カード有効期限
        #
        def req_card_expire
          @req_card_expire = nil unless instance_variable_defined?(:@req_card_expire)
          @req_card_expire
        end

        #
        # ===要求カード有効期限を設定する
        # @param:: req_card_expire 要求カード有効期限
        #
        def req_card_expire=(req_card_expire)
          @req_card_expire = req_card_expire
        end

        #
        # ===要求カードオプションタイプを取得する
        # @return:: 要求カードオプションタイプ
        #
        def req_card_option_type
          @req_card_option_type = nil unless instance_variable_defined?(:@req_card_option_type)
          @req_card_option_type
        end

        #
        # ===要求カードオプションタイプを設定する
        # @param:: req_card_option_type 要求カードオプションタイプ
        #
        def req_card_option_type=(req_card_option_type)
          @req_card_option_type = req_card_option_type
        end

        #
        # ===要求取引金額を取得する
        # @return:: 要求取引金額
        #
        def req_amount
          @req_amount = nil unless instance_variable_defined?(:@req_amount)
          @req_amount
        end

        #
        # ===要求取引金額を設定する
        # @param:: req_amount 要求取引金額
        #
        def req_amount=(req_amount)
          @req_amount = req_amount
        end

        #
        # ===要求マーチャントトランザクション番号を取得する
        # @return:: 要求マーチャントトランザクション番号
        #
        def req_merchant_transaction
          @req_merchant_transaction = nil unless instance_variable_defined?(:@req_merchant_transaction)
          @req_merchant_transaction
        end

        #
        # ===要求マーチャントトランザクション番号を設定する
        # @param:: req_merchant_transaction 要求マーチャントトランザクション番号
        #
        def req_merchant_transaction=(req_merchant_transaction)
          @req_merchant_transaction = req_merchant_transaction
        end

        #
        # ===要求リターン参照番号を取得する
        # @return:: 要求リターン参照番号
        #
        def req_return_reference_number
          @req_return_reference_number = nil unless instance_variable_defined?(:@req_return_reference_number)
          @req_return_reference_number
        end

        #
        # ===要求リターン参照番号を設定する
        # @param:: req_return_reference_number 要求リターン参照番号
        #
        def req_return_reference_number=(req_return_reference_number)
          @req_return_reference_number = req_return_reference_number
        end

        #
        # ===要求承認番号を取得する
        # @return:: 要求承認番号
        #
        def req_auth_code
          @req_auth_code = nil unless instance_variable_defined?(:@req_auth_code)
          @req_auth_code
        end

        #
        # ===要求承認番号を設定する
        # @param:: req_auth_code 要求承認番号
        #
        def req_auth_code=(req_auth_code)
          @req_auth_code = req_auth_code
        end

        #
        # ===要求仕向先コードを取得する
        # @return:: 要求仕向先コード
        #
        def req_acquirer_code
          @req_acquirer_code = nil unless instance_variable_defined?(:@req_acquirer_code)
          @req_acquirer_code
        end

        #
        # ===要求仕向先コードを設定する
        # @param:: req_aquirer_code 要求仕向先コード
        #
        def req_acquirer_code=(req_aquirer_code)
          @req_acquirer_code = req_aquirer_code
        end

        #
        # ===要求商品コードを取得する
        # @return:: 要求商品コード
        #
        def req_item_code
          @req_item_code = nil unless instance_variable_defined?(:@req_item_code)
          @req_item_code
        end

        #
        # ===要求商品コードを設定する
        # @param:: req_item_code 要求商品コード
        #
        def req_item_code=(req_item_code)
          @req_item_code = req_item_code
        end

        #
        # ===要求カードセンターを取得する
        # @return:: 要求カードセンター
        #
        def req_card_center
          @req_card_center = nil unless instance_variable_defined?(:@req_card_center)
          @req_card_center
        end

        #
        # ===要求カードセンターを設定する
        # @param:: req_card_center 要求カードセンター
        #
        def req_card_center=(req_card_center)
          @req_card_center = req_card_center
        end

        #
        # ===要求JPO情報を取得する
        # @return:: 要求JPO情報
        #
        def req_jpo_information
          @req_jpo_information = nil unless instance_variable_defined?(:@req_jpo_information)
          @req_jpo_information
        end

        #
        # ===要求JPO情報を設定する
        # @param:: req_jpo_information 要求JPO情報
        #
        def req_jpo_information=(req_jpo_information)
          @req_jpo_information = req_jpo_information
        end

        #
        # ===要求売上日を取得する
        # @return:: 要求売上日
        #
        def req_sales_day
          @req_sales_day = nil unless instance_variable_defined?(:@req_sales_day)
          @req_sales_day
        end

        #
        # ===要求売上日を設定する
        # @param:: req_sales_day 要求売上日
        #
        def req_sales_day=(req_sales_day)
          @req_sales_day = req_sales_day
        end

        #
        # ===要求取消日を取得する
        # @return:: 要求取消日
        #
        def req_cancel_day
          @req_cancel_day = nil unless instance_variable_defined?(:@req_cancel_day)
          @req_cancel_day
        end

        #
        # ===要求取消日を設定する
        # @param:: req_cancel_day 要求取消日
        #
        def req_cancel_day=(req_cancel_day)
          @req_cancel_day = req_cancel_day
        end

        #
        # ===要求同時売上を取得する
        # @return:: 要求同時売上
        #
        def req_with_capture
          @req_with_capture = nil unless instance_variable_defined?(:@req_with_capture)
          @req_with_capture
        end

        #
        # ===要求同時売上を設定する
        # @param:: req_with_capture 要求同時売上
        #
        def req_with_capture=(req_with_capture)
          @req_with_capture = req_with_capture
        end

        #
        # ===要求同時直接を取得する
        # @return:: 要求同時直接
        #
        def req_with_direct
          @req_with_direct = nil unless instance_variable_defined?(:@req_with_direct)
          @req_with_direct
        end

        #
        # ===要求同時直接を設定する
        # @param:: req_with_direct 要求同時直接
        #
        def req_with_direct=(req_with_direct)
          @req_with_direct = req_with_direct
        end

        #
        # ===要求3Dメッセージバージョンを取得する
        # @return:: 要求3Dメッセージバージョン
        #
        def req3d_message_version
          @req3d_message_version = nil unless instance_variable_defined?(:@req3d_message_version)
          @req3d_message_version
        end

        #
        # ===要求3Dメッセージバージョンを設定する
        # @param:: req3d_message_version 要求3Dメッセージバージョン
        #
        def req3d_message_version=(req3d_message_version)
          @req3d_message_version = req3d_message_version
        end

        #
        # ===要求3DトランザクションIDを取得する
        # @return:: 要求3DトランザクションID
        #
        def req3d_transaction_id
          @req3d_transaction_id = nil unless instance_variable_defined?(:@req3d_transaction_id)
          @req3d_transaction_id
        end

        #
        # ===要求3DトランザクションIDを設定する
        # @param:: req3d_transaction_id 要求3DトランザクションID
        #
        def req3d_transaction_id=(req3d_transaction_id)
          @req3d_transaction_id = req3d_transaction_id
        end

        #
        # ===要求3Dトランザクションステータスを取得する
        # @return:: 要求3Dトランザクションステータス
        #
        def req3d_transaction_status
          @req3d_transaction_status = nil unless instance_variable_defined?(:@req3d_transaction_status)
          @req3d_transaction_status
        end

        #
        # ===要求3Dトランザクションステータスを設定する
        # @param:: req3d_transaction_status 要求3Dトランザクションステータス
        #
        def req3d_transaction_status=(req3d_transaction_status)
          @req3d_transaction_status = req3d_transaction_status
        end

        #
        # ===要求3D CAVVアルゴリズムを取得する
        # @return:: 要求3D CAVVアルゴリズム
        #
        def req3d_cavv_algorithm
          @req3d_cavv_algorithm = nil unless instance_variable_defined?(:@req3d_cavv_algorithm)
          @req3d_cavv_algorithm
        end

        #
        # ===要求3D CAVVアルゴリズムを設定する
        # @param:: req3d_cavv_algorithm 要求3D CAVVアルゴリズム
        #
        def req3d_cavv_algorithm=(req3d_cavv_algorithm)
          @req3d_cavv_algorithm = req3d_cavv_algorithm
        end

        #
        # ===要求3D CAVVを取得する
        # @return:: 要求3D CAVV
        #
        def req3d_cavv
          @req3d_cavv = nil unless instance_variable_defined?(:@req3d_cavv)
          @req3d_cavv
        end

        #
        # ===要求3D CAVVを設定する
        # @param:: req3d_cavv 要求3D CAVV
        #
        def req3d_cavv=(req3d_cavv)
          @req3d_cavv = req3d_cavv
        end

        #
        # ===要求3D ECIを取得する
        # @return:: 要求3D ECI
        #
        def req3d_eci
          @req3d_eci = nil unless instance_variable_defined?(:@req3d_eci)
          @req3d_eci
        end

        #
        # ===要求3D ECIを設定する
        # @param:: req3d_eci 要求3D ECI
        #
        def req3d_eci=(req3d_eci)
          @req3d_eci = req3d_eci
        end

        #
        # ===要求3D DSトランザクションIDを取得する
        # @return:: 要求3D DSトランザクションID
        #
        def req3d_ds_transaction_id
          @req3d_ds_transaction_id = nil unless instance_variable_defined?(:@req3d_ds_transaction_id)
          @req3d_ds_transaction_id
        end

        #
        # ===要求3D DSトランザクションIDを設定する
        # @param:: req3d_ds_transaction_id 要求3D DSトランザクションID
        #
        def req3d_ds_transaction_id=(req3d_ds_transaction_id)
          @req3d_ds_transaction_id = req3d_ds_transaction_id
        end

        #
        # ===要求3DサーバトランザクションIDを取得する
        # @return:: 要求3D サーバトランザクションID
        #
        def req3d_server_transaction_id
          @req3d_server_transaction_id = nil unless instance_variable_defined?(:@req3d_server_transaction_id)
          @req3d_server_transaction_id
        end

        #
        # ===要求3DサーバトランザクションIDを設定する
        # @param:: req3d_server_transaction_id 要求3DサーバトランザクションID
        #
        def req3d_server_transaction_id=(req3d_server_transaction_id)
          @req3d_server_transaction_id = req3d_server_transaction_id
        end

        #
        # ===要求セキュリティコードを取得する
        # @return:: 要求セキュリティコード
        #
        def req_security_code
          @req_security_code = nil unless instance_variable_defined?(:@req_security_code)
          @req_security_code
        end

        #
        # ===要求セキュリティコードを設定する
        # @param:: req_security_code 要求セキュリティコード
        #
        def req_security_code=(req_security_code)
          @req_security_code = req_security_code
        end

        #
        # ===要求認証番号を取得する
        # @return:: 要求認証番号
        #
        def req_auth_flag
          @req_auth_flag = nil unless instance_variable_defined?(:@req_auth_flag)
          @req_auth_flag
        end

        #
        # ===要求認証番号を設定する
        # @param:: req_auth_flag 要求認証番号
        #
        def req_auth_flag=(req_auth_flag)
          @req_auth_flag = req_auth_flag
        end

        #
        # ===要求誕生日を取得する
        # @return:: 要求誕生日
        #
        def req_birthday
          @req_birthday = nil unless instance_variable_defined?(:@req_birthday)
          @req_birthday
        end

        #
        # ===要求誕生日を設定する
        # @param:: req_birthday 要求誕生日
        #
        def req_birthday=(req_birthday)
          @req_birthday = req_birthday
        end

        #
        # ===要求電話番号を取得する
        # @return:: 要求電話番号
        #
        def req_tel
          @req_tel = nil unless instance_variable_defined?(:@req_tel)
          @req_tel
        end

        #
        # ===要求電話番号を設定する
        # @param:: req_tel 要求電話番号
        #
        def req_tel=(req_tel)
          @req_tel = req_tel
        end

        #
        # ===要求カナ名前（名）を取得する
        # @return:: 要求カナ名前（名）
        #
        def req_first_kana_name
          @req_first_kana_name = nil unless instance_variable_defined?(:@req_first_kana_name)
          @req_first_kana_name
        end

        #
        # ===要求カナ名前（名）を設定する
        # @param:: req_first_kana_name 要求カナ名前（名）
        #
        def req_first_kana_name=(req_first_kana_name)
          @req_first_kana_name = req_first_kana_name
        end

        #
        # ===要求カナ名前（姓）を取得する
        # @return:: 要求カナ名前（姓）
        #
        def req_last_kana_name
          @req_last_kana_name = nil unless instance_variable_defined?(:@req_last_kana_name)
          @req_last_kana_name
        end

        #
        # ===要求カナ名前（姓）を設定する
        # @param:: req_last_kana_name 要求カナ名前（姓）
        #
        def req_last_kana_name=(req_last_kana_name)
          @req_last_kana_name = req_last_kana_name
        end

        #
        # ===応答マーチャントトランザクション番号を取得する
        # @return:: 応答マーチャントトランザクション番号
        #
        def res_merchant_transaction
          @res_merchant_transaction = nil unless instance_variable_defined?(:@res_merchant_transaction)
          @res_merchant_transaction
        end

        #
        # ===応答マーチャントトランザクション番号を設定する
        # @param:: res_merchant_transaction 応答マーチャントトランザクション番号
        #
        def res_merchant_transaction=(res_merchant_transaction)
          @res_merchant_transaction = res_merchant_transaction
        end

        #
        # ===応答リターン参照番号を取得する
        # @return:: 応答リターン参照番号
        #
        def res_return_reference_number
          @res_return_reference_number = nil unless instance_variable_defined?(:@res_return_reference_number)
          @res_return_reference_number
        end

        #
        # ===応答リターン参照番号を設定する
        # @param:: res_return_reference_number 応答リターン参照番号
        #
        def res_return_reference_number=(res_return_reference_number)
          @res_return_reference_number = res_return_reference_number
        end

        #
        # ===応答承認番号を取得する
        # @return:: 応答承認番号
        #
        def res_auth_code
          @res_auth_code = nil unless instance_variable_defined?(:@res_auth_code)
          @res_auth_code
        end

        #
        # ===応答承認番号を設定する
        # @param:: res_auth_code 応答承認番号
        #
        def res_auth_code=(res_auth_code)
          @res_auth_code = res_auth_code
        end

        #
        # ===アクションコードを取得する
        # @return:: アクションコード
        #
        def res_action_code
          @res_action_code = nil unless instance_variable_defined?(:@res_action_code)
          @res_action_code
        end

        #
        # ===アクションコードを設定する
        # @param:: res_action_code アクションコード
        #
        def res_action_code=(res_action_code)
          @res_action_code = res_action_code
        end

        #
        # ===応答センターエラーコードを取得する
        # @return:: 応答センターエラーコード
        #
        def res_center_error_code
          @res_center_error_code = nil unless instance_variable_defined?(:@res_center_error_code)
          @res_center_error_code
        end

        #
        # ===応答センターエラーコードを設定する
        # @param:: res_center_error_code 応答センターエラーコード
        #
        def res_center_error_code=(res_center_error_code)
          @res_center_error_code = res_center_error_code
        end

        #
        # ===応答与信期間を取得する
        # @return:: 応答与信期間
        #
        def res_auth_term
          @res_auth_term = nil unless instance_variable_defined?(:@res_auth_term)
          @res_auth_term
        end

        #
        # ===応答与信期間を設定する
        # @param:: res_auth_term 応答与信期間
        #
        def res_auth_term=(res_auth_term)
          @res_auth_term = res_auth_term
        end

        #
        # ===応答商品コードを取得する
        # @return:: 応答商品コード
        #
        def res_item_code
          @res_item_code = nil unless instance_variable_defined?(:@res_item_code)
          @res_item_code
        end

        #
        # ===応答商品コードを設定する
        # @param:: res_item_code 応答商品コード
        #
        def res_item_code=(res_item_code)
          @res_item_code = res_item_code
        end

        #
        # ===応答データを取得する
        # @return:: 応答データ
        #
        def res_response_data
          @res_response_data = nil unless instance_variable_defined?(:@res_response_data)
          @res_response_data
        end

        #
        # ===応答データを設定する
        # @param:: res_response_data 応答データ
        #
        def res_response_data=(res_response_data)
          @res_response_data = res_response_data
        end

        #
        # ===要求通貨単位を取得する
        # @return:: 要求通貨単位
        #
        def req_currency_unit
          @req_currency_unit = nil unless instance_variable_defined?(:@req_currency_unit)
          @req_currency_unit
        end

        #
        # ===要求通貨単位を設定する
        # @param:: req_currency_unit 要求通貨単位
        #
        def req_currency_unit=(req_currency_unit)
          @req_currency_unit = req_currency_unit
        end

        #
        # ===要求新規返品を取得する
        # @return:: 要求新規返品
        #
        def req_with_new
          @req_with_new = nil unless instance_variable_defined?(:@req_with_new)
          @req_with_new
        end

        #
        # ===要求新規返品を設定する
        # @param:: req_with_new 要求新規返品
        #
        def req_with_new=(req_with_new)
          @req_with_new = req_with_new
        end

        #
        # ===仕向け先コードを取得する
        # @return:: 仕向け先コード
        #
        def acquirer_code
          @acquirer_code = nil unless instance_variable_defined?(:@acquirer_code)
          @acquirer_code
        end

        #
        # ===仕向け先コードを設定する
        # @param:: acquirer_code 仕向け先コード
        #
        def acquirer_code=(acquirer_code)
          @acquirer_code = acquirer_code
        end

        #
        # ===端末識別番号を取得する
        # @return:: 端末識別番号
        #
        def terminal_id
          @terminal_id = nil unless instance_variable_defined?(:@terminal_id)
          @terminal_id
        end

        #
        # ===端末識別番号を設定する
        # @param:: terminal_id 端末識別番号
        #
        def terminal_id=(terminal_id)
          @terminal_id = terminal_id
        end

        #
        # ===不正検知評価取引情報を取得する
        # @return:: 不正検知評価取引情報
        #
        def fraud_detection_response
          @fraud_detection_response = nil unless instance_variable_defined?(:@fraud_detection_response)
          @fraud_detection_response
        end

        #
        # ===不正検知評価取引情報を設定する
        # - 不正検知評価取引情報を指定します。
        # @param:: fraud_detection_response 不正検知評価取引情報
        #
        def fraud_detection_response=(fraud_detection_response)
          @fraud_detection_response = fraud_detection_response
        end

        #
        # ===応答センター処理通番を取得する
        # @return:: 応答センター処理通番
        #
        def res_center_process_number
          @res_center_process_number = nil unless instance_variable_defined?(:@res_center_process_number)
          @res_center_process_number
        end

        #
        # ===応答センター処理通番を設定する
        # @param:: res_center_process_number 応答センター処理通番
        #
        def res_center_process_number=(res_center_process_number)
          @res_center_process_number = res_center_process_number
        end

        #
        # ===応答センター送信日時を取得する
        # @return:: 応答センター送信日時
        #
        def res_center_send_date_time
          @res_center_send_date_time = nil unless instance_variable_defined?(:@res_center_send_date_time)
          @res_center_send_date_time
        end

        #
        # ===応答センター送信日時を設定する
        # @param:: res_center_send_date_time 応答センター送信日時
        #
        def res_center_send_date_time=(res_center_send_date_time)
          @res_center_send_date_time = res_center_send_date_time
        end

        #
        # ===ギフト残高を取得する
        # @return:: ギフト残高
        #
        def res_gift_balance
          @res_gift_balance = nil unless instance_variable_defined?(:@res_gift_balance)
          @res_gift_balance
        end

        #
        # ===ギフト残高を設定する
        # @param:: res_gift_balance ギフト残高
        #
        def res_gift_balance=(res_gift_balance)
          @res_gift_balance = res_gift_balance
        end

        #
        # ===ギフト有効期限を取得する
        # @return:: ギフト有効期限
        #
        def res_gift_expire
          @res_gift_expire = nil unless instance_variable_defined?(:@res_gift_expire)
          @res_gift_expire
        end

        #
        # ===ギフト有効期限を設定する
        # @param:: res_gift_expire ギフト有効期限
        #
        def res_gift_expire=(res_gift_expire)
          @res_gift_expire = res_gift_expire
        end

        #
        # ===券種コードを取得する
        # @return:: 券種コード
        #
        def kind_code
          @kind_code = nil unless instance_variable_defined?(:@kind_code)
          @kind_code
        end

        #
        # ===券種コードを設定する
        # @param:: kind_code 券種コード
        #
        def kind_code=(kind_code)
          @kind_code = kind_code
        end

        #
        # ===JCNトークン結果コードを取得する
        # @return:: JCNトークン結果コード
        #
        def jcn_token_result_code
          @jcn_token_result_code = nil unless instance_variable_defined?(:@jcn_token_result_code)
          @jcn_token_result_code
        end

        #
        # ===JCNトークン結果コードを設定する
        # - 半角数字
        # - 1桁
        # - JCNトークン結果コードを指定します。（任意指定）
        #
        # @param:: jcn_token_result_code JCNトークン結果コード
        #
        def jcn_token_result_code=(jcn_token_result_code)
          @jcn_token_result_code = jcn_token_result_code
        end

        #
        # ===JCNトークン化カード番号を取得する
        # @return:: JCNトークン化カード番号
        #
        def jcn_token_member_num
          @jcn_token_member_num = nil unless instance_variable_defined?(:@jcn_token_member_num)
          @jcn_token_member_num
        end

        #
        # ===JCNトークン化カード番号を設定する
        # - 半角数字
        # - 16桁
        # - JCNトークン化カード番号を指定します。（任意指定）
        #
        # @param:: jcn_token_member_num JCNトークン化カード番号
        #
        def jcn_token_member_num=(jcn_token_member_num)
          @jcn_token_member_num = jcn_token_member_num
        end

        #
        # ===JCNトークンバージョンを取得する
        # @return:: JCNトークンバージョン
        #
        def jcn_token_version
          @jcn_token_version = nil unless instance_variable_defined?(:@jcn_token_version)
          @jcn_token_version
        end

        #
        # ===JCNトークンバージョンを設定する
        # - 半角数字
        # - 2桁
        # - JCNトークンバージョンを指定します。（任意指定）
        #
        # @param:: jcn_token_version JCNトークンバージョン
        #
        def jcn_token_version=(jcn_token_version)
          @jcn_token_version = jcn_token_version
        end

        #
        # ===JCNトークン判定結果1を取得する
        # @return:: JCNトークン判定結果1
        #
        def jcn_token_result1
          @jcn_token_result1 = nil unless instance_variable_defined?(:@jcn_token_result1)
          @jcn_token_result1
        end

        #
        # ===JCNトークン判定結果1を設定する
        # - 文字列
        # - 100桁
        # - JCNトークン判定結果1を指定します。（任意指定）
        #
        # @param:: jcn_token_result1 JCNトークン判定結果1
        #
        def jcn_token_result1=(jcn_token_result1)
          @jcn_token_result1 = jcn_token_result1
        end

        #
        # ===JCNトークン判定結果2を取得する
        # @return:: JCNトークン判定結果2
        #
        def jcn_token_result2
          @jcn_token_result2 = nil unless instance_variable_defined?(:@jcn_token_result2)
          @jcn_token_result2
        end

        #
        # ===JCNトークン判定結果2を設定する
        # - 文字列
        # - 100桁
        # - JCNトークン判定結果2を指定します。（任意指定）
        #
        # @param:: jcn_token_result2 JCNトークン判定結果2
        #
        def jcn_token_result2=(jcn_token_result2)
          @jcn_token_result2 = jcn_token_result2
        end

        #
        # ===JCNトークンエラーレスポンスコードを取得する
        # @return:: JCNトークンエラーレスポンスコード
        #
        def jcn_token_res_code
          @jcn_token_res_code = nil unless instance_variable_defined?(:@jcn_token_res_code)
          @jcn_token_res_code
        end

        #
        # ===JCNトークンエラーレスポンスコードを設定する
        # - 半角英数字
        # - 3桁
        # - JCNトークンエラーレスポンスコードを指定します。（任意指定）
        #
        # @param:: jcn_token_res_code JCNトークンエラーレスポンスコード
        #
        def jcn_token_res_code=(jcn_token_res_code)
          @jcn_token_res_code = jcn_token_res_code
        end

        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===レスポンスからTradURLを取得する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def get_trad_url()
          return find_trad_url()
        end

        #
        # ===プロパティ名と対応するクラス名のハッシュを取得する
        # プロパティ名と対応するクラス名のハッシュ
        #
        def get_property_class_name_hash()
          @hash = {"fraudDetectionResponse" => "FraudDetectionResponseDto"}
          @hash
        end

      end
    end
  end
end
