# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =カード情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CardParam

        #
        # ===カードIDを取得する
        # @return:: カードID
        #
        def card_id
          @card_id = nil unless instance_variable_defined?(:@card_id)
          @card_id
        end

        #
        # ===カードIDを設定する
        # @param:: card_id カードID
        #
        def card_id=(card_id)
          @card_id = card_id
        end

        #
        # ===標準カードフラグを取得する
        # @return:: 標準カードフラグ
        #
        def default_card
          @default_card = nil unless instance_variable_defined?(:@default_card)
          @default_card
        end

        #
        # ===標準カードIDを設定する
        # @param:: default_card_id 標準カードID
        #
        def default_card_id=(default_card_id)
          @default_card_id = default_card_id
        end

        #
        # ===標準カードIDを取得する
        # @return:: 標準カードID
        #
        def default_card_id
          @default_card_id = nil unless instance_variable_defined?(:@default_card_id)
          @default_card_id
        end

        #
        # ===標準カードフラグを設定する
        # @param:: default_card 標準カードフラグ
        #
        def default_card=(default_card)
          @default_card = default_card
        end

        #
        # ===洗替実施フラグを取得する
        # @return:: 洗替実施フラグ
        #
        def updater
          @updater = nil unless instance_variable_defined?(:@updater)
          @updater
        end

        #
        # ===カード番号を取得する
        # @return:: カード番号
        #
        def card_number
          @card_number = nil unless instance_variable_defined?(:@card_number)
          @card_number
        end

        #
        # ===洗替実施フラグを設定する
        # @param:: updater 洗替実施フラグ
        #
        def updater=(updater)
          @updater = updater
        end

        #
        # ===カード番号を設定する
        # @param:: card_number カード番号
        #
        def card_number=(card_number)
          @card_number = card_number
        end

        #
        # ===有効期限を取得する
        # @return:: 有効期限
        #
        def card_expire
          @card_expire = nil unless instance_variable_defined?(:@card_expire)
          @card_expire
        end

        #
        # ===有効期限を設定する
        # @param:: card_expire 有効期限
        #
        def card_expire=(card_expire)
          @card_expire = card_expire
        end

        #
        # ===セキュリティコードを取得する
        # @return:: セキュリティコード
        #
        def security_code
          @security_code = nil unless instance_variable_defined?(:@security_code)
          @security_code
        end

        #
        # ===セキュリティコードを設定する
        # @param:: security_code セキュリティコード
        #
        def security_code=(security_code)
          @security_code = security_code
        end

        #
        # ===カード保有者名を取得する
        # @return:: カード保有者名
        #
        def cardholder_name
          @cardholder_name = nil unless instance_variable_defined?(:@cardholder_name)
          @cardholder_name
        end

        #
        # ===カード保有者名を設定する
        # @param:: cardholder_name カード保有者名
        #
        def cardholder_name=(cardholder_name)
          @cardholder_name = cardholder_name
        end

        #
        # ===トークンを取得する
        # @return:: トークン
        #
        def token
          @token = nil unless instance_variable_defined?(:@token)
          @token
        end

        #
        # ===トークンを設定する
        # @param:: token トークン
        #
        def token=(token)
          @token = token
        end

        #
        # ===カード番号マスクタイプを取得する
        # @return:: カード番号マスクタイプ
        #
        def card_number_mask_type
          @card_number_mask_type = nil unless instance_variable_defined?(:@card_number_mask_type)
          @card_number_mask_type
        end

        #
        # ===カード番号マスクタイプを設定する
        # @param:: card_number_mask_type カード番号マスクタイプ
        #
        def card_number_mask_type=(card_number_mask_type)
          @card_number_mask_type = card_number_mask_type
        end

        #
        # ===与信実施フラグを取得する
        # @return:: 与信実施フラグ
        #
        def with_authorize
          @with_authorize = nil unless instance_variable_defined?(:@with_authorize)
          @with_authorize
        end

        #
        # ===与信実施フラグを設定する
        # @param:: with_authorize 与信実施フラグ
        #
        def with_authorize=(with_authorize)
          @with_authorize = with_authorize
        end

      end
    end
  end
end
