# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：キャリア、コマンド名：売上の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CarrierCaptureRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "carrier"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "Capture"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # 売上を計上する対象の取引IDを指定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===サービスオプションタイプを取得する
        # @return:: サービスオプションタイプ
        #
        def service_option_type
          @service_option_type = nil unless instance_variable_defined?(:@service_option_type)
          @service_option_type
        end

        #
        # ===サービスオプションタイプを設定する
        # - "docomo":ドコモケータイ払い
        # - "au":auかんたん決済
        # - "sb_ktai":ソフトバンクまとめて支払い（B）
        # - "s_bikkuri":S!まとめて支払い
        # - "flets":フレッツまとめて支払い
        # 以下は指定できない。
        # - "sb_matomete":ソフトバンクまとめて支払い（A）
        # @param:: service_option_type サービスオプションタイプ
        #
        def service_option_type=(service_option_type)
          @service_option_type = service_option_type
        end

        #
        # ===課金売上月を取得する
        # @return:: 課金売上月
        #
        def capture_month
          @capture_month = nil unless instance_variable_defined?(:@capture_month)
          @capture_month
        end

        #
        # ===課金売上月を設定する
        # docomo, flets, sb_ktaiで、継続課金（月額）の売上時のみ指定可能。
        # - YYYYMM形式
        # @param:: capture_month 課金売上月
        #
        def capture_month=(capture_month)
          @capture_month = capture_month
        end


      end
    end
  end
end
