# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索条件:共通検索パラメータクラス
      #
      # @author:: VeriTrans Inc.
      #
      class CommonSearchParameter

        #
        # ===オーダーIDを取得する
        # @return:: オーダーID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===オーダーIDを設定する
        # "*"によるワイルドカード検索が可能
        #
        # @param:: order_id オーダーID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===オーダー決済状態を取得する
        # @return:: オーダー決済状態
        #
        def order_status
          @order_status = nil unless instance_variable_defined?(:@order_status)
          @order_status
        end

        #
        # ===オーダー決済状態を設定する
        # @param:: order_status オーダー決済状態
        #
        def order_status=(order_status)
          @order_status = order_status
        end

        #
        # ===コマンドを取得する
        # @return:: コマンド
        #
        def command
          @command = nil unless instance_variable_defined?(:@command)
          @command
        end

        #
        # ===コマンドを設定する
        # @param:: command コマンド
        #
        def command=(command)
          @command = command
        end

        #
        # ===ステータスコードを取得する
        # @return:: ステータスコード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===ステータスコードを設定する
        # @param:: mstatus ステータスコード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===取引日時（From, To）を取得する
        # @return:: 取引日時（From, To）
        #
        def txn_datetime
          @txn_datetime = nil unless instance_variable_defined?(:@txn_datetime)
          @txn_datetime
        end

        #
        # ===取引日時（From, To）を設定する
        # @param:: txn_datetime 取引日時（From, To）
        #
        def txn_datetime=(txn_datetime)
          @txn_datetime = txn_datetime
        end

        #
        # ===金額（From, To）を取得する
        # @return:: 金額（From, To）
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===金額（From, To）を設定する
        # @param:: amount 金額（From, To）
        #
        def amount=(amount)
          @amount = amount
        end

      end
    end
  end
end
