# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知カード認証情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionAuthorizationDto

        #
        # ===決済処理結果を取得する
        # @return:: 決済処理結果
        #
        def declined
          @declined = nil unless instance_variable_defined?(:@declined)
          @declined
        end

        #
        # ===決済処理結果を設定する
        # @param:: declined 決済処理結果
        #
        def declined=(declined)
          @declined = declined
        end

        #
        # ===承認コードを取得する
        # @return:: 承認コード
        #
        def approval_code
          @approval_code = nil unless instance_variable_defined?(:@approval_code)
          @approval_code
        end

        #
        # ===承認コードを設定する
        # @param:: approval_code 承認コード
        #
        def approval_code=(approval_code)
          @approval_code = approval_code
        end

        #
        # ===住所検証システム(住所)判定結果を取得する
        # @return:: 住所検証システム(住所)判定結果
        #
        def avs_addr
          @avs_addr = nil unless instance_variable_defined?(:@avs_addr)
          @avs_addr
        end

        #
        # ===住所検証システム(住所)判定結果を設定する
        # @param:: avs_addr 住所検証システム(住所)判定結果
        #
        def avs_addr=(avs_addr)
          @avs_addr = avs_addr
        end

        #
        # ===住所検証システム(郵便番号)判定結果を取得する
        # @return:: 住所検証システム(郵便番号)判定結果
        #
        def avs_zip
          @avs_zip = nil unless instance_variable_defined?(:@avs_zip)
          @avs_zip
        end

        #
        # ===住所検証システム(郵便番号)判定結果を設定する
        # @param:: avs_zip 住所検証システム(郵便番号)判定結果
        #
        def avs_zip=(avs_zip)
          @avs_zip = avs_zip
        end

        #
        # ===cvv2判定結果を取得する
        # @return:: cvv2判定結果
        #
        def cvv2
          @cvv2 = nil unless instance_variable_defined?(:@cvv2)
          @cvv2
        end

        #
        # ===cvv2判定結果を設定する
        # @param:: cvv2 cvv2判定結果
        #
        def cvv2=(cvv2)
          @cvv2 = cvv2
        end

        #
        # ===3DS判定結果を取得する
        # @return:: 3DS判定結果
        #
        def ddds
          @ddds = nil unless instance_variable_defined?(:@ddds)
          @ddds
        end

        #
        # ===3DS判定結果を設定する
        # @param:: ddds 3DS判定結果
        #
        def ddds=(ddds)
          @ddds = ddds
        end

        #
        # ===3DSECIを取得する
        # @return:: 3DSECI
        #
        def eci
          @eci = nil unless instance_variable_defined?(:@eci)
          @eci
        end

        #
        # ===3DSECIを設定する
        # @param:: eci 3DSECI
        #
        def eci=(eci)
          @eci = eci
        end

        #
        # ===3DSトランザクションIDを取得する
        # @return:: 3DSトランザクションID
        #
        def xid
          @xid = nil unless instance_variable_defined?(:@xid)
          @xid
        end

        #
        # ===3DSトランザクションIDを設定する
        # @param:: xid 3DSトランザクションID
        #
        def xid=(xid)
          @xid = xid
        end

        #
        # ===アクワイアラを取得する
        # @return:: アクワイアラ
        #
        def bank
          @bank = nil unless instance_variable_defined?(:@bank)
          @bank
        end

        #
        # ===アクワイアラを設定する
        # @param:: bank アクワイアラ
        #
        def bank=(bank)
          @bank = bank
        end

        #
        # ===支払タイプを取得する
        # @return:: 支払タイプ
        #
        def type
          @type = nil unless instance_variable_defined?(:@type)
          @type
        end

        #
        # ===支払タイプを設定する
        # @param:: type 支払タイプ
        #
        def type=(type)
          @type = type
        end

        #
        # ===Amex強化認証-電話番号を取得する
        # @return:: Amex強化認証-電話番号
        #
        def enh_auth_phone
          @enh_auth_phone = nil unless instance_variable_defined?(:@enh_auth_phone)
          @enh_auth_phone
        end

        #
        # ===Amex強化認証-電話番号を設定する
        # @param:: enh_auth_phone Amex強化認証-電話番号
        #
        def enh_auth_phone=(enh_auth_phone)
          @enh_auth_phone = enh_auth_phone
        end

        #
        # ===Amex強化認証-名前を取得する
        # @return:: Amex強化認証-名前
        #
        def enh_auth_name
          @enh_auth_name = nil unless instance_variable_defined?(:@enh_auth_name)
          @enh_auth_name
        end

        #
        # ===Amex強化認証-名前を設定する
        # @param:: enh_auth_name Amex強化認証-名前
        #
        def enh_auth_name=(enh_auth_name)
          @enh_auth_name = enh_auth_name
        end

        #
        # ===Amex強化認証-Eメールを取得する
        # @return:: Amex強化認証-Eメール
        #
        def enh_auth_email
          @enh_auth_email = nil unless instance_variable_defined?(:@enh_auth_email)
          @enh_auth_email
        end

        #
        # ===Amex強化認証-Eメールを設定する
        # @param:: enh_auth_email Amex強化認証-Eメール
        #
        def enh_auth_email=(enh_auth_email)
          @enh_auth_email = enh_auth_email
        end

        #
        # ===PayPal決済サービス 住所確認を取得する
        # @return:: PayPal決済サービス 住所確認
        #
        def ps_addr
          @ps_addr = nil unless instance_variable_defined?(:@ps_addr)
          @ps_addr
        end

        #
        # ===PayPal決済サービス 住所確認を設定する
        # @param:: ps_addr PayPal決済サービス 住所確認
        #
        def ps_addr=(ps_addr)
          @ps_addr = ps_addr
        end

        #
        # ===PayPal決済サービス 支払人検証を取得する
        # @return:: PayPal決済サービス 支払人検証
        #
        def ps_payer
          @ps_payer = nil unless instance_variable_defined?(:@ps_payer)
          @ps_payer
        end

        #
        # ===PayPal決済サービス 支払人検証を設定する
        # @param:: ps_payer PayPal決済サービス 支払人検証
        #
        def ps_payer=(ps_payer)
          @ps_payer = ps_payer
        end


      end
    end
  end
end
