# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知Cafis Brain詳細結果応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionCbResponseDto

        #
        # ===IDを取得する
        # 取引情報を特定するための一意な ID 文字列。
        # @return:: ID
        #
        def id
          @id = nil unless instance_variable_defined?(:@id)
          @id
        end

        #
        # ===IDを設定する
        # @param:: id ID
        #
        def id=(id)
          @id = id
        end

        #
        # ===モデルコードを取得する
        # スコアリングを実施したモデルコード。
        # @return:: モデルコード
        #
        def model_code
          @model_code = nil unless instance_variable_defined?(:@model_code)
          @model_code
        end

        #
        # ===モデルコードを設定する
        # @param:: model_code モデルコード
        #
        def model_code=(model_code)
          @model_code = model_code
        end

        #
        # ===モデルバージョン番号を取得する
        # スコアリングを実施したモデルのバージョン番号。
        # @return:: モデルバージョン番号
        #
        def model_version
          @model_version = nil unless instance_variable_defined?(:@model_version)
          @model_version
        end

        #
        # ===モデルバージョン番号を設定する
        # @param:: model_version モデルバージョン番号
        #
        def model_version=(model_version)
          @model_version = model_version
        end

        #
        # ===組織コードを取得する
        # 組織コード。
        # @return:: 組織コード
        #
        def org_code
          @org_code = nil unless instance_variable_defined?(:@org_code)
          @org_code
        end

        #
        # ===組織コードを設定する
        # @param:: org_code 組織コード
        #
        def org_code=(org_code)
          @org_code = org_code
        end

        #
        # ===実施日時を取得する
        # スコアリング実施日時。
        # @return:: 実施日時
        #
        def time
          @time = nil unless instance_variable_defined?(:@time)
          @time
        end

        #
        # ===実施日時を設定する
        # @param:: time 実施日時
        #
        def time=(time)
          @time = time
        end

        #
        # ===結果点数を取得する
        # スコアリング結果点数。
        # @return:: 結果点数
        #
        def score
          @score = nil unless instance_variable_defined?(:@score)
          @score
        end

        #
        # ===結果点数を設定する
        # @param:: score 結果点数
        #
        def score=(score)
          @score = score
        end

        #
        # ===デバイスIDを取得する
        # CAFIS Brain が割り当てた一意なデバイス ID。
        # @return:: デバイスID
        #
        def device_id
          @device_id = nil unless instance_variable_defined?(:@device_id)
          @device_id
        end

        #
        # ===デバイスIDを設定する
        # @param:: device_id デバイスID
        #
        def device_id=(device_id)
          @device_id = device_id
        end

        #
        # ===TDL値を取得する
        # TDL 値（ミリ秒）
        # ※JSCで取得するエンドユーザ側のデバイスタイムスタンプとベリトランス側のサーバタイムスタンプとの時間差
        # @return:: TDL値
        #
        def tdl
          @tdl = nil unless instance_variable_defined?(:@tdl)
          @tdl
        end

        #
        # ===TDL値を設定する
        # @param:: tdl TDL値
        #
        def tdl=(tdl)
          @tdl = tdl
        end

        #
        # ===推奨アクションを取得する
        # リスクエンジンの結果とモデルの閾値設定によって判断された推奨アクション。
        # APPROVE：承認
        # INVESTIGATE：調査
        # REJECT：却下
        # @return:: 推奨アクション
        #
        def system_response
          @system_response = nil unless instance_variable_defined?(:@system_response)
          @system_response
        end

        #
        # ===推奨アクションを設定する
        # @param:: system_response 推奨アクション
        #
        def system_response=(system_response)
          @system_response = system_response
        end

        #
        # ===決定アクションを取得する
        # 運用担当者のアクション、システムレスポンスによって判断された推奨アクション。
        # 「システム」または、運用担当者により決定された最終アクション。
        # APPROVE：承認
        # CANCEL：取消
        # WAIT：保留
        # 「WAIT：保留」の場合は、運用担当者が判断の上、「APPROVE：承認」または「CANCEL：取消」として下さい。
        # @return:: 決定アクション
        #
        def fulfillment_action
          @fulfillment_action = nil unless instance_variable_defined?(:@fulfillment_action)
          @fulfillment_action
        end

        #
        # ===決定アクションを設定する
        # @param:: fulfillment_action 決定アクション
        #
        def fulfillment_action=(fulfillment_action)
          @fulfillment_action = fulfillment_action
        end

        #
        # ===監査証跡を取得する
        # 監査証跡オブジェクト
        # @return:: 監査証跡
        #
        def audit_trail
          @audit_trail = nil unless instance_variable_defined?(:@audit_trail)
          @audit_trail
        end

        #
        # ===監査証跡を設定する
        # @param:: audit_trail 監査証跡
        #
        def audit_trail=(audit_trail)
          @audit_trail = audit_trail
        end

        #
        # ===リスクレベルを取得する
        # systemResponse の結果と auditTrail データによって導き出されたリスクレベル。
        # LOW：低
        # MEDIUM：中
        # HIGH：高
        # @return:: リスクレベル
        #
        def risk_level
          @risk_level = nil unless instance_variable_defined?(:@risk_level)
          @risk_level
        end

        #
        # ===リスクレベルを設定する
        # @param:: risk_level リスクレベル
        #
        def risk_level=(risk_level)
          @risk_level = risk_level
        end

        #
        # ===警告を取得する
        # 警告オブジェクト
        # @return:: 警告
        #
        def warnings
          @warnings = nil unless instance_variable_defined?(:@warnings)
          @warnings
        end

        #
        # ===警告を設定する
        # @param:: warnings 警告
        #
        def warnings=(warnings)
          @warnings = warnings
        end

        #
        # ===プロパティ名と対応するクラス名のハッシュを取得する
        # @return:: プロパティ名と対応するクラス名のハッシュ
        #
        def get_property_class_name_hash()
          @hash = {"auditTrail" => "FraudDetectionCbAuditTrailDto", "warnings" => "FraudDetectionCbWarningDto"}
          @hash
        end


      end
    end
  end
end
