# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =不正検知配送情報Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class FraudDetectionShipmentDto

        #
        # ===出荷・配送先を取得する
        # @return:: 出荷・配送先
        #
        def recipient
          @recipient = nil unless instance_variable_defined?(:@recipient)
          @recipient
        end

        #
        # ===出荷・配送先を設定する
        # 出荷・配送先。contacts オブジェクトrefIdを設定してください。
        # @param:: recipient 出荷・配送先
        #
        def recipient=(recipient)
          @recipient = recipient
        end

        #
        # ===Shipping Detail Present Flagを取得する
        # @return:: Shipping Detail Present Flag
        #
        def ship_type_cd
          @ship_type_cd = nil unless instance_variable_defined?(:@ship_type_cd)
          @ship_type_cd
        end

        #
        # ===Shipping Detail Present Flagを設定する
        # @param:: ship_type_cd Shipping Detail Present Flag
        #
        def ship_type_cd=(ship_type_cd)
          @ship_type_cd = ship_type_cd
        end

        #
        # ===発送日時を取得する
        # @return:: 発送日時
        #
        def scheduled_ship_time
          @scheduled_ship_time = nil unless instance_variable_defined?(:@scheduled_ship_time)
          @scheduled_ship_time
        end

        #
        # ===発送日時を設定する
        # 発送日時を"YYYY-MM-DDTHH:MM:SS.MsMsMsZ"で設定してください。
        # @param:: scheduled_ship_time 発送日時
        #
        def scheduled_ship_time=(scheduled_ship_time)
          @scheduled_ship_time = scheduled_ship_time
        end

        #
        # ===保険フラグを取得する
        # @return:: 保険フラグ
        #
        def insured
          @insured = nil unless instance_variable_defined?(:@insured)
          @insured
        end

        #
        # ===保険フラグを設定する
        # 発送に保険が掛けられているかを設定してください。（true：保険を掛けている）
        # @param:: insured 保険フラグ
        #
        def insured=(insured)
          @insured = insured
        end

        #
        # ===出荷方法を取得する
        # @return:: 出荷方法
        #
        def method
          @method = nil unless instance_variable_defined?(:@method)
          @method
        end

        #
        # ===出荷方法を設定する
        # 出荷方法を設定してください。
        # 選択肢は「DIGITAL,GROUND,IN_STORE,OVERNIGHT,SAME_DAY,2ND_DAY,3RD_DAY,LOW_COST,DESIGNATED,INTERNATIONAL,OTHER」の何れかになります。
        # DIGITAL：デジタルコンテンツ
        # GROUND：通常発送
        # IN_STORE：店舗受取
        # OVERNIGHT：夜間発送
        # SAME_DAY：当日発送
        # 2ND_DAY：2 日発送
        # 3RD_DAY：3 日発送
        # LOW_COST：低料金発送
        # DESIGNATED：指定日発送
        # INTERNATIONAL：海外発送
        # OTHER：上記以外
        # @param:: method 出荷方法
        #
        def method=(method)
          @method = method
        end

        #
        # ===発送時コメントを取得する
        # @return:: 発送時コメント
        #
        def comment
          @comment = nil unless instance_variable_defined?(:@comment)
          @comment
        end

        #
        # ===発送時コメントを設定する
        # 発送時コメントを設定してください。
        # @param:: comment 発送時コメント
        #
        def comment=(comment)
          @comment = comment
        end

        #
        # ===お問い合わせ番号を取得する
        # @return:: お問い合わせ番号
        #
        def tracking_number
          @tracking_number = nil unless instance_variable_defined?(:@tracking_number)
          @tracking_number
        end

        #
        # ===お問い合わせ番号を設定する
        # お問い合わせ番号を入力してください。
        # @param:: tracking_number お問い合わせ番号
        #
        def tracking_number=(tracking_number)
          @tracking_number = tracking_number
        end

        #
        # ===送料情報を取得する
        # @return:: 送料情報
        #
        def cost
          @cost = nil unless instance_variable_defined?(:@cost)
          @cost
        end

        #
        # ===送料情報を設定する
        # 送料情報オブジェクト
        # @param:: cost 送料情報
        #
        def cost=(cost)
          @cost = cost
        end

        #
        # ===商品詳細情報を取得する
        # @return:: 商品詳細情報
        #
        def line_items
          @line_items = nil unless instance_variable_defined?(:@line_items)
          @line_items
        end

        #
        # ===商品詳細情報を設定する
        # 商品詳細情報。
        # lineItems オブジェクトrefId を設定してください。
        # @param:: line_items 商品詳細情報
        #
        def line_items=(line_items)
          @line_items = line_items
        end


      end
    end
  end
end
