# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：MPI、コマンド名：認可の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class MpiAuthorizeResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # 決済サービスの区分を返却します。
        # - "mpi"： MPI
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # 決済請求処理後、応答電文に含まれる値。
        # 以下の処理結果のいずれかが格納される
        # - success：正常終了
        # - failure：異常終了
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # 処理結果を詳細に表すコードを返却します。
        # 
        # 4桁ずつ4つのブロックで構成され、各ブロックでサービス毎の処理結果を表します。
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # 処理結果に対するメッセージを返却します。
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDKバージョンを取得する
        # 電文のバージョン番号を返却します。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===MPIトランザクションタイプを取得する
        # MPIトランザクションタイプ
        # @return:: MPIトランザクションタイプ
        #
        def mpi_transactiontype
          @mpi_transactiontype = nil unless instance_variable_defined?(:@mpi_transactiontype)
          @mpi_transactiontype
        end

        #
        # ===MPIトランザクションタイプを設定する
        # @param:: mpi_transactiontype MPIトランザクションタイプ
        #
        def mpi_transactiontype=(mpi_transactiontype)
          @mpi_transactiontype = mpi_transactiontype
        end

        #
        # ===要求カード番号を取得する
        # 要求電文に設定した値
        # 上6桁下2桁のみ数字表示され、その他は"*"（アスタリスク）に変換されます。
        # @return:: 要求カード番号
        #
        def req_card_number
          @req_card_number = nil unless instance_variable_defined?(:@req_card_number)
          @req_card_number
        end

        #
        # ===要求カード番号を設定する
        # @param:: req_card_number 要求カード番号
        #
        def req_card_number=(req_card_number)
          @req_card_number = req_card_number
        end

        #
        # ===要求カード有効期限を取得する
        # 要求電文に設定した値
        # 全桁"*"（アスタリスク）に変換されます。
        # @return:: 要求カード有効期限
        #
        def req_card_expire
          @req_card_expire = nil unless instance_variable_defined?(:@req_card_expire)
          @req_card_expire
        end

        #
        # ===要求カード有効期限を設定する
        # @param:: req_card_expire 要求カード有効期限
        #
        def req_card_expire=(req_card_expire)
          @req_card_expire = req_card_expire
        end

        #
        # ===要求取引金額を取得する
        # 要求電文に設定した値
        # @return:: 要求取引金額
        #
        def req_amount
          @req_amount = nil unless instance_variable_defined?(:@req_amount)
          @req_amount
        end

        #
        # ===要求取引金額を設定する
        # @param:: req_amount 要求取引金額
        #
        def req_amount=(req_amount)
          @req_amount = req_amount
        end

        #
        # ===要求仕向先コードを取得する
        # 要求電文に設定した値
        # @return:: 要求仕向先コード
        #
        def req_acquirer_code
          @req_acquirer_code = nil unless instance_variable_defined?(:@req_acquirer_code)
          @req_acquirer_code
        end

        #
        # ===要求仕向先コードを設定する
        # @param:: req_acquirer_code 要求仕向先コード
        #
        def req_acquirer_code=(req_acquirer_code)
          @req_acquirer_code = req_acquirer_code
        end

        #
        # ===要求商品コードを取得する
        # 要求電文に設定した値
        # @return:: 要求商品コード
        #
        def req_item_code
          @req_item_code = nil unless instance_variable_defined?(:@req_item_code)
          @req_item_code
        end

        #
        # ===要求商品コードを設定する
        # @param:: req_item_code 要求商品コード
        #
        def req_item_code=(req_item_code)
          @req_item_code = req_item_code
        end

        #
        # ===要求カードセンターを取得する
        # 要求電文に設定した値
        # @return:: 要求カードセンター
        #
        def req_card_center
          @req_card_center = nil unless instance_variable_defined?(:@req_card_center)
          @req_card_center
        end

        #
        # ===要求カードセンターを設定する
        # @param:: req_card_center 要求カードセンター
        #
        def req_card_center=(req_card_center)
          @req_card_center = req_card_center
        end

        #
        # ===要求JPO情報を取得する
        # 要求電文に設定した値
        # @return:: 要求JPO情報
        #
        def req_jpo_information
          @req_jpo_information = nil unless instance_variable_defined?(:@req_jpo_information)
          @req_jpo_information
        end

        #
        # ===要求JPO情報を設定する
        # @param:: req_jpo_information 要求JPO情報
        #
        def req_jpo_information=(req_jpo_information)
          @req_jpo_information = req_jpo_information
        end

        #
        # ===要求売上日を取得する
        # 要求電文に設定した値
        # @return:: 要求売上日
        #
        def req_sales_day
          @req_sales_day = nil unless instance_variable_defined?(:@req_sales_day)
          @req_sales_day
        end

        #
        # ===要求売上日を設定する
        # @param:: req_sales_day 要求売上日
        #
        def req_sales_day=(req_sales_day)
          @req_sales_day = req_sales_day
        end

        #
        # ===要求同時売上を取得する
        # 要求電文に設定した値
        # @return:: 要求同時売上
        #
        def req_with_capture
          @req_with_capture = nil unless instance_variable_defined?(:@req_with_capture)
          @req_with_capture
        end

        #
        # ===要求同時売上を設定する
        # @param:: req_with_capture 要求同時売上
        #
        def req_with_capture=(req_with_capture)
          @req_with_capture = req_with_capture
        end

        #
        # ===要求セキュリティコードを取得する
        # 要求電文に設定した値
        # 全桁”0”（ゼロ）に変換されます。
        # @return:: 要求セキュリティコード
        #
        def req_security_code
          @req_security_code = nil unless instance_variable_defined?(:@req_security_code)
          @req_security_code
        end

        #
        # ===要求セキュリティコードを設定する
        # @param:: req_security_code 要求セキュリティコード
        #
        def req_security_code=(req_security_code)
          @req_security_code = req_security_code
        end

        #
        # ===要求誕生日を取得する
        # 要求電文に設定した値
        # @return:: 要求誕生日
        #
        def req_birthday
          @req_birthday = nil unless instance_variable_defined?(:@req_birthday)
          @req_birthday
        end

        #
        # ===要求誕生日を設定する
        # @param:: req_birthday 要求誕生日
        #
        def req_birthday=(req_birthday)
          @req_birthday = req_birthday
        end

        #
        # ===要求電話番号を取得する
        # 要求電文に設定した値
        # @return:: 要求電話番号
        #
        def req_tel
          @req_tel = nil unless instance_variable_defined?(:@req_tel)
          @req_tel
        end

        #
        # ===要求電話番号を設定する
        # @param:: req_tel 要求電話番号
        #
        def req_tel=(req_tel)
          @req_tel = req_tel
        end

        #
        # ===要求カナ名前（名）を取得する
        # 要求電文に設定した値
        # @return:: 要求カナ名前（名）
        #
        def req_first_kana_name
          @req_first_kana_name = nil unless instance_variable_defined?(:@req_first_kana_name)
          @req_first_kana_name
        end

        #
        # ===要求カナ名前（名）を設定する
        # @param:: req_first_kana_name 要求カナ名前（名）
        #
        def req_first_kana_name=(req_first_kana_name)
          @req_first_kana_name = req_first_kana_name
        end

        #
        # ===要求カナ名前（姓）を取得する
        # 要求電文に設定した値
        # @return:: 要求カナ名前（姓）
        #
        def req_last_kana_name
          @req_last_kana_name = nil unless instance_variable_defined?(:@req_last_kana_name)
          @req_last_kana_name
        end

        #
        # ===要求カナ名前（姓）を設定する
        # @param:: req_last_kana_name 要求カナ名前（姓）
        #
        def req_last_kana_name=(req_last_kana_name)
          @req_last_kana_name = req_last_kana_name
        end

        #
        # ===要求通貨単位を取得する
        # 要求電文に設定した値
        # @return:: 要求通貨単位
        #
        def req_currency_unit
          @req_currency_unit = nil unless instance_variable_defined?(:@req_currency_unit)
          @req_currency_unit
        end

        #
        # ===要求通貨単位を設定する
        # @param:: req_currency_unit 要求通貨単位
        #
        def req_currency_unit=(req_currency_unit)
          @req_currency_unit = req_currency_unit
        end

        #
        # ===リダイレクションURIを取得する
        # 要求電文に設定した値
        # @return:: リダイレクションURI
        #
        def req_redirection_uri
          @req_redirection_uri = nil unless instance_variable_defined?(:@req_redirection_uri)
          @req_redirection_uri
        end

        #
        # ===リダイレクションURIを設定する
        # @param:: req_redirection_uri リダイレクションURI
        #
        def req_redirection_uri=(req_redirection_uri)
          @req_redirection_uri = req_redirection_uri
        end

        #
        # ===要求HTTPユーザエージェントを取得する
        # 要求電文に設定した値
        # @return:: 要求HTTPユーザエージェント
        #
        def req_http_user_agent
          @req_http_user_agent = nil unless instance_variable_defined?(:@req_http_user_agent)
          @req_http_user_agent
        end

        #
        # ===要求HTTPユーザエージェントを設定する
        # @param:: req_http_user_agent 要求HTTPユーザエージェント
        #
        def req_http_user_agent=(req_http_user_agent)
          @req_http_user_agent = req_http_user_agent
        end

        #
        # ===要求HTTPアクセプトを取得する
        # 要求電文に設定した値
        # @return:: 要求HTTPアクセプト
        #
        def req_http_accept
          @req_http_accept = nil unless instance_variable_defined?(:@req_http_accept)
          @req_http_accept
        end

        #
        # ===要求HTTPアクセプトを設定する
        # @param:: req_http_accept 要求HTTPアクセプト
        #
        def req_http_accept=(req_http_accept)
          @req_http_accept = req_http_accept
        end

        #
        # ===応答コンテンツを取得する
        # 本人認証が成功した場合にマーチャント側でコンシューマに対して応答するレスポンスです。
        # @return:: 応答コンテンツ
        #
        def res_response_contents
          @res_response_contents = nil unless instance_variable_defined?(:@res_response_contents)
          @res_response_contents
        end

        #
        # ===応答コンテンツを設定する
        # @param:: res_response_contents 応答コンテンツ
        #
        def res_response_contents=(res_response_contents)
          @res_response_contents = res_response_contents
        end

        #
        # ===応答会社IDを取得する
        # 店舗が加盟店契約をしているカード会社のコード
        # @return:: 応答会社ID
        #
        def res_corporation_id
          @res_corporation_id = nil unless instance_variable_defined?(:@res_corporation_id)
          @res_corporation_id
        end

        #
        # ===応答会社IDを設定する
        # @param:: res_corporation_id 応答会社ID
        #
        def res_corporation_id=(res_corporation_id)
          @res_corporation_id = res_corporation_id
        end

        #
        # ===応答ブランドIDを取得する
        # "35"：JCB
        # "4"：VISA
        # "5"：MASTER
        # "36"：DINERS
        # "37"：AMEX
        # @return:: 応答ブランドID
        #
        def res_brand_id
          @res_brand_id = nil unless instance_variable_defined?(:@res_brand_id)
          @res_brand_id
        end

        #
        # ===応答ブランドIDを設定する
        # @param:: res_brand_id 応答ブランドID
        #
        def res_brand_id=(res_brand_id)
          @res_brand_id = res_brand_id
        end

        #
        # ===応答3Dセキュアメッセージバージョンを取得する
        # 3Dセキュアプロトコルのメッセージバージョン
        # @return:: 応答3Dセキュアメッセージバージョン
        #
        def res3d_message_version
          @res3d_message_version = nil unless instance_variable_defined?(:@res3d_message_version)
          @res3d_message_version
        end

        #
        # ===応答3Dセキュアメッセージバージョンを設定する
        # @param:: res3d_message_version 応答3Dセキュアメッセージバージョン
        #
        def res3d_message_version=(res3d_message_version)
          @res3d_message_version = res3d_message_version
        end

        #
        # ===本人認証要求日時を取得する
        # 本人認証要求の受付時間
        # EEE MMM dd HH:mm:ss JST yyyy 形式 （例 "Tue Mar 07 13:17:40 JST 2017"）
        # @return:: 本人認証要求日時
        #
        def auth_request_datetime
          @auth_request_datetime = nil unless instance_variable_defined?(:@auth_request_datetime)
          @auth_request_datetime
        end

        #
        # ===本人認証要求日時を設定する
        # @param:: auth_request_datetime 本人認証要求日時
        #
        def auth_request_datetime=(auth_request_datetime)
          @auth_request_datetime = auth_request_datetime
        end

        #
        # ===本人認証応答日時を取得する
        # 本人認証の応答時間
        # EEE MMM dd HH:mm:ss JST yyyy 形式 （例 "Tue Mar 07 13:17:40 JST 2017"）
        # @return:: 本人認証応答日時
        #
        def auth_response_datetime
          @auth_response_datetime = nil unless instance_variable_defined?(:@auth_response_datetime)
          @auth_response_datetime
        end

        #
        # ===本人認証応答日時を設定する
        # @param:: auth_response_datetime 本人認証応答日時
        #
        def auth_response_datetime=(auth_response_datetime)
          @auth_response_datetime = auth_response_datetime
        end

        #
        # ===券種コードを取得する
        # カード番号から判定された券種に対応するコードを返却します。
        # @return:: 券種コード
        #
        def kind_code
          @kind_code = nil unless instance_variable_defined?(:@kind_code)
          @kind_code
        end

        #
        # ===券種コードを設定する
        # @param:: kind_code 券種コード
        #
        def kind_code=(kind_code)
          @kind_code = kind_code
        end

        #
        # ===認証開始URLを取得する
        # ブラウザを遷移させるためのHTMLコンテンツを取得するURL
        # @return:: 認証開始URL
        #
        def auth_start_url
          @auth_start_url = nil unless instance_variable_defined?(:@auth_start_url)
          @auth_start_url
        end

        #
        # ===認証開始URLを設定する
        # @param:: auth_start_url 認証開始URL
        #
        def auth_start_url=(auth_start_url)
          @auth_start_url = auth_start_url
        end


        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===レスポンスからTradURLを取得する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def get_trad_url()
          return find_trad_url()
        end

      end
    end
  end
end
