# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：ショッピングクレジット画面表示要求電文DTOクラス
      #
      # @author:: VeriTrans Inc.
      #
      class OricoscAuthorizeRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "oricosc"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "Authorize"

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end

        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===マーチャントリダイレクションURLを取得する
        # @return:: マーチャントリダイレクションURL
        #
        def merchant_redirection_url
          @merchant_redirection_url = nil unless instance_variable_defined?(:@merchant_redirection_url)
          @merchant_redirection_url
        end

        #
        # ===マーチャントリダイレクションURLを設定する
        # @param:: merchant_redirection_url マーチャントリダイレクションURL
        #
        def merchant_redirection_url=(merchant_redirection_url)
          @merchant_redirection_url = merchant_redirection_url
        end

        #
        # ===注文番号を取得する
        # @return:: 注文番号
        #
        def orico_order_no
          @orico_order_no = nil unless instance_variable_defined?(:@orico_order_no)
          @orico_order_no
        end

        #
        # ===注文番号を設定する
        # @param:: orico_order_no 注文番号
        #
        def orico_order_no=(orico_order_no)
          @orico_order_no = orico_order_no
        end

        #
        # ===会員番号（加盟店）を取得する
        # @return:: 会員番号（加盟店）
        #
        def user_no
          @user_no = nil unless instance_variable_defined?(:@user_no)
          @user_no
        end

        #
        # ===会員番号（加盟店）を設定する
        # @param:: user_no 会員番号（加盟店）
        #
        def user_no=(user_no)
          @user_no = user_no
        end

        #
        # ===商品名１を取得する
        # @return:: 商品名１
        #
        def item_name1
          @item_name1 = nil unless instance_variable_defined?(:@item_name1)
          @item_name1
        end

        #
        # ===商品名１を設定する
        # @param:: item_name1 商品名１
        #
        def item_name1=(item_name1)
          @item_name1 = item_name1
        end

        #
        # ===数量１を取得する
        # @return:: 数量１
        #
        def item_count1
          @item_count1 = nil unless instance_variable_defined?(:@item_count1)
          @item_count1
        end

        #
        # ===数量１を設定する
        # @param:: item_count1 数量１
        #
        def item_count1=(item_count1)
          @item_count1 = item_count1
        end

        #
        # ===商品価格１（税込）を取得する
        # @return:: 商品価格１（税込）
        #
        def item_amount1
          @item_amount1 = nil unless instance_variable_defined?(:@item_amount1)
          @item_amount1
        end

        #
        # ===商品価格１（税込）を設定する
        # @param:: item_amount1 商品価格１（税込）
        #
        def item_amount1=(item_amount1)
          @item_amount1 = item_amount1
        end

        #
        # ===商品名２を取得する
        # @return:: 商品名２
        #
        def item_name2
          @item_name2 = nil unless instance_variable_defined?(:@item_name2)
          @item_name2
        end

        #
        # ===商品名２を設定する
        # @param:: item_name2 商品名２
        #
        def item_name2=(item_name2)
          @item_name2 = item_name2
        end

        #
        # ===数量２を取得する
        # @return:: 数量２
        #
        def item_count2
          @item_count2 = nil unless instance_variable_defined?(:@item_count2)
          @item_count2
        end

        #
        # ===数量２を設定する
        # @param:: item_count2 数量２
        #
        def item_count2=(item_count2)
          @item_count2 = item_count2
        end

        #
        # ===商品価格２（税込）を取得する
        # @return:: 商品価格２（税込）
        #
        def item_amount2
          @item_amount2 = nil unless instance_variable_defined?(:@item_amount2)
          @item_amount2
        end

        #
        # ===商品価格２（税込）を設定する
        # @param:: item_amount2 商品価格２（税込）
        #
        def item_amount2=(item_amount2)
          @item_amount2 = item_amount2
        end

        #
        # ===商品名３を取得する
        # @return:: 商品名３
        #
        def item_name3
          @item_name3 = nil unless instance_variable_defined?(:@item_name3)
          @item_name3
        end

        #
        # ===商品名３を設定する
        # @param:: item_name3 商品名３
        #
        def item_name3=(item_name3)
          @item_name3 = item_name3
        end

        #
        # ===数量３を取得する
        # @return:: 数量３
        #
        def item_count3
          @item_count3 = nil unless instance_variable_defined?(:@item_count3)
          @item_count3
        end

        #
        # ===数量３を設定する
        # @param:: item_count3 数量３
        #
        def item_count3=(item_count3)
          @item_count3 = item_count3
        end

        #
        # ===商品価格３（税込）を取得する
        # @return:: 商品価格３（税込）
        #
        def item_amount3
          @item_amount3 = nil unless instance_variable_defined?(:@item_amount3)
          @item_amount3
        end

        #
        # ===商品価格３（税込）を設定する
        # @param:: item_amount3 商品価格３（税込）
        #
        def item_amount3=(item_amount3)
          @item_amount3 = item_amount3
        end

        #
        # ===商品名４を取得する
        # @return:: 商品名４
        #
        def item_name4
          @item_name4 = nil unless instance_variable_defined?(:@item_name4)
          @item_name4
        end

        #
        # ===商品名４を設定する
        # @param:: item_name4 商品名４
        #
        def item_name4=(item_name4)
          @item_name4 = item_name4
        end

        #
        # ===数量４を取得する
        # @return:: 数量４
        #
        def item_count4
          @item_count4 = nil unless instance_variable_defined?(:@item_count4)
          @item_count4
        end

        #
        # ===数量４を設定する
        # @param:: item_count4 数量４
        #
        def item_count4=(item_count4)
          @item_count4 = item_count4
        end

        #
        # ===商品価格４（税込）を取得する
        # @return:: 商品価格４（税込）
        #
        def item_amount4
          @item_amount4 = nil unless instance_variable_defined?(:@item_amount4)
          @item_amount4
        end

        #
        # ===商品価格４（税込）を設定する
        # @param:: item_amount4 商品価格４（税込）
        #
        def item_amount4=(item_amount4)
          @item_amount4 = item_amount4
        end

        #
        # ===商品名５を取得する
        # @return:: 商品名５
        #
        def item_name5
          @item_name5 = nil unless instance_variable_defined?(:@item_name5)
          @item_name5
        end

        #
        # ===商品名５を設定する
        # @param:: item_name5 商品名５
        #
        def item_name5=(item_name5)
          @item_name5 = item_name5
        end

        #
        # ===数量５を取得する
        # @return:: 数量５
        #
        def item_count5
          @item_count5 = nil unless instance_variable_defined?(:@item_count5)
          @item_count5
        end

        #
        # ===数量５を設定する
        # @param:: item_count5 数量５
        #
        def item_count5=(item_count5)
          @item_count5 = item_count5
        end

        #
        # ===商品価格５（税込）を取得する
        # @return:: 商品価格５（税込）
        #
        def item_amount5
          @item_amount5 = nil unless instance_variable_defined?(:@item_amount5)
          @item_amount5
        end

        #
        # ===商品価格５（税込）を設定する
        # @param:: item_amount5 商品価格５（税込）
        #
        def item_amount5=(item_amount5)
          @item_amount5 = item_amount5
        end

        #
        # ===商品価格合計（税込）を取得する
        # @return:: 商品価格合計（税込）
        #
        def total_item_amount
          @total_item_amount = nil unless instance_variable_defined?(:@total_item_amount)
          @total_item_amount
        end

        #
        # ===商品価格合計（税込）を設定する
        # @param:: total_item_amount 商品価格合計（税込）
        #
        def total_item_amount=(total_item_amount)
          @total_item_amount = total_item_amount
        end

        #
        # ===送料合計（税込）を取得する
        # @return:: 送料合計（税込）
        #
        def total_carriage
          @total_carriage = nil unless instance_variable_defined?(:@total_carriage)
          @total_carriage
        end

        #
        # ===送料合計（税込）を設定する
        # @param:: total_carriage 送料合計（税込）
        #
        def total_carriage=(total_carriage)
          @total_carriage = total_carriage
        end

        #
        # ===支払合計金額を取得する
        # @return:: 支払合計金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===支払合計金額を設定する
        # @param:: amount 支払合計金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===頭金を取得する
        # @return:: 頭金
        #
        def deposit
          @deposit = nil unless instance_variable_defined?(:@deposit)
          @deposit
        end

        #
        # ===頭金を設定する
        # @param:: deposit 頭金
        #
        def deposit=(deposit)
          @deposit = deposit
        end

        #
        # ===配送先郵便番号を取得する
        # @return:: 配送先郵便番号
        #
        def shipping_zip_code
          @shipping_zip_code = nil unless instance_variable_defined?(:@shipping_zip_code)
          @shipping_zip_code
        end

        #
        # ===配送先郵便番号を設定する
        # @param:: shipping_zip_code 配送先郵便番号
        #
        def shipping_zip_code=(shipping_zip_code)
          @shipping_zip_code = shipping_zip_code
        end

        #
        # ===取扱契約番号を取得する
        # @return:: 取扱契約番号
        #
        def handling_contract_no
          @handling_contract_no = nil unless instance_variable_defined?(:@handling_contract_no)
          @handling_contract_no
        end

        #
        # ===取扱契約番号を設定する
        # @param:: handling_contract_no 取扱契約番号
        #
        def handling_contract_no=(handling_contract_no)
          @handling_contract_no = handling_contract_no
        end

        #
        # ===加盟店番号を取得する
        # @return:: 加盟店番号
        #
        def member_store_no
          @member_store_no = nil unless instance_variable_defined?(:@member_store_no)
          @member_store_no
        end

        #
        # ===加盟店番号を設定する
        # @param:: member_store_no 加盟店番号
        #
        def member_store_no=(member_store_no)
          @member_store_no = member_store_no
        end

        #
        # ===契約書有無区分を取得する
        # @return:: 契約書有無区分
        #
        def contract_document_kbn
          @contract_document_kbn = nil unless instance_variable_defined?(:@contract_document_kbn)
          @contract_document_kbn
        end

        #
        # ===契約書有無区分を設定する
        # @param:: contract_document_kbn 契約書有無区分
        #
        def contract_document_kbn=(contract_document_kbn)
          @contract_document_kbn = contract_document_kbn
        end

        #
        # ===WEB申込商品IDを取得する
        # @return:: WEB申込商品ID
        #
        def web_description_id
          @web_description_id = nil unless instance_variable_defined?(:@web_description_id)
          @web_description_id
        end

        #
        # ===WEB申込商品IDを設定する
        # @param:: web_description_id WEB申込商品ID
        #
        def web_description_id=(web_description_id)
          @web_description_id = web_description_id
        end

        #
        # ===拡張パラメータリストを設定する
        # @param:: option_params 拡張パラメータリスト
        #
        def option_params=(option_params)
          @option_params = option_params
        end

        #
        # ===拡張パラメータリストを取得する
        # @return:: 拡張パラメータリスト
        #
        def option_params
          @option_params = nil unless instance_variable_defined?(:@option_params)
          @option_params
        end

      end
    end
  end
end
