# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Paypal、コマンド名：売上の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class PaypalCaptureResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # - 決済サービスの区分を指定します。
        # - 必須項目、固定値
        # - "paypal"： PayPal決済
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type ||= nil
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # - 取消請求処理後、応答電文に含まれる値。
        # - 以下の処理結果のいずれかが格納される
        # - ・success：正常終了
        # - ・failure：異常終了
        # - ・pending：保留状態
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus ||= nil
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # - 結果コード
        # - 例) L001000100000000
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code ||= nil
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # - エラーメッセージ
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg ||= nil
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn ||= nil
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # - 返金を行った取引IDが格納されます。
        # - “.”（ドット）、“-”（ハイフン）、“_”（アンダースコア）も使用できます。
        # @return:: 取引ID
        #
        def order_id
          @order_id ||= nil
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn ||= nil
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDK バージョンを取得する
        # - 電文のバージョン番号。
        # @return:: MDK バージョン
        #
        def txn_version
          @txn_version ||= nil
        end

        #
        # ===MDK バージョンを設定する
        # @param:: txn_version MDK バージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===ログインURLを取得する
        # - PayPalログイン画面のURLが格納されます。
        # @return:: ログインURL
        #
        def login_url
          @login_url ||= nil
        end

        #
        # ===ログインURLを設定する
        # @param:: login_url ログインURL
        #
        def login_url=(login_url)
          @login_url = login_url
        end

        #
        # ===トークンを取得する
        # - トークンが格納されます。
        # @return:: トークン
        #
        def token
          @token ||= nil
        end

        #
        # ===トークンを設定する
        # @param:: token トークン
        #
        def token=(token)
          @token = token
        end

        #
        # ===請求番号を取得する
        # - GWが発番するオーダー単位でユニークとなるIDが格納されます。
        # @return:: 請求番号
        #
        def invoice_id
          @invoice_id ||= nil
        end

        #
        # ===請求番号を設定する
        # @param:: invoice_id 請求番号
        #
        def invoice_id=(invoice_id)
          @invoice_id = invoice_id
        end

        #
        # ===顧客番号を取得する
        # - 顧客番号が格納されます。
        # @return:: 顧客番号
        #
        def payer_id
          @payer_id ||= nil
        end

        #
        # ===顧客番号を設定する
        # @param:: payer_id 顧客番号
        #
        def payer_id=(payer_id)
          @payer_id = payer_id
        end

        #
        # ===取引金額を取得する
        # - 取引金額が格納されます。
        # @return:: 取引金額
        #
        def amount
          @amount ||= nil
        end

        #
        # ===取引金額を設定する
        # @param:: amount 取引金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===手数料を取得する
        # - 手数料が格納されます。
        # @return:: 手数料
        #
        def fee_amount
          @fee_amount ||= nil
        end

        #
        # ===手数料を設定する
        # @param:: fee_amount 手数料
        #
        def fee_amount=(fee_amount)
          @fee_amount = fee_amount
        end

        #
        # ===決済金額を取得する
        # - 決済金額が格納されます。
        # @return:: 決済金額
        #
        def settle_amount
          @settle_amount ||= nil
        end

        #
        # ===決済金額を設定する
        # @param:: settle_amount 決済金額
        #
        def settle_amount=(settle_amount)
          @settle_amount = settle_amount
        end

        #
        # ===外貨換算レートを取得する
        # - 外貨換算レートが格納されます。
        # @return:: 外貨換算レート
        #
        def exchange_rate
          @exchange_rate ||= nil
        end

        #
        # ===外貨換算レートを設定する
        # @param:: exchange_rate 外貨換算レート
        #
        def exchange_rate=(exchange_rate)
          @exchange_rate = exchange_rate
        end

        #
        # ===支払時刻を取得する
        # - 支払時刻が格納されます。
        # - 形式は"yyyyMMddHHmmss"です。
        # @return:: 支払時刻
        #
        def payment_date
          @payment_date ||= nil
        end

        #
        # ===支払時刻を設定する
        # @param:: payment_date 支払時刻
        #
        def payment_date=(payment_date)
          @payment_date = payment_date
        end

        #
        # ===支払ステータスを取得する
        # - 支払ステータスが格納されます。
        # @return:: 支払ステータス
        #
        def payment_status
          @payment_status ||= nil
        end

        #
        # ===支払ステータスを設定する
        # @param:: payment_status 支払ステータス
        #
        def payment_status=(payment_status)
          @payment_status = payment_status
        end

        #
        # ===決済センタ取引IDを取得する
        # - PayPalが発番するユニークなIDが格納されます。
        # @return:: 決済センタ取引ID
        #
        def center_txn_id
          @center_txn_id ||= nil
        end

        #
        # ===決済センタ取引IDを設定する
        # @param:: center_txn_id 決済センタ取引ID
        #
        def center_txn_id=(center_txn_id)
          @center_txn_id = center_txn_id
        end

        #
        # ===配送先氏名を取得する
        # - 配送先氏名が格納されます。
        # @return:: 配送先氏名
        #
        def ship_name
          @ship_name ||= nil
        end

        #
        # ===配送先氏名を設定する
        # @param:: ship_name 配送先氏名
        #
        def ship_name=(ship_name)
          @ship_name = ship_name
        end

        #
        # ===配送先住所１を取得する
        # - 配送先住所１が格納されます。
        # @return:: 配送先住所１
        #
        def ship_street1
          @ship_street1 ||= nil
        end

        #
        # ===配送先住所１を設定する
        # @param:: ship_street1 配送先住所１
        #
        def ship_street1=(ship_street1)
          @ship_street1 = ship_street1
        end

        #
        # ===配送先住所２を取得する
        # - 配送先住所２が格納されます。
        # @return:: 配送先住所２
        #
        def ship_street2
          @ship_street2 ||= nil
        end

        #
        # ===配送先住所２を設定する
        # @param:: ship_street2 配送先住所２
        #
        def ship_street2=(ship_street2)
          @ship_street2 = ship_street2
        end

        #
        # ===配送先市区町村名を取得する
        # - 配送先市区町村名が格納されます。
        # @return:: 配送先市区町村名
        #
        def ship_city
          @ship_city ||= nil
        end

        #
        # ===配送先市区町村名を設定する
        # @param:: ship_city 配送先市区町村名
        #
        def ship_city=(ship_city)
          @ship_city = ship_city
        end

        #
        # ===配送先州名を取得する
        # - 配送先州名が格納されます。
        # @return:: 配送先州名
        #
        def ship_state
          @ship_state ||= nil
        end

        #
        # ===配送先州名を設定する
        # @param:: ship_state 配送先州名
        #
        def ship_state=(ship_state)
          @ship_state = ship_state
        end

        #
        # ===配送先国コードを取得する
        # - 配送先国コードが格納されます。
        # @return:: 配送先国コード
        #
        def ship_country
          @ship_country ||= nil
        end

        #
        # ===配送先国コードを設定する
        # @param:: ship_country 配送先国コード
        #
        def ship_country=(ship_country)
          @ship_country = ship_country
        end

        #
        # ===配送先郵便番号を取得する
        # - 配送先郵便番号が格納されます。
        # @return:: 配送先郵便番号
        #
        def ship_postal_code
          @ship_postal_code ||= nil
        end

        #
        # ===配送先郵便番号を設定する
        # @param:: ship_postal_code 配送先郵便番号
        #
        def ship_postal_code=(ship_postal_code)
          @ship_postal_code = ship_postal_code
        end

        #
        # ===配送先電話番号を取得する
        # - 配送先電話番号が格納されます。
        # @return:: 配送先電話番号
        #
        def ship_phone
          @ship_phone ||= nil
        end

        #
        # ===配送先電話番号を設定する
        # @param:: ship_phone 配送先電話番号
        #
        def ship_phone=(ship_phone)
          @ship_phone = ship_phone
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response ||= nil
        end

        #
        # ===レスポンスからTradURLを取得する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def get_trad_url()
          return find_trad_url()
        end

      end
    end
  end
end
