# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：Paypal、コマンド名：返金の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class PaypalRefundResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # - 決済サービスの区分を指定します。
        # - 必須項目、固定値
        # - "paypal"： PayPal決済
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type ||= nil
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # - 取消請求処理後、応答電文に含まれる値。
        # - 以下の処理結果のいずれかが格納される
        # - ・success：正常終了
        # - ・failure：異常終了
        # - ・pending：保留状態
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus ||= nil
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # - 結果コード
        # - 例) L001000100000000
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code ||= nil
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # - エラーメッセージ
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg ||= nil
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn ||= nil
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # - 返金を行った取引IDが格納されます。
        # - “.”（ドット）、“-”（ハイフン）、“_”（アンダースコア）も使用できます。
        # @return:: 取引ID
        #
        def order_id
          @order_id ||= nil
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn ||= nil
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDK バージョンを取得する
        # - 電文のバージョン番号。
        # @return:: MDK バージョン
        #
        def txn_version
          @txn_version ||= nil
        end

        #
        # ===MDK バージョンを設定する
        # @param:: txn_version MDK バージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===払戻し手数料を取得する
        # - 払い戻し手数料が格納されます。
        # @return:: 払戻し手数料
        #
        def fee_refund_amount
          @fee_refund_amount ||= nil
        end

        #
        # ===払戻し手数料を設定する
        # @param:: feeRefundAmount 払戻し手数料
        #
        def fee_refund_amount=(feeRefundAmount)
          @fee_refund_amount = feeRefundAmount
        end

        #
        # ===返金金額を取得する
        # - 返金金額が格納されます。
        # @return:: 返金金額
        #
        def refund_amount
          @refund_amount ||= nil
        end

        #
        # ===返金金額を設定する
        # @param:: refundAmount 返金金額
        #
        def refund_amount=(refundAmount)
          @refund_amount = refundAmount
        end

        #
        # ===純返金金額を取得する
        # - PayPal残高から差し引かれた金額が格納されます。
        # @return:: 純返金金額
        #
        def net_refund_amount
          @net_refund_amount ||= nil
        end

        #
        # ===純返金金額を設定する
        # @param:: netRefundAmount 純返金金額
        #
        def net_refund_amount=(netRefundAmount)
          @net_refund_amount = netRefundAmount
        end

        #
        # ===元決済金額を取得する
        # - 元決済金額が格納されます。
        # @return:: 元決済金額
        #
        def principal_amount
          @principal_amount ||= nil
        end

        #
        # ===元決済金額を設定する
        # @param:: principalAmount 元決済金額
        #
        def principal_amount=(principalAmount)
          @principal_amount = principalAmount
        end

        #
        # ===決済残高を取得する
        # - 決済残高が格納されます。
        # @return:: 決済残高
        #
        def settlement_balance
          @settlement_balance ||= nil
        end

        #
        # ===決済残高を設定する
        # @param:: settlementBalance 決済残高
        #
        def settlement_balance=(settlementBalance)
          @settlement_balance = settlementBalance
        end

        #
        # ===請求番号を取得する
        # - 請求番号が格納されます。
        # @return:: 請求番号
        #
        def invoice_id
          @invoice_id ||= nil
        end

        #
        # ===請求番号を設定する
        # @param:: invoice_id 請求番号
        #
        def invoice_id=(invoice_id)
          @invoice_id = invoice_id
        end

        #
        # ===決済センタ取引IDを取得する
        # - PayPalが発番する返金取引単位でユニークとなるIDが格納されます。
        # @return:: 決済センタ取引ID
        #
        def center_txn_id
          @center_txn_id ||= nil
        end

        #
        # ===決済センタ取引IDを設定する
        # @param:: center_txn_id 決済センタ取引ID
        #
        def center_txn_id=(center_txn_id)
          @center_txn_id = center_txn_id
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response ||= nil
        end

        #
        # ===レスポンスからTradURLを取得する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def get_trad_url()
          return find_trad_url()
        end

      end
    end
  end
end
