# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =検索結果:決済オーダー情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ProperOrderInfo

        #
        # ===決済方式を取得する
        # @return:: 決済方式
        #
        def settlement_method
          @settlement_method = nil unless instance_variable_defined?(:@settlement_method)
          @settlement_method
        end

        #
        # ===決済方式を設定する
        # @param:: settlement_method 決済方式
        #
        def settlement_method=(settlement_method)
          @settlement_method = settlement_method
        end

        #
        # ===決済タイプを取得する
        # @return:: 決済タイプ
        #
        def settlement_type
          @settlement_type = nil unless instance_variable_defined?(:@settlement_type)
          @settlement_type
        end

        #
        # ===決済タイプを設定する
        # @param:: settlement_type 決済タイプ
        #
        def settlement_type=(settlement_type)
          @settlement_type = settlement_type
        end

        #
        # ===決済金額を取得する
        # @return:: 決済金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===決済金額を設定する
        # @param:: amount 決済金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===決済申込金額を取得する
        # @return:: 決済申込金額
        #
        def authorize_amount
          @authorize_amount = nil unless instance_variable_defined?(:@authorize_amount)
          @authorize_amount
        end

        #
        # ===決済申込金額を設定する
        # @param:: authorize_amount 決済申込金額
        #
        def authorize_amount=(authorize_amount)
          @authorize_amount = authorize_amount
        end

        #
        # ===残高を取得する
        # @return:: 残高
        #
        def balance
          @balance = nil unless instance_variable_defined?(:@balance)
          @balance
        end

        #
        # ===残高を設定する
        # @param:: balance 残高
        #
        def balance=(balance)
          @balance = balance
        end

        #
        # ===利用ポイントを取得する
        # @return:: 利用ポイント
        #
        def used_point
          @used_point = nil unless instance_variable_defined?(:@used_point)
          @used_point
        end

        #
        # ===利用ポイントを設定する
        # @param:: used_point 利用ポイント
        #
        def used_point=(used_point)
          @used_point = used_point
        end

        #
        # ===利用ポイントを取得する
        # @return:: 利用ポイント
        #
        def use_point
          @use_point = nil unless instance_variable_defined?(:@use_point)
          @use_point
        end

        #
        # ===利用ポイントを設定する
        # @param:: use_point 利用ポイント
        #
        def use_point=(use_point)
          @use_point = use_point
        end

        #
        # ===付与ポイントを取得する
        # @return:: 付与ポイント
        #
        def give_point
          @give_point = nil unless instance_variable_defined?(:@give_point)
          @give_point
        end

        #
        # ===付与ポイントを設定する
        # @param:: give_point 付与ポイント
        #
        def give_point=(give_point)
          @give_point = give_point
        end

        #
        # ===リクルートクーポンを取得する
        # @return:: リクルートクーポン
        #
        def recruit_coupon
          @recruit_coupon = nil unless instance_variable_defined?(:@recruit_coupon)
          @recruit_coupon
        end

        #
        # ===リクルートクーポンを設定する
        # @param:: recruit_coupon リクルートクーポン
        #
        def recruit_coupon=(recruit_coupon)
          @recruit_coupon = recruit_coupon
        end

        #
        # ===マーチャントクーポンを取得する
        # @return:: マーチャントクーポン
        #
        def merchant_coupon
          @merchant_coupon = nil unless instance_variable_defined?(:@merchant_coupon)
          @merchant_coupon
        end

        #
        # ===マーチャントクーポンを設定する
        # @param:: merchant_coupon マーチャントクーポン
        #
        def merchant_coupon=(merchant_coupon)
          @merchant_coupon = merchant_coupon
        end

        #
        # ===決済期限を取得する
        # @return:: 決済期限
        #
        def settlement_limit
          @settlement_limit = nil unless instance_variable_defined?(:@settlement_limit)
          @settlement_limit
        end

        #
        # ===決済期限を設定する
        # @param:: settlement_limit 決済期限
        #
        def settlement_limit=(settlement_limit)
          @settlement_limit = settlement_limit
        end

        #
        # ===転送メール送信要否を取得する
        # @return:: 転送メール送信要否
        #
        def forward_mail_flag
          @forward_mail_flag = nil unless instance_variable_defined?(:@forward_mail_flag)
          @forward_mail_flag
        end

        #
        # ===転送メール送信要否を設定する
        # @param:: forward_mail_flag 転送メール送信要否
        #
        def forward_mail_flag=(forward_mail_flag)
          @forward_mail_flag = forward_mail_flag
        end

        #
        # ===マーチャントメールアドレスを取得する
        # @return:: マーチャントメールアドレス
        #
        def merchant_mail_addr
          @merchant_mail_addr = nil unless instance_variable_defined?(:@merchant_mail_addr)
          @merchant_mail_addr
        end

        #
        # ===マーチャントメールアドレスを設定する
        # @param:: merchant_mail_addr マーチャントメールアドレス
        #
        def merchant_mail_addr=(merchant_mail_addr)
          @merchant_mail_addr = merchant_mail_addr
        end

        #
        # ===取消返金通知メールアドレスを取得する
        # @return:: 取消返金通知メールアドレス
        #
        def cancel_mail_addr
          @cancel_mail_addr = nil unless instance_variable_defined?(:@cancel_mail_addr)
          @cancel_mail_addr
        end

        #
        # ===取消返金通知メールアドレスを設定する
        # @param:: cancel_mail_addr 取消返金通知メールアドレス
        #
        def cancel_mail_addr=(cancel_mail_addr)
          @cancel_mail_addr = cancel_mail_addr
        end

        #
        # ===依頼メール付加情報を取得する
        # @return:: 依頼メール付加情報
        #
        def request_mail_add_info
          @request_mail_add_info = nil unless instance_variable_defined?(:@request_mail_add_info)
          @request_mail_add_info
        end

        #
        # ===依頼メール付加情報を設定する
        # @param:: request_mail_add_info 依頼メール付加情報
        #
        def request_mail_add_info=(request_mail_add_info)
          @request_mail_add_info = request_mail_add_info
        end

        #
        # ===完了メール付加情報を取得する
        # @return:: 完了メール付加情報
        #
        def complete_mail_add_info
          @complete_mail_add_info = nil unless instance_variable_defined?(:@complete_mail_add_info)
          @complete_mail_add_info
        end

        #
        # ===完了メール付加情報を設定する
        # @param:: complete_mail_add_info 完了メール付加情報
        #
        def complete_mail_add_info=(complete_mail_add_info)
          @complete_mail_add_info = complete_mail_add_info
        end

        #
        # ===ショップ名を取得する
        # @return:: ショップ名
        #
        def shop_name
          @shop_name = nil unless instance_variable_defined?(:@shop_name)
          @shop_name
        end

        #
        # ===ショップ名を設定する
        # @param:: shop_name ショップ名
        #
        def shop_name=(shop_name)
          @shop_name = shop_name
        end

        #
        # ===完了メール送信要否を取得する
        # @return:: 完了メール送信要否
        #
        def complete_mail_flag
          @complete_mail_flag = nil unless instance_variable_defined?(:@complete_mail_flag)
          @complete_mail_flag
        end

        #
        # ===完了メール送信要否を設定する
        # @param:: complete_mail_flag 完了メール送信要否
        #
        def complete_mail_flag=(complete_mail_flag)
          @complete_mail_flag = complete_mail_flag
        end

        #
        # ===内容確認画面付加情報を取得する
        # @return:: 内容確認画面付加情報
        #
        def confirm_screen_add_info
          @confirm_screen_add_info = nil unless instance_variable_defined?(:@confirm_screen_add_info)
          @confirm_screen_add_info
        end

        #
        # ===内容確認画面付加情報を設定する
        # @param:: confirm_screen_add_info 内容確認画面付加情報
        #
        def confirm_screen_add_info=(confirm_screen_add_info)
          @confirm_screen_add_info = confirm_screen_add_info
        end

        #
        # ===完了画面付加情報を取得する
        # @return:: 完了画面付加情報
        #
        def complete_screen_add_info
          @complete_screen_add_info = nil unless instance_variable_defined?(:@complete_screen_add_info)
          @complete_screen_add_info
        end

        #
        # ===完了画面付加情報を設定する
        # @param:: complete_screen_add_info 完了画面付加情報
        #
        def complete_screen_add_info=(complete_screen_add_info)
          @complete_screen_add_info = complete_screen_add_info
        end

        #
        # ===画面タイトルを取得する
        # @return:: 画面タイトル
        #
        def screen_title
          @screen_title = nil unless instance_variable_defined?(:@screen_title)
          @screen_title
        end

        #
        # ===画面タイトルを設定する
        # @param:: screen_title 画面タイトル
        #
        def screen_title=(screen_title)
          @screen_title = screen_title
        end

        #
        # ===決済完了戻り先種別を取得する
        # @return:: 決済完了戻り先種別
        #
        def complete_return_kind
          @complete_return_kind = nil unless instance_variable_defined?(:@complete_return_kind)
          @complete_return_kind
        end

        #
        # ===決済完了戻り先種別を設定する
        # @param:: complete_return_kind 決済完了戻り先種別
        #
        def complete_return_kind=(complete_return_kind)
          @complete_return_kind = complete_return_kind
        end

        #
        # ===決済完了戻り先URLを取得する
        # @return:: 決済完了戻り先URL
        #
        def complete_return_url
          @complete_return_url = nil unless instance_variable_defined?(:@complete_return_url)
          @complete_return_url
        end

        #
        # ===決済完了戻り先URLを設定する
        # @param:: complete_return_url 決済完了戻り先URL
        #
        def complete_return_url=(complete_return_url)
          @complete_return_url = complete_return_url
        end

        #
        # ===決済完了通知URLを取得する
        # @return:: 決済完了通知URL
        #
        def complete_notice_url
          @complete_notice_url = nil unless instance_variable_defined?(:@complete_notice_url)
          @complete_notice_url
        end

        #
        # ===決済完了通知URLを設定する
        # @param:: complete_notice_url 決済完了通知URL
        #
        def complete_notice_url=(complete_notice_url)
          @complete_notice_url = complete_notice_url
        end

        #
        # ===販売区分を取得する
        # @return:: 販売区分
        #
        def sales_type
          @sales_type = nil unless instance_variable_defined?(:@sales_type)
          @sales_type
        end

        #
        # ===販売区分を設定する
        # @param:: sales_type 販売区分
        #
        def sales_type=(sales_type)
          @sales_type = sales_type
        end

        #
        # ===備考を取得する
        # @return:: 備考
        #
        def free
          @free = nil unless instance_variable_defined?(:@free)
          @free
        end

        #
        # ===備考を設定する
        # @param:: free 備考
        #
        def free=(free)
          @free = free
        end

        #
        # ===返金オーダーIDを取得する
        # @return:: 返金オーダーID
        #
        def refund_order_ctl_id
          @refund_order_ctl_id = nil unless instance_variable_defined?(:@refund_order_ctl_id)
          @refund_order_ctl_id
        end

        #
        # ===返金オーダーIDを設定する
        # @param:: refund_order_ctl_id 返金オーダーID
        #
        def refund_order_ctl_id=(refund_order_ctl_id)
          @refund_order_ctl_id = refund_order_ctl_id
        end

        #
        # ===決済アプリ起動URLを取得する
        # @return:: 決済アプリ起動URL
        #
        def app_url
          @app_url = nil unless instance_variable_defined?(:@app_url)
          @app_url
        end

        #
        # ===決済アプリ起動URLを設定する
        # @param:: app_url 決済アプリ起動URL
        #
        def app_url=(app_url)
          @app_url = app_url
        end

        #
        # ===オーダー種別を取得する
        # @return:: オーダー種別
        #
        def order_kind
          @order_kind = nil unless instance_variable_defined?(:@order_kind)
          @order_kind
        end

        #
        # ===オーダー種別を設定する
        # @param:: order_kind オーダー種別
        #
        def order_kind=(order_kind)
          @order_kind = order_kind
        end

        #
        # ===完了日時を取得する
        # @return:: 完了日時
        #
        def complete_datetime
          @complete_datetime = nil unless instance_variable_defined?(:@complete_datetime)
          @complete_datetime
        end

        #
        # ===完了日時を設定する
        # @param:: complete_datetime 完了日時
        #
        def complete_datetime=(complete_datetime)
          @complete_datetime = complete_datetime
        end

        #
        # ===復旧リダイレクションURLを取得する
        # @return:: 復旧リダイレクションURL
        #
        def re_authorize_redirection_url
          @re_authorize_redirection_url = nil unless instance_variable_defined?(:@re_authorize_redirection_url)
          @re_authorize_redirection_url
        end

        #
        # ===復旧リダイレクションURLを設定する
        # @param:: re_authorize_redirection_url 復旧リダイレクションURL
        #
        def re_authorize_redirection_url=(re_authorize_redirection_url)
          @re_authorize_redirection_url = re_authorize_redirection_url
        end

        #
        # ===管理番号を取得する
        # @return:: 管理番号
        #
        def management_no
          @management_no = nil unless instance_variable_defined?(:@management_no)
          @management_no
        end

        #
        # ===管理番号を設定する
        # @param:: management_no 管理番号
        #
        def management_no=(management_no)
          @management_no = management_no
        end

        #
        # ===取引種別を取得する
        # @return:: 取引種別
        #
        def transaction_kind
          @transaction_kind = nil unless instance_variable_defined?(:@transaction_kind)
          @transaction_kind
        end

        #
        # ===取引種別を設定する
        # @param:: transaction_kind 取引種別
        #
        def transaction_kind=(transaction_kind)
          @transaction_kind = transaction_kind
        end

        #
        # ===ユーザIDを取得する
        # @return:: ユーザID
        #
        def user_id
          @user_id = nil unless instance_variable_defined?(:@user_id)
          @user_id
        end

        #
        # ===ユーザIDを設定する
        # @param:: user_id ユーザID
        #
        def user_id=(user_id)
          @user_id = user_id
        end

        #
        # ===決済処理IDを取得する
        # @return:: 決済処理ID
        #
        def settlement_id
          @settlement_id = nil unless instance_variable_defined?(:@settlement_id)
          @settlement_id
        end

        #
        # ===決済処理IDを設定する
        # @param:: settlement_id 決済処理ID
        #
        def settlement_id=(settlement_id)
          @settlement_id = settlement_id
        end

        #
        # ===復旧用アプリ起動URLを取得する
        # @return:: 復旧用アプリ起動URL
        #
        def re_auth_app_url
          @re_auth_app_url = nil unless instance_variable_defined?(:@re_auth_app_url)
          @re_auth_app_url
        end

        #
        # ===復旧用アプリ起動URLを設定する
        # @param:: re_auth_app_url 復旧用アプリ起動URL
        #
        def re_auth_app_url=(re_auth_app_url)
          @re_auth_app_url = re_auth_app_url
        end

        #
        # ===決済サービスオプションを取得する
        # @return:: 決済サービスオプション
        #
        def cvs_type
          @cvs_type = nil unless instance_variable_defined?(:@cvs_type)
          @cvs_type
        end

        #
        # ===決済サービスオプションを設定する
        # @param:: cvs_type 決済サービスオプション
        #
        def cvs_type=(cvs_type)
          @cvs_type = cvs_type
        end

        #
        # ===氏名１を取得する
        # @return:: 氏名１
        #
        def name1
          @name1 = nil unless instance_variable_defined?(:@name1)
          @name1
        end

        #
        # ===氏名１を設定する
        # @param:: name1 氏名１
        #
        def name1=(name1)
          @name1 = name1
        end

        #
        # ===氏名２を取得する
        # @return:: 氏名２
        #
        def name2
          @name2 = nil unless instance_variable_defined?(:@name2)
          @name2
        end

        #
        # ===氏名２を設定する
        # @param:: name2 氏名２
        #
        def name2=(name2)
          @name2 = name2
        end

        #
        # ===カナを取得する
        # @return:: カナ
        #
        def kana
          @kana = nil unless instance_variable_defined?(:@kana)
          @kana
        end

        #
        # ===カナを設定する
        # @param:: kana カナ
        #
        def kana=(kana)
          @kana = kana
        end

        #
        # ===電話番号を取得する
        # @return:: 電話番号
        #
        def tel_no
          @tel_no = nil unless instance_variable_defined?(:@tel_no)
          @tel_no
        end

        #
        # ===電話番号を設定する
        # @param:: tel_no 電話番号
        #
        def tel_no=(tel_no)
          @tel_no = tel_no
        end

        #
        # ===メールアドレスを取得する
        # @return:: メールアドレス
        #
        def mail_addr
          @mail_addr = nil unless instance_variable_defined?(:@mail_addr)
          @mail_addr
        end

        #
        # ===メールアドレスを設定する
        # @param:: mail_addr メールアドレス
        #
        def mail_addr=(mail_addr)
          @mail_addr = mail_addr
        end

        #
        # ===備考１を取得する
        # @return:: 備考１
        #
        def free1
          @free1 = nil unless instance_variable_defined?(:@free1)
          @free1
        end

        #
        # ===備考１を設定する
        # @param:: free1 備考１
        #
        def free1=(free1)
          @free1 = free1
        end

        #
        # ===備考２を取得する
        # @return:: 備考２
        #
        def free2
          @free2 = nil unless instance_variable_defined?(:@free2)
          @free2
        end

        #
        # ===備考２を設定する
        # @param:: free2 備考２
        #
        def free2=(free2)
          @free2 = free2
        end

        #
        # ===支払期限を取得する
        # @return:: 支払期限
        #
        def pay_limit
          @pay_limit = nil unless instance_variable_defined?(:@pay_limit)
          @pay_limit
        end

        #
        # ===支払期限を設定する
        # @param:: pay_limit 支払期限
        #
        def pay_limit=(pay_limit)
          @pay_limit = pay_limit
        end

        #
        # ===支払期限日時を取得する
        # @return:: 支払期限日時
        #
        def pay_limit_datetime
          @pay_limit_datetime = nil unless instance_variable_defined?(:@pay_limit_datetime)
          @pay_limit_datetime
        end

        #
        # ===支払期限日時を設定する
        # @param:: pay_limit_datetime 支払期限日時
        #
        def pay_limit_datetime=(pay_limit_datetime)
          @pay_limit_datetime = pay_limit_datetime
        end

        #
        # ===受付番号を取得する
        # @return:: 受付番号
        #
        def receipt_no
          @receipt_no = nil unless instance_variable_defined?(:@receipt_no)
          @receipt_no
        end

        #
        # ===受付番号を設定する
        # @param:: receipt_no 受付番号
        #
        def receipt_no=(receipt_no)
          @receipt_no = receipt_no
        end

        #
        # ===入金受付日を取得する
        # @return:: 入金受付日
        #
        def paid_datetime
          @paid_datetime = nil unless instance_variable_defined?(:@paid_datetime)
          @paid_datetime
        end

        #
        # ===入金受付日を設定する
        # @param:: paid_datetime 入金受付日
        #
        def paid_datetime=(paid_datetime)
          @paid_datetime = paid_datetime
        end

        #
        # ===収納日時を取得する
        # @return:: 収納日時
        #
        def received_datetime
          @received_datetime = nil unless instance_variable_defined?(:@received_datetime)
          @received_datetime
        end

        #
        # ===収納日時を設定する
        # @param:: received_datetime 収納日時
        #
        def received_datetime=(received_datetime)
          @received_datetime = received_datetime
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def start_txn
          @start_txn = nil unless instance_variable_defined?(:@start_txn)
          @start_txn
        end

        #
        # ===電文IDを設定する
        # @param:: start_txn 電文ID
        #
        def start_txn=(start_txn)
          @start_txn = start_txn
        end

        #
        # ===3Dメッセージバージョンを取得する
        # @return:: 3Dメッセージバージョン
        #
        def ddd_message_version
          @ddd_message_version = nil unless instance_variable_defined?(:@ddd_message_version)
          @ddd_message_version
        end

        #
        # ===3Dメッセージバージョンを設定する
        # @param:: ddd_message_version 3Dメッセージバージョン
        #
        def ddd_message_version=(ddd_message_version)
          @ddd_message_version = ddd_message_version
        end

        #
        # ===デバイスチャネルを取得する
        # @return:: デバイスチャネル
        #
        def device_channel
          @device_channel = nil unless instance_variable_defined?(:@device_channel)
          @device_channel
        end

        #
        # ===デバイスチャネルを設定する
        # @param:: device_channel デバイスチャネル
        #
        def device_channel=(device_channel)
          @device_channel = device_channel
        end

        #
        # ===アカウントタイプを取得する
        # @return:: アカウントタイプ
        #
        def account_type
          @account_type = nil unless instance_variable_defined?(:@account_type)
          @account_type
        end

        #
        # ===アカウントタイプを設定する
        # @param:: account_type アカウントタイプ
        #
        def account_type=(account_type)
          @account_type = account_type
        end

        #
        # ===認証要求タイプを取得する
        # @return:: 認証要求タイプ
        #
        def authentication_indicator
          @authentication_indicator = nil unless instance_variable_defined?(:@authentication_indicator)
          @authentication_indicator
        end

        #
        # ===認証要求タイプを設定する
        # @param:: authentication_indicator 認証要求タイプ
        #
        def authentication_indicator=(authentication_indicator)
          @authentication_indicator = authentication_indicator
        end

        #
        # ===メッセージカテゴリを取得する
        # @return:: メッセージカテゴリ
        #
        def message_category
          @message_category = nil unless instance_variable_defined?(:@message_category)
          @message_category
        end

        #
        # ===メッセージカテゴリを設定する
        # @param:: message_category メッセージカテゴリ
        #
        def message_category=(message_category)
          @message_category = message_category
        end

        #
        # ===要求通貨単位を取得する
        # @return:: 要求通貨単位
        #
        def request_currency_unit
          @request_currency_unit = nil unless instance_variable_defined?(:@request_currency_unit)
          @request_currency_unit
        end

        #
        # ===要求通貨単位を設定する
        # @param:: request_currency_unit 要求通貨単位
        #
        def request_currency_unit=(request_currency_unit)
          @request_currency_unit = request_currency_unit
        end

        #
        # ===カード有効期限を取得する
        # @return:: カード有効期限
        #
        def card_expire
          @card_expire = nil unless instance_variable_defined?(:@card_expire)
          @card_expire
        end

        #
        # ===カード有効期限を設定する
        # @param:: card_expire カード有効期限
        #
        def card_expire=(card_expire)
          @card_expire = card_expire
        end

        #
        # ===広告URLを取得する
        # @return:: 広告URL
        #
        def trad_url
          @trad_url = nil unless instance_variable_defined?(:@trad_url)
          @trad_url
        end

        #
        # ===広告URLを設定する
        # @param:: trad_url 広告URL
        #
        def trad_url=(trad_url)
          @trad_url = trad_url
        end

        #
        # ===請求番号を取得する
        # @return:: 請求番号
        #
        def invoice_id
          @invoice_id = nil unless instance_variable_defined?(:@invoice_id)
          @invoice_id
        end

        #
        # ===請求番号を設定する
        # @param:: invoice_id 請求番号
        #
        def invoice_id=(invoice_id)
          @invoice_id = invoice_id
        end

        #
        # ===顧客番号を取得する
        # @return:: 顧客番号
        #
        def payer_id
          @payer_id = nil unless instance_variable_defined?(:@payer_id)
          @payer_id
        end

        #
        # ===顧客番号を設定する
        # @param:: payer_id 顧客番号
        #
        def payer_id=(payer_id)
          @payer_id = payer_id
        end

        #
        # ===支払日時を取得する
        # @return:: 支払日時
        #
        def payment_datetime
          @payment_datetime = nil unless instance_variable_defined?(:@payment_datetime)
          @payment_datetime
        end

        #
        # ===支払日時を設定する
        # @param:: payment_datetime 支払日時
        #
        def payment_datetime=(payment_datetime)
          @payment_datetime = payment_datetime
        end

        #
        # ===マーチャントリダイレクトURIを取得する
        # @return:: マーチャントリダイレクトURI
        #
        def merchant_redirect_uri
          @merchant_redirect_uri = nil unless instance_variable_defined?(:@merchant_redirect_uri)
          @merchant_redirect_uri
        end

        #
        # ===マーチャントリダイレクトURIを設定する
        # @param:: merchant_redirect_uri マーチャントリダイレクトURI
        #
        def merchant_redirect_uri=(merchant_redirect_uri)
          @merchant_redirect_uri = merchant_redirect_uri
        end

        #
        # ===決済金額を取得する
        # @return:: 決済金額
        #
        def total_amount
          @total_amount = nil unless instance_variable_defined?(:@total_amount)
          @total_amount
        end

        #
        # ===決済金額を設定する
        # @param:: total_amount 決済金額
        #
        def total_amount=(total_amount)
          @total_amount = total_amount
        end

        #
        # ===ウォレット決済金額を取得する
        # @return:: ウォレット決済金額
        #
        def wallet_amount
          @wallet_amount = nil unless instance_variable_defined?(:@wallet_amount)
          @wallet_amount
        end

        #
        # ===ウォレット決済金額を設定する
        # @param:: wallet_amount ウォレット決済金額
        #
        def wallet_amount=(wallet_amount)
          @wallet_amount = wallet_amount
        end

        #
        # ===カード決済金額を取得する
        # @return:: カード決済金額
        #
        def card_amount
          @card_amount = nil unless instance_variable_defined?(:@card_amount)
          @card_amount
        end

        #
        # ===カード決済金額を設定する
        # @param:: card_amount カード決済金額
        #
        def card_amount=(card_amount)
          @card_amount = card_amount
        end

        #
        # ===カード取引IDを取得する
        # @return:: カード取引ID
        #
        def card_order_id
          @card_order_id = nil unless instance_variable_defined?(:@card_order_id)
          @card_order_id
        end

        #
        # ===カード取引IDを設定する
        # @param:: card_order_id カード取引ID
        #
        def card_order_id=(card_order_id)
          @card_order_id = card_order_id
        end

        #
        # ===キャリアサービスタイプを取得する
        # @return:: キャリアサービスタイプ
        #
        def cr_service_type
          @cr_service_type = nil unless instance_variable_defined?(:@cr_service_type)
          @cr_service_type
        end

        #
        # ===キャリアサービスタイプを設定する
        # @param:: cr_service_type キャリアサービスタイプ
        #
        def cr_service_type=(cr_service_type)
          @cr_service_type = cr_service_type
        end

        #
        # ===与信同時売上フラグを取得する
        # @return:: 与信同時売上フラグ
        #
        def with_capture
          @with_capture = nil unless instance_variable_defined?(:@with_capture)
          @with_capture
        end

        #
        # ===与信同時売上フラグを設定する
        # @param:: with_capture 与信同時売上フラグ
        #
        def with_capture=(with_capture)
          @with_capture = with_capture
        end

        #
        # ===課金タイプを取得する
        # @return:: 課金タイプ
        #
        def accounting_type
          @accounting_type = nil unless instance_variable_defined?(:@accounting_type)
          @accounting_type
        end

        #
        # ===課金タイプを設定する
        # @param:: accounting_type 課金タイプ
        #
        def accounting_type=(accounting_type)
          @accounting_type = accounting_type
        end

        #
        # ===商品情報を取得する
        # @return:: 商品情報
        #
        def item_info
          @item_info = nil unless instance_variable_defined?(:@item_info)
          @item_info
        end

        #
        # ===商品情報を設定する
        # @param:: item_info 商品情報
        #
        def item_info=(item_info)
          @item_info = item_info
        end

        #
        # ===商品番号を取得する
        # @return:: 商品番号
        #
        def item_id
          @item_id = nil unless instance_variable_defined?(:@item_id)
          @item_id
        end

        #
        # ===商品番号を設定する
        # @param:: item_id 商品番号
        #
        def item_id=(item_id)
          @item_id = item_id
        end

        #
        # ===商品タイプを取得する
        # @return:: 商品タイプ
        #
        def item_type
          @item_type = nil unless instance_variable_defined?(:@item_type)
          @item_type
        end

        #
        # ===商品タイプを設定する
        # @param:: item_type 商品タイプ
        #
        def item_type=(item_type)
          @item_type = item_type
        end

        #
        # ===端末種別を取得する
        # @return:: 端末種別
        #
        def terminal_kind
          @terminal_kind = nil unless instance_variable_defined?(:@terminal_kind)
          @terminal_kind
        end

        #
        # ===端末種別を設定する
        # @param:: terminal_kind 端末種別
        #
        def terminal_kind=(terminal_kind)
          @terminal_kind = terminal_kind
        end

        #
        # ===決済申込日時を取得する
        # @return:: 決済申込日時
        #
        def authorize_datetime
          @authorize_datetime = nil unless instance_variable_defined?(:@authorize_datetime)
          @authorize_datetime
        end

        #
        # ===決済申込日時を設定する
        # @param:: authorize_datetime 決済申込日時
        #
        def authorize_datetime=(authorize_datetime)
          @authorize_datetime = authorize_datetime
        end

        #
        # ===売上日時を取得する
        # @return:: 売上日時
        #
        def capture_datetime
          @capture_datetime = nil unless instance_variable_defined?(:@capture_datetime)
          @capture_datetime
        end

        #
        # ===売上日時を設定する
        # @param:: capture_datetime 売上日時
        #
        def capture_datetime=(capture_datetime)
          @capture_datetime = capture_datetime
        end

        #
        # ===取消日時を取得する
        # @return:: 取消日時
        #
        def cancel_datetime
          @cancel_datetime = nil unless instance_variable_defined?(:@cancel_datetime)
          @cancel_datetime
        end

        #
        # ===取消日時を設定する
        # @param:: cancel_datetime 取消日時
        #
        def cancel_datetime=(cancel_datetime)
          @cancel_datetime = cancel_datetime
        end

        #
        # ===初回課金日付を取得する
        # @return:: 初回課金日付
        #
        def mp_first_date
          @mp_first_date = nil unless instance_variable_defined?(:@mp_first_date)
          @mp_first_date
        end

        #
        # ===初回課金日付を設定する
        # @param:: mp_first_date 初回課金日付
        #
        def mp_first_date=(mp_first_date)
          @mp_first_date = mp_first_date
        end

        #
        # ===継続課金日を取得する
        # @return:: 継続課金日
        #
        def mp_day
          @mp_day = nil unless instance_variable_defined?(:@mp_day)
          @mp_day
        end

        #
        # ===継続課金日を設定する
        # @param:: mp_day 継続課金日
        #
        def mp_day=(mp_day)
          @mp_day = mp_day
        end

        #
        # ===継続状態フラグ (月額課金状態フラグ)を取得する
        # @return:: 継続状態フラグ (月額課金状態フラグ)
        #
        def mp_status
          @mp_status = nil unless instance_variable_defined?(:@mp_status)
          @mp_status
        end

        #
        # ===継続状態フラグ (月額課金状態フラグ)を設定する
        # @param:: mp_status 継続状態フラグ (月額課金状態フラグ)
        #
        def mp_status=(mp_status)
          @mp_status = mp_status
        end

        #
        # ===継続課金オーダーIDを取得する
        # @return:: 継続課金オーダーID
        #
        def mp_order_id
          @mp_order_id = nil unless instance_variable_defined?(:@mp_order_id)
          @mp_order_id
        end

        #
        # ===継続課金オーダーIDを設定する
        # @param:: mp_order_id 継続課金オーダーID
        #
        def mp_order_id=(mp_order_id)
          @mp_order_id = mp_order_id
        end

        #
        # ===継続課金状態タイプを取得する
        # @return:: 継続課金状態タイプ
        #
        def mp_txn_status_type
          @mp_txn_status_type = nil unless instance_variable_defined?(:@mp_txn_status_type)
          @mp_txn_status_type
        end

        #
        # ===継続課金状態タイプを設定する
        # @param:: mp_txn_status_type 継続課金状態タイプ
        #
        def mp_txn_status_type=(mp_txn_status_type)
          @mp_txn_status_type = mp_txn_status_type
        end

        #
        # ===継続売上日時を取得する
        # @return:: 継続売上日時
        #
        def mp_capture_datetime
          @mp_capture_datetime = nil unless instance_variable_defined?(:@mp_capture_datetime)
          @mp_capture_datetime
        end

        #
        # ===継続売上日時を設定する
        # @param:: mp_capture_datetime 継続売上日時
        #
        def mp_capture_datetime=(mp_capture_datetime)
          @mp_capture_datetime = mp_capture_datetime
        end

        #
        # ===継続取消日時を取得する
        # @return:: 継続取消日時
        #
        def mp_cancel_datetime
          @mp_cancel_datetime = nil unless instance_variable_defined?(:@mp_cancel_datetime)
          @mp_cancel_datetime
        end

        #
        # ===継続取消日時を設定する
        # @param:: mp_cancel_datetime 継続取消日時
        #
        def mp_cancel_datetime=(mp_cancel_datetime)
          @mp_cancel_datetime = mp_cancel_datetime
        end

        #
        # ===継続終了日時を取得する
        # @return:: 継続終了日時
        #
        def mp_terminate_datetime
          @mp_terminate_datetime = nil unless instance_variable_defined?(:@mp_terminate_datetime)
          @mp_terminate_datetime
        end

        #
        # ===継続終了日時を設定する
        # @param:: mp_terminate_datetime 継続終了日時
        #
        def mp_terminate_datetime=(mp_terminate_datetime)
          @mp_terminate_datetime = mp_terminate_datetime
        end

        #
        # ===キャリアオーダーIDを取得する
        # @return:: キャリアオーダーID
        #
        def cr_order_id
          @cr_order_id = nil unless instance_variable_defined?(:@cr_order_id)
          @cr_order_id
        end

        #
        # ===キャリアオーダーIDを設定する
        # @param:: cr_order_id キャリアオーダーID
        #
        def cr_order_id=(cr_order_id)
          @cr_order_id = cr_order_id
        end

        #
        # ===本人認証（３Ｄセキュア）を取得する
        # @return:: 本人認証（３Ｄセキュア）
        #
        def d3_flag
          @d3_flag = nil unless instance_variable_defined?(:@d3_flag)
          @d3_flag
        end

        #
        # ===本人認証（３Ｄセキュア）を設定する
        # @param:: d3_flag 本人認証（３Ｄセキュア）
        #
        def d3_flag=(d3_flag)
          @d3_flag = d3_flag
        end

        #
        # ===フレッツエリアを取得する
        # @return:: フレッツエリア
        #
        def flets_area
          @flets_area = nil unless instance_variable_defined?(:@flets_area)
          @flets_area
        end

        #
        # ===フレッツエリアを設定する
        # @param:: flets_area フレッツエリア
        #
        def flets_area=(flets_area)
          @flets_area = flets_area
        end

        #
        # ===割引金額を取得する
        # @return:: 割引金額
        #
        def discount_amount
          @discount_amount = nil unless instance_variable_defined?(:@discount_amount)
          @discount_amount
        end

        #
        # ===割引金額を設定する
        # @param:: discount_amount 割引金額
        #
        def discount_amount=(discount_amount)
          @discount_amount = discount_amount
        end

        #
        # ===元取引IDを取得する
        # @return:: 元取引ID
        #
        def original_order_id
          @original_order_id = nil unless instance_variable_defined?(:@original_order_id)
          @original_order_id
        end

        #
        # ===元取引IDを設定する
        # @param:: original_order_id 元取引ID
        #
        def original_order_id=(original_order_id)
          @original_order_id = original_order_id
        end

        #
        # ===決済認証方式を取得する
        # @return:: 決済認証方式
        #
        def payment_authentication_type
          @payment_authentication_type = nil unless instance_variable_defined?(:@payment_authentication_type)
          @payment_authentication_type
        end

        #
        # ===決済認証方式を設定する
        # アプリ決済認証方式フラグ
        # 
        # - 0：ID認証方式
        # - 1：アプリ方式
        # 
        # auの都度決済でのみ指定可能です。
        # ※未指定の場合は、「0：ID認証方式」
        # @param:: payment_authentication_type 決済認証方式
        #
        def payment_authentication_type=(payment_authentication_type)
          @payment_authentication_type = payment_authentication_type
        end

        #
        # ===マーチャントリダイレクションURLを取得する
        # @return:: マーチャントリダイレクションURL
        #
        def merchant_redirection_url
          @merchant_redirection_url = nil unless instance_variable_defined?(:@merchant_redirection_url)
          @merchant_redirection_url
        end

        #
        # ===マーチャントリダイレクションURLを設定する
        # @param:: merchant_redirection_url マーチャントリダイレクションURL
        #
        def merchant_redirection_url=(merchant_redirection_url)
          @merchant_redirection_url = merchant_redirection_url
        end

        #
        # ===注文番号を取得する
        # @return:: 注文番号
        #
        def orico_order_no
          @orico_order_no = nil unless instance_variable_defined?(:@orico_order_no)
          @orico_order_no
        end

        #
        # ===注文番号を設定する
        # @param:: orico_order_no 注文番号
        #
        def orico_order_no=(orico_order_no)
          @orico_order_no = orico_order_no
        end

        #
        # ===会員番号(加盟店)を取得する
        # @return:: 会員番号(加盟店)
        #
        def user_no
          @user_no = nil unless instance_variable_defined?(:@user_no)
          @user_no
        end

        #
        # ===会員番号(加盟店)を設定する
        # @param:: user_no 会員番号(加盟店)
        #
        def user_no=(user_no)
          @user_no = user_no
        end

        #
        # ===商品名を取得する
        # @return:: 商品名
        #
        def item_name
          @item_name = nil unless instance_variable_defined?(:@item_name)
          @item_name
        end

        #
        # ===商品名を設定する
        # @param:: item_name 商品名
        #
        def item_name=(item_name)
          @item_name = item_name
        end

        #
        # ===商品名１を取得する
        # @return:: 商品名１
        #
        def item_name1
          @item_name1 = nil unless instance_variable_defined?(:@item_name1)
          @item_name1
        end

        #
        # ===商品名１を設定する
        # @param:: item_name1 商品名１
        #
        def item_name1=(item_name1)
          @item_name1 = item_name1
        end

        #
        # ===数量１を取得する
        # @return:: 数量１
        #
        def item_count1
          @item_count1 = nil unless instance_variable_defined?(:@item_count1)
          @item_count1
        end

        #
        # ===数量１を設定する
        # @param:: item_count1 数量１
        #
        def item_count1=(item_count1)
          @item_count1 = item_count1
        end

        #
        # ===商品価格１(税込)を取得する
        # @return:: 商品価格１(税込)
        #
        def item_amount1
          @item_amount1 = nil unless instance_variable_defined?(:@item_amount1)
          @item_amount1
        end

        #
        # ===商品価格１(税込)を設定する
        # @param:: item_amount1 商品価格１(税込)
        #
        def item_amount1=(item_amount1)
          @item_amount1 = item_amount1
        end

        #
        # ===商品名２を取得する
        # @return:: 商品名２
        #
        def item_name2
          @item_name2 = nil unless instance_variable_defined?(:@item_name2)
          @item_name2
        end

        #
        # ===商品名２を設定する
        # @param:: item_name2 商品名２
        #
        def item_name2=(item_name2)
          @item_name2 = item_name2
        end

        #
        # ===数量２を取得する
        # @return:: 数量２
        #
        def item_count2
          @item_count2 = nil unless instance_variable_defined?(:@item_count2)
          @item_count2
        end

        #
        # ===数量２を設定する
        # @param:: item_count2 数量２
        #
        def item_count2=(item_count2)
          @item_count2 = item_count2
        end

        #
        # ===商品価格２(税込)を取得する
        # @return:: 商品価格２(税込)
        #
        def item_amount2
          @item_amount2 = nil unless instance_variable_defined?(:@item_amount2)
          @item_amount2
        end

        #
        # ===商品価格２(税込)を設定する
        # @param:: item_amount2 商品価格２(税込)
        #
        def item_amount2=(item_amount2)
          @item_amount2 = item_amount2
        end

        #
        # ===商品名３を取得する
        # @return:: 商品名３
        #
        def item_name3
          @item_name3 = nil unless instance_variable_defined?(:@item_name3)
          @item_name3
        end

        #
        # ===商品名３を設定する
        # @param:: item_name3 商品名３
        #
        def item_name3=(item_name3)
          @item_name3 = item_name3
        end

        #
        # ===数量３を取得する
        # @return:: 数量３
        #
        def item_count3
          @item_count3 = nil unless instance_variable_defined?(:@item_count3)
          @item_count3
        end

        #
        # ===数量３を設定する
        # @param:: item_count3 数量３
        #
        def item_count3=(item_count3)
          @item_count3 = item_count3
        end

        #
        # ===商品価格３(税込)を取得する
        # @return:: 商品価格３(税込)
        #
        def item_amount3
          @item_amount3 = nil unless instance_variable_defined?(:@item_amount3)
          @item_amount3
        end

        #
        # ===商品価格３(税込)を設定する
        # @param:: item_amount3 商品価格３(税込)
        #
        def item_amount3=(item_amount3)
          @item_amount3 = item_amount3
        end

        #
        # ===商品名４を取得する
        # @return:: 商品名４
        #
        def item_name4
          @item_name4 = nil unless instance_variable_defined?(:@item_name4)
          @item_name4
        end

        #
        # ===商品名４を設定する
        # @param:: item_name4 商品名４
        #
        def item_name4=(item_name4)
          @item_name4 = item_name4
        end

        #
        # ===数量４を取得する
        # @return:: 数量４
        #
        def item_count4
          @item_count4 = nil unless instance_variable_defined?(:@item_count4)
          @item_count4
        end

        #
        # ===数量４を設定する
        # @param:: item_count4 数量４
        #
        def item_count4=(item_count4)
          @item_count4 = item_count4
        end

        #
        # ===商品価格４(税込)を取得する
        # @return:: 商品価格４(税込)
        #
        def item_amount4
          @item_amount4 = nil unless instance_variable_defined?(:@item_amount4)
          @item_amount4
        end

        #
        # ===商品価格４(税込)を設定する
        # @param:: item_amount4 商品価格４(税込)
        #
        def item_amount4=(item_amount4)
          @item_amount4 = item_amount4
        end

        #
        # ===商品名５を取得する
        # @return:: 商品名５
        #
        def item_name5
          @item_name5 = nil unless instance_variable_defined?(:@item_name5)
          @item_name5
        end

        #
        # ===商品名５を設定する
        # @param:: item_name5 商品名５
        #
        def item_name5=(item_name5)
          @item_name5 = item_name5
        end

        #
        # ===数量５を取得する
        # @return:: 数量５
        #
        def item_count5
          @item_count5 = nil unless instance_variable_defined?(:@item_count5)
          @item_count5
        end

        #
        # ===数量５を設定する
        # @param:: item_count5 数量５
        #
        def item_count5=(item_count5)
          @item_count5 = item_count5
        end

        #
        # ===商品価格５(税込)を取得する
        # @return:: 商品価格５(税込)
        #
        def item_amount5
          @item_amount5 = nil unless instance_variable_defined?(:@item_amount5)
          @item_amount5
        end

        #
        # ===商品価格５(税込)を設定する
        # @param:: item_amount5 商品価格５(税込)
        #
        def item_amount5=(item_amount5)
          @item_amount5 = item_amount5
        end

        #
        # ===商品価格合計(税込)を取得する
        # @return:: 商品価格合計(税込)
        #
        def total_item_amount
          @total_item_amount = nil unless instance_variable_defined?(:@total_item_amount)
          @total_item_amount
        end

        #
        # ===商品価格合計(税込)を設定する
        # @param:: total_item_amount 商品価格合計(税込)
        #
        def total_item_amount=(total_item_amount)
          @total_item_amount = total_item_amount
        end

        #
        # ===送料合計(税込)を取得する
        # @return:: 送料合計(税込)
        #
        def total_carriage
          @total_carriage = nil unless instance_variable_defined?(:@total_carriage)
          @total_carriage
        end

        #
        # ===送料合計(税込)を設定する
        # @param:: total_carriage 送料合計(税込)
        #
        def total_carriage=(total_carriage)
          @total_carriage = total_carriage
        end

        #
        # ===頭金を取得する
        # @return:: 頭金
        #
        def deposit
          @deposit = nil unless instance_variable_defined?(:@deposit)
          @deposit
        end

        #
        # ===頭金を設定する
        # @param:: deposit 頭金
        #
        def deposit=(deposit)
          @deposit = deposit
        end

        #
        # ===配送先郵便番号を取得する
        # @return:: 配送先郵便番号
        #
        def shipping_zip_code
          @shipping_zip_code = nil unless instance_variable_defined?(:@shipping_zip_code)
          @shipping_zip_code
        end

        #
        # ===配送先郵便番号を設定する
        # @param:: shipping_zip_code 配送先郵便番号
        #
        def shipping_zip_code=(shipping_zip_code)
          @shipping_zip_code = shipping_zip_code
        end

        #
        # ===取扱契約番号を取得する
        # @return:: 取扱契約番号
        #
        def handling_contract_no
          @handling_contract_no = nil unless instance_variable_defined?(:@handling_contract_no)
          @handling_contract_no
        end

        #
        # ===取扱契約番号を設定する
        # @param:: handling_contract_no 取扱契約番号
        #
        def handling_contract_no=(handling_contract_no)
          @handling_contract_no = handling_contract_no
        end

        #
        # ===契約書有無区分を取得する
        # @return:: 契約書有無区分
        #
        def contract_document_kbn
          @contract_document_kbn = nil unless instance_variable_defined?(:@contract_document_kbn)
          @contract_document_kbn
        end

        #
        # ===契約書有無区分を設定する
        # @param:: contract_document_kbn 契約書有無区分
        #
        def contract_document_kbn=(contract_document_kbn)
          @contract_document_kbn = contract_document_kbn
        end

        #
        # ===WEB申込商品IDを取得する
        # @return:: WEB申込商品ID
        #
        def web_description_id
          @web_description_id = nil unless instance_variable_defined?(:@web_description_id)
          @web_description_id
        end

        #
        # ===WEB申込商品IDを設定する
        # @param:: web_description_id WEB申込商品ID
        #
        def web_description_id=(web_description_id)
          @web_description_id = web_description_id
        end

        #
        # ===楽天オーダーIDを取得する
        # @return:: 楽天オーダーID
        #
        def rakuten_order_id
          @rakuten_order_id = nil unless instance_variable_defined?(:@rakuten_order_id)
          @rakuten_order_id
        end

        #
        # ===楽天オーダーIDを設定する
        # @param:: rakuten_order_id 楽天オーダーID
        #
        def rakuten_order_id=(rakuten_order_id)
          @rakuten_order_id = rakuten_order_id
        end

        #
        # ===決済トランザクションIDを取得する
        # @return:: 決済トランザクションID
        #
        def payment_txn_id
          @payment_txn_id = nil unless instance_variable_defined?(:@payment_txn_id)
          @payment_txn_id
        end

        #
        # ===決済トランザクションIDを設定する
        # @param:: payment_txn_id 決済トランザクションID
        #
        def payment_txn_id=(payment_txn_id)
          @payment_txn_id = payment_txn_id
        end

        #
        # ===決済取消トランザクションIDを取得する
        # @return:: 決済取消トランザクションID
        #
        def cancel_txn_id
          @cancel_txn_id = nil unless instance_variable_defined?(:@cancel_txn_id)
          @cancel_txn_id
        end

        #
        # ===決済取消トランザクションIDを設定する
        # @param:: cancel_txn_id 決済取消トランザクションID
        #
        def cancel_txn_id=(cancel_txn_id)
          @cancel_txn_id = cancel_txn_id
        end

        #
        # ===リクルートオーダーIDを取得する
        # @return:: リクルートオーダーID
        #
        def recruit_order_id
          @recruit_order_id = nil unless instance_variable_defined?(:@recruit_order_id)
          @recruit_order_id
        end

        #
        # ===リクルートオーダーIDを設定する
        # @param:: recruit_order_id リクルートオーダーID
        #
        def recruit_order_id=(recruit_order_id)
          @recruit_order_id = recruit_order_id
        end

        #
        # ===LINE PayオーダーIDを取得する
        # @return:: LINE PayオーダーID
        #
        def linepay_order_id
          @linepay_order_id = nil unless instance_variable_defined?(:@linepay_order_id)
          @linepay_order_id
        end

        #
        # ===LINE PayオーダーIDを設定する
        # @param:: linepay_order_id LINE PayオーダーID
        #
        def linepay_order_id=(linepay_order_id)
          @linepay_order_id = linepay_order_id
        end

        #
        # ===商品金額を取得する
        # @return:: 商品金額
        #
        def item_amount
          @item_amount = nil unless instance_variable_defined?(:@item_amount)
          @item_amount
        end

        #
        # ===商品金額を設定する
        # @param:: item_amount 商品金額
        #
        def item_amount=(item_amount)
          @item_amount = item_amount
        end

        #
        # ===MasterPass取引IDを取得する
        # @return:: MasterPass取引ID
        #
        def masterpass_order_id
          @masterpass_order_id = nil unless instance_variable_defined?(:@masterpass_order_id)
          @masterpass_order_id
        end

        #
        # ===MasterPass取引IDを設定する
        # @param:: masterpass_order_id MasterPass取引ID
        #
        def masterpass_order_id=(masterpass_order_id)
          @masterpass_order_id = masterpass_order_id
        end

        #
        # ===仕向け先コードを取得する
        # @return:: 仕向け先コード
        #
        def acquirer_code
          @acquirer_code = nil unless instance_variable_defined?(:@acquirer_code)
          @acquirer_code
        end

        #
        # ===仕向け先コードを設定する
        # @param:: acquirer_code 仕向け先コード
        #
        def acquirer_code=(acquirer_code)
          @acquirer_code = acquirer_code
        end

        #
        # ===カード番号を取得する
        # @return:: カード番号
        #
        def card_number
          @card_number = nil unless instance_variable_defined?(:@card_number)
          @card_number
        end

        #
        # ===カード番号を設定する
        # @param:: card_number カード番号
        #
        def card_number=(card_number)
          @card_number = card_number
        end

        #
        # ===支払詳細を取得する
        # @return:: 支払詳細
        #
        def jpo_information
          @jpo_information = nil unless instance_variable_defined?(:@jpo_information)
          @jpo_information
        end

        #
        # ===支払詳細を設定する
        # @param:: jpo_information 支払詳細
        #
        def jpo_information=(jpo_information)
          @jpo_information = jpo_information
        end

        #
        # ===入金状態を取得する
        #
        # @return:: 入金状態
        #
        def vacc_deposit_status_type
          @vacc_deposit_status_type = nil unless instance_variable_defined?(:@vacc_deposit_status_type)
          @vacc_deposit_status_type
        end

        #
        # ===入金状態を設定する
        #
        # @param:: vacc_deposit_status_type 入金状態
        #
        def vacc_deposit_status_type=(vacc_deposit_status_type)
          @vacc_deposit_status_type = vacc_deposit_status_type
        end

        #
        # ===振込期限を取得する
        #
        # @return:: 振込期限
        #
        def transfer_expired_date
          @transfer_expired_date = nil unless instance_variable_defined?(:@transfer_expired_date)
          @transfer_expired_date
        end

        #
        # ===振込期限を設定する
        #
        # @param:: transfer_expired_date 振込期限
        #
        def transfer_expired_date=(transfer_expired_date)
          @transfer_expired_date = transfer_expired_date
        end

        #
        # ===消込日を取得する
        #
        # @return:: 消込日
        #
        def reconcile_date
          @reconcile_date = nil unless instance_variable_defined?(:@reconcile_date)
          @reconcile_date
        end

        #
        # ===消込日を設定する
        #
        # @param:: reconcile_date 消込日
        #
        def reconcile_date=(reconcile_date)
          @reconcile_date = reconcile_date
        end

        #
        # ===入金総額を取得する
        #
        # @return:: 入金総額
        #
        def total_deposit_amount
          @total_deposit_amount = nil unless instance_variable_defined?(:@total_deposit_amount)
          @total_deposit_amount
        end

        #
        # ===入金総額を設定する
        #
        # @param:: total_deposit_amount 入金総額
        #
        def total_deposit_amount=(total_deposit_amount)
          @total_deposit_amount = total_deposit_amount
        end

        #
        # ===登録時振込人名を取得する
        #
        # @return:: 登録時振込人名
        #
        def entry_transfer_name
          @entry_transfer_name = nil unless instance_variable_defined?(:@entry_transfer_name)
          @entry_transfer_name
        end

        #
        # ===登録時振込人名を設定する
        #
        # @param:: entry_transfer_name 登録時振込人名
        #
        def entry_transfer_name=(entry_transfer_name)
          @entry_transfer_name = entry_transfer_name
        end

        #
        # ===登録時振込番号を取得する
        #
        # @return:: 登録時振込番号
        #
        def entry_transfer_number
          @entry_transfer_number = nil unless instance_variable_defined?(:@entry_transfer_number)
          @entry_transfer_number
        end

        #
        # ===登録時振込番号を設定する
        #
        # @param:: entry_transfer_number 登録時振込番号
        #
        def entry_transfer_number=(entry_transfer_number)
          @entry_transfer_number = entry_transfer_number
        end

        #
        # ===口座番号を取得する
        #
        # @return:: 口座番号
        #
        def account_number
          @account_number = nil unless instance_variable_defined?(:@account_number)
          @account_number
        end

        #
        # ===口座番号を設定する
        #
        # @param:: account_number 口座番号
        #
        def account_number=(account_number)
          @account_number = account_number
        end

        #
        # ===口座管理方式を取得する
        #
        # @return:: 口座管理方式
        #
        def account_manage_type
          @account_manage_type = nil unless instance_variable_defined?(:@account_manage_type)
          @account_manage_type
        end

        #
        # ===口座管理方式を設定する
        #
        # @param:: account_manage_type 口座管理方式
        #
        def account_manage_type=(account_manage_type)
          @account_manage_type = account_manage_type
        end

        #
        # ===Tenpayサービスタイプを取得する
        #
        # @return:: Tenpayサービスタイプ
        #
        def tenpay_service_type
          @tenpay_service_type = nil unless instance_variable_defined?(:@tenpay_service_type)
          @tenpay_service_type
        end

        #
        # ===Tenpayサービスタイプを設定する
        #
        # @param:: tenpay_service_type Tenpayサービスタイプ
        #
        def tenpay_service_type=(tenpay_service_type)
          @tenpay_service_type = tenpay_service_type
        end

        #
        # ===商品詳細を取得する
        #
        # @return:: 商品詳細
        #
        def item_detail
          @item_detail = nil unless instance_variable_defined?(:@item_detail)
          @item_detail
        end

        #
        # ===商品詳細を設定する
        #
        # @param:: item_detail 商品詳細
        #
        def item_detail=(item_detail)
          @item_detail = item_detail
        end

        #
        # ===商品タグを取得する
        #
        # @return:: 商品タグ
        #
        def item_label
          @item_label = nil unless instance_variable_defined?(:@item_label)
          @item_label
        end

        #
        # ===商品タグを設定する
        #
        # @param:: item_label 商品タグ
        #
        def item_label=(item_label)
          @item_label = item_label
        end

        #
        # ===Tenpay取引IDを取得する
        #
        # @return:: Tenpay取引ID
        #
        def tenpay_order_id
          @tenpay_order_id = nil unless instance_variable_defined?(:@tenpay_order_id)
          @tenpay_order_id
        end

        #
        # ===Tenpay取引IDを設定する
        #
        # @param:: tenpay_order_id Tenpay取引ID
        #
        def tenpay_order_id=(tenpay_order_id)
          @tenpay_order_id = tenpay_order_id
        end

        #
        # ===決済センター（PayPay）との取引IDを取得する
        #
        # @return:: 決済センター（PayPay）との取引ID
        #
        def paypay_order_id
          @paypay_order_id = nil unless instance_variable_defined?(:@paypay_order_id)
          @paypay_order_id
        end

        #
        # ===決済センター（PayPay）との取引IDを設定する
        #
        # @param:: paypay_order_id 決済センター（PayPay）との取引ID
        #
        def paypay_order_id=(paypay_order_id)
          @paypay_order_id = paypay_order_id
        end

        #
        # ===PayPayサービスタイプを取得する
        #
        # @return:: PayPayサービスタイプ
        #
        def paypay_service_type
          @paypay_service_type = nil unless instance_variable_defined?(:@paypay_service_type)
          @paypay_service_type
        end

        #
        # ===PayPayサービスタイプを設定する
        #
        # @param:: paypay_service_type PayPayサービスタイプ
        #
        def paypay_service_type=(paypay_service_type)
          @paypay_service_type = paypay_service_type
        end

        #
        # ===返金日時を取得する
        #
        # @return:: 返金日時
        #
        def refund_datetime
          @refund_datetime = nil unless instance_variable_defined?(:@refund_datetime)
          @refund_datetime
        end

        #
        # ===返金日時を設定する
        #
        # @param:: refund_datetime 返金日時
        #
        def refund_datetime=(refund_datetime)
          @refund_datetime = refund_datetime
        end

        #
        # ===解約日時を取得する
        #
        # @return:: 解約日時
        #
        def terminate_datetime
          @terminate_datetime = nil unless instance_variable_defined?(:@terminate_datetime)
          @terminate_datetime
        end

        #
        # ===解約日時を設定する
        #
        # @param:: terminate_datetime 解約日時
        #
        def terminate_datetime=(terminate_datetime)
          @terminate_datetime = terminate_datetime
        end

        #
        # ===顧客決済情報を取得する
        #
        # @return:: 顧客決済情報
        #
        def user_key
          @user_key = nil unless instance_variable_defined?(:@user_key)
          @user_key
        end

        #
        # ===顧客決済情報を設定する
        #
        # @param:: user_key 顧客決済情報
        #
        def user_key=(user_key)
          @user_key = user_key
        end

        #
        # ===Bankpay申込会員IDを取得する
        #
        # @return:: Bankpay申込会員ID
        #
        def member_id
          @member_id = nil unless instance_variable_defined?(:@member_id)
          @member_id
        end

        #
        # ===Bankpay申込会員IDを設定する
        #
        # @param:: member_id Bankpay申込会員ID
        #
        def member_id=(member_id)
          @member_id = member_id
        end

        #
        # ===Bankpay申込口座IDを取得する
        #
        # @return:: Bankpay口座会員ID
        #
        def account_id
          @account_id = nil unless instance_variable_defined?(:@account_id)
          @account_id
        end

        #
        # ===Bankpay申込口座IDを設定する
        #
        # @param:: member_id Bankpay申込口座ID
        #
        def account_id=(account_id)
          @account_id = account_id
        end

        #
        # ===Alipay+サービスタイプを取得する
        #
        # @return:: Alipay+サービスタイプ
        #
        def alipayx_service_type
          @alipayx_service_type = nil unless instance_variable_defined?(:@alipayx_service_type)
          @alipayx_service_type
        end

        #
        # ===Alipay+サービスタイプを設定する
        #
        # @param:: alipayx_service_type Alipay+サービスタイプ
        #
        def alipayx_service_type=(alipayx_service_type)
          @alipayx_service_type = alipayx_service_type
        end

        #
        # ===決済センターの管理IDを取得する
        #
        # @return:: 決済センターの管理ID
        #
        def center_id
          @center_id = nil unless instance_variable_defined?(:@center_id)
          @center_id
        end

        #
        # ===決済センターの管理IDを設定する
        #
        # @param:: center_id 決済センターの管理ID
        #
        def center_id=(center_id)
          @center_id = center_id
        end

        #
        # ===ペイメントソースを取得する
        #
        # @return:: ペイメントソース
        #
        def payment_source
          @payment_source = nil unless instance_variable_defined?(:@payment_source)
          @payment_source
        end

        #
        # ===ペイメントソースを設定する
        #
        # @param:: payment_source ペイメントソース
        #
        def payment_source=(payment_source)
          @payment_source = payment_source
        end

        #
        # ===CvsPay種別を取得する
        #
        # @return:: CvsPay種別
        #
        def cvspay_type
          @cvspay_type = nil unless instance_variable_defined?(:@cvspay_type)
          @cvspay_type
        end

        #
        # ===CvsPay種別を設定する
        #
        # @param:: cvspay_type CvsPay種別
        #
        def cvspay_type=(cvspay_type)
          @cvspay_type = cvspay_type
        end

        #
        # ===決済種別を取得する
        #
        # @return:: 決済種別
        #
        def pay_type
          @pay_type = nil unless instance_variable_defined?(:@pay_type)
          @pay_type
        end

        #
        # ===決済種別を設定する
        #
        # @param:: pay_type 決済種別
        #
        def pay_type=(pay_type)
          @pay_type = pay_type
        end

        #
        # ===CvsPayオーダーIDを取得する
        #
        # @return:: CvsPayオーダーID
        #
        def cvspay_order_id
          @cvspay_order_id = nil unless instance_variable_defined?(:@cvspay_order_id)
          @cvspay_order_id
        end

        #
        # ===CvsPayオーダーIDを設定する
        #
        # @param:: cvspay_order_id CvsPayオーダーID
        #
        def cvspay_order_id=(cvspay_order_id)
          @cvspay_order_id = cvspay_order_id
        end

        #
        # ===ニッセン注文IDを取得する
        # @return:: ニッセン注文ID
        #
        def nissen_transaction_id
          @nissen_transaction_id = nil unless instance_variable_defined?(:@nissen_transaction_id)
          @nissen_transaction_id
        end

        #
        # ===ニッセン注文IDを設定する
        # @param:: nissen_transaction_id ニッセン注文ID
        #
        def nissen_transaction_id=(nissen_transaction_id)
          @nissen_transaction_id = nissen_transaction_id
        end

        #
        # ===最新自動審査結果を取得する
        # @return:: 最新自動審査結果
        #
        def last_author_result
          @last_author_result = nil unless instance_variable_defined?(:@last_author_result)
          @last_author_result
        end

        #
        # ===最新自動審査結果を設定する
        # @param:: last_author_result 最新自動審査結果
        #
        def last_author_result=(last_author_result)
          @last_author_result = last_author_result
        end

        #
        # ===売上金額を取得する
        # @return:: 売上金額
        #
        def capture_amount
          @capture_amount = nil unless instance_variable_defined?(:@capture_amount)
          @capture_amount
        end

        #
        # ===売上金額を設定する
        # @param:: capture_amount 売上金額
        #
        def capture_amount=(capture_amount)
          @capture_amount = capture_amount
        end

        #
        # ===返金可能金額を取得する
        # @return:: 返金可能金額
        #
        def refundable_amount
          @refundable_amount = nil unless instance_variable_defined?(:@refundable_amount)
          @refundable_amount
        end

        #
        # ===返金可能金額を設定する
        # @param:: refundable_amount 返金可能金額
        #
        def refundable_amount=(refundable_amount)
          @refundable_amount = refundable_amount
        end

        #
        # ===決済センターの管理IDを取得する
        # @return:: 決済センターの管理ID
        #
        def center_order_id
          @center_order_id = nil unless instance_variable_defined?(:@center_order_id)
          @center_order_id
        end

        #
        # ===決済センターの管理IDを設定する
        # @param:: center_order_id 決済センターの管理ID
        #
        def center_order_id=(center_order_id)
          @center_order_id = center_order_id
        end

        #
        # ===承諾状態を取得する
        # @return:: 承諾状態
        #
        def consent_status
          @consent_status = nil unless instance_variable_defined?(:@consent_status)
          @consent_status
        end

        #
        # ===承諾状態を設定する
        # @param:: consent_status 承諾状態
        #
        def consent_status=(consent_status)
          @consent_status = consent_status
        end

        #
        # ===頻度（単位）を取得する
        # @return:: 頻度（単位）
        #
        def frequency_unit
          @frequency_unit = nil unless instance_variable_defined?(:@frequency_unit)
          @frequency_unit
        end

        #
        # ===頻度（単位）を設定する
        # @param:: frequency_unit 頻度（単位）
        #
        def frequency_unit=(frequency_unit)
          @frequency_unit = frequency_unit
        end

        #
        # ===頻度（値）を取得する
        # @return:: 頻度（値）
        #
        def frequency_value
          @frequency_value = nil unless instance_variable_defined?(:@frequency_value)
          @frequency_value
        end

        #
        # ===頻度（値）を設定する
        # @param:: frequency_value 頻度（値）
        #
        def frequency_value=(frequency_value)
          @frequency_value = frequency_value
        end

        #
        # ===エポス取引IDを取得する
        # @return:: エポス取引ID
        #
        def epos_order_id
          @epos_order_id = nil unless instance_variable_defined?(:@epos_order_id)
          @epos_order_id
        end

        #
        # ===エポス取引IDを設定する
        # @param:: epos_order_id エポス取引ID
        #
        def epos_order_id=(epos_order_id)
          @epos_order_id = epos_order_id
        end

        #
        # ===クレジット利用額を取得する
        # @return:: クレジット利用額
        #
        def use_credit
          @use_credit = nil unless instance_variable_defined?(:@use_credit)
          @use_credit
        end

        #
        # ===クレジット利用額を設定する
        # @param:: use_credit クレジット利用額
        #
        def use_credit=(use_credit)
          @use_credit = use_credit
        end

        #
        # ===クーポン利用額を取得する
        # @return:: クーポン利用額
        #
        def use_coupon
          @use_coupon = nil unless instance_variable_defined?(:@use_coupon)
          @use_coupon
        end

        #
        # ===クーポン利用額を設定する
        # @param:: use_coupon クーポン利用額
        #
        def use_coupon=(use_coupon)
          @use_coupon = use_coupon
        end

        #
        # ===merpayサービスタイプを取得する
        #
        # @return:: merpayサービスタイプ
        #
        def merpay_service_type
          @merpay_service_type = nil unless instance_variable_defined?(:@merpay_service_type)
          @merpay_service_type
        end

        #
        # ===merpayサービスタイプを設定する
        #
        # @param:: merpay_service_type merpayサービスタイプ
        #
        def merpay_service_type=(merpay_service_type)
          @merpay_service_type = merpay_service_type
        end
        
        #
        # ===承諾時決済タイプを取得する
        #
        # @return:: 承諾時決済タイプ
        #
        def consent_auth_type
          @consent_auth_type = nil unless instance_variable_defined?(:@consent_auth_type)
          @consent_auth_type
        end

        #
        # ===承諾時決済タイプを設定する
        #
        # @param:: consent_auth_type 承諾時決済タイプ
        #
        def consent_auth_type=(consent_auth_type)
          @consent_auth_type = consent_auth_type
        end

        #
        # ===事前承認IDを取得する
        #
        # @return:: 事前承認ID
        #
        def preapproval_id
          @preapproval_id = nil unless instance_variable_defined?(:@preapproval_id)
          @preapproval_id
        end

        #
        # ===事前承認IDを設定する
        #
        # @param:: preapproval_id 事前承認ID
        #
        def preapproval_id=(preapproval_id)
          @preapproval_id = preapproval_id
        end

        #
        # ===随時決済金額を取得する
        # @return:: 随時決済金額
        #
        def od_amount
          @od_amount = nil unless instance_variable_defined?(:@od_amount)
          @od_amount
        end

        #
        # ===随時決済金額を設定する
        # @param:: od_amount 随時決済金額
        #
        def od_amount=(od_amount)
          @od_amount = od_amount
        end

        #
        # ===決済取引IDを取得する
        # @return:: 決済取引ID
        #
        def gateway_order_id
          @gateway_order_id = nil unless instance_variable_defined?(:@gateway_order_id)
          @gateway_order_id
        end

        #
        # ===決済取引IDを設定する
        # @param:: gateway_order_id 決済取引ID
        #
        def gateway_order_id=(gateway_order_id)
          @gateway_order_id = gateway_order_id
        end

        #
        # ===クレジットカードのブランドを取得する
        # @return:: クレジットカードのブランド
        #
        def card_brand
          @card_brand = nil unless instance_variable_defined?(:@card_brand)
          @card_brand
        end

        #
        # ===クレジットカードのブランドを設定する
        # @param:: card_brand クレジットカードのブランド
        #
        def card_brand=(card_brand)
          @card_brand = card_brand
        end

        #
        # ===クレジットカード番号の下4桁を取得する
        # @return:: クレジットカード番号の下4桁
        #
        def card_last4
          @card_last4 = nil unless instance_variable_defined?(:@card_last4)
          @card_last4
        end

        #
        # ===クレジットカード番号の下4桁を設定する
        # @param:: card_last4 クレジットカード番号の下4桁
        #
        def card_last4=(card_last4)
          @card_last4 = card_last4
        end

        #
        # ===分割払いの回数を取得する
        # @return:: 分割払いの回数
        #
        def card_installments
          @card_installments = nil unless instance_variable_defined?(:@card_installments)
          @card_installments
        end

        #
        # ===分割払いの回数を設定する
        # @param:: card_installments 分割払いの回数
        #
        def card_installments=(card_installments)
          @card_installments = card_installments
        end

        #
        # ===セキュリティコード認証利用有無を取得する
        # @return:: セキュリティコード認証利用有無
        #
        def card_cvc
          @card_cvc = nil unless instance_variable_defined?(:@card_cvc)
          @card_cvc
        end

        #
        # ===セキュリティコード認証利用有無を設定する
        # @param:: card_cvc セキュリティコード認証利用有無
        #
        def card_cvc=(card_cvc)
          @card_cvc = card_cvc
        end

        #
        # ===3D セキュア認証利用有無を取得する
        # @return:: 3D セキュア認証利用有無
        #
        def card3ds
          @card3ds = nil unless instance_variable_defined?(:@card3ds)
          @card3ds
        end

        #
        # ===3D セキュア認証利用有無を設定する
        # @param:: card3ds 3D セキュア認証利用有無
        #
        def card3ds=(card3ds)
          @card3ds = card3ds
        end

        #
        # ===取消受付期限を取得する
        # @return:: 取消受付期限
        #
        def cancel_expiration_time
          @cancel_expiration_time = nil unless instance_variable_defined?(:@cancel_expiration_time)
          @cancel_expiration_time
        end

        #
        # ===取消受付期限を設定する
        # @param:: cancel_expiration_time 取消受付期限
        #
        def cancel_expiration_time=(cancel_expiration_time)
          @cancel_expiration_time = cancel_expiration_time
        end

        #
        # ===売上受付期限を取得する
        # @return:: 売上受付期限
        #
        def capture_expiration_time
          @capture_expiration_time = nil unless instance_variable_defined?(:@capture_expiration_time)
          @capture_expiration_time
        end

        #
        # ===売上受付期限を設定する
        # @param:: capture_expiration_time 売上受付期限
        #
        def capture_expiration_time=(capture_expiration_time)
          @capture_expiration_time = capture_expiration_time
        end

        #
        # ===金額変更受付期限を取得する
        # @return:: 金額変更受付期限
        #
        def update_expiration_time
          @update_expiration_time = nil unless instance_variable_defined?(:@update_expiration_time)
          @update_expiration_time
        end

        #
        # ===金額変更受付期限を設定する
        # @param:: update_expiration_time 金額変更受付期限
        #
        def update_expiration_time=(update_expiration_time)
          @update_expiration_time = update_expiration_time
        end

        #
        # ===与信延長受付期限を取得する
        # @return:: 与信延長受付期限
        #
        def extend_auth_expiration_time
          @extend_auth_expiration_time = nil unless instance_variable_defined?(:@extend_auth_expiration_time)
          @extend_auth_expiration_time
        end

        #
        # ===与信延長受付期限を設定する
        # @param:: extend_auth_expiration_time 与信延長受付期限
        #
        def extend_auth_expiration_time=(extend_auth_expiration_time)
          @extend_auth_expiration_time = extend_auth_expiration_time
        end

        #
        # ===楽天承諾時取引IDを取得する
        # @return:: 楽天承諾時取引ID
        #
        def rakuten_consent_order_id
          @rakuten_consent_order_id = nil unless instance_variable_defined?(:@rakuten_consent_order_id)
          @rakuten_consent_order_id
        end

        #
        # ===楽天承諾時取引IDを設定する
        # @param:: rakuten_consent_order_id 楽天承諾時取引ID
        #
        def rakuten_consent_order_id=(rakuten_consent_order_id)
          @rakuten_consent_order_id = rakuten_consent_order_id
        end

        #
        # ===顧客IDを取得する
        # @return:: 顧客ID
        #
        def customer_id
          @customer_id = nil unless instance_variable_defined?(:@customer_id)
          @customer_id
        end

        #
        # ===顧客IDを設定する
        # @param:: customer_id 楽天承諾時取引ID
        #
        def customer_id=(customer_id)
          @customer_id = customer_id
        end

        #
        # ===固有トランザクション情報を取得する
        # @return:: 固有トランザクション情報
        #
        def proper_transaction_info
          @proper_transaction_info = nil unless instance_variable_defined?(:@proper_transaction_info)
          @proper_transaction_info
        end

        #
        # ===固有トランザクション情報を設定する
        # @param:: proper_transaction_info 固有トランザクション情報
        #
        def proper_transaction_info=(proper_transaction_info)
          @proper_transaction_info = proper_transaction_info
        end
        
        #
        # ===決済確認画面種別を取得する
        # @return:: 決済確認画面種別
        #
        def pay_confirm_screen_type
          @pay_confirm_screen_type = nil unless instance_variable_defined?(:@pay_confirm_screen_type)
          @pay_confirm_screen_type
        end

        #
        # ===決済確認画面種別を設定する
        # @param:: pay_confirm_screen_type 決済確認画面種別
        #
        def pay_confirm_screen_type=(pay_confirm_screen_type)
          @pay_confirm_screen_type = pay_confirm_screen_type
        end

      end
    end
  end
end

