# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：楽天、コマンド名：与信変更の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class RakutenUpdateAuthorizeRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "rakuten"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "UpdateAuthorize"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # 対象の取引IDを指定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===金額を取得する
        # @return:: 金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===金額を設定する
        # 変更後の決済金額を指定する
        # @param:: amount 金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===与信延長フラグを取得する
        # @return:: 与信延長フラグ
        #
        def auth_extension_flag
          @auth_extension_flag = nil unless instance_variable_defined?(:@auth_extension_flag)
          @auth_extension_flag
        end

        #
        # ===与信延長フラグを設定する
        # - true : 行う
        # - false: 行わない
        # 未指定の場合は、false:行わない。
        # 
        # 与信期限を延長する場合は「true」としてください。
        # @param:: auth_extension_flag 与信延長フラグ
        #
        def auth_extension_flag=(auth_extension_flag)
          @auth_extension_flag = auth_extension_flag
        end


      end
    end
  end
end
