# -*- encoding: utf-8 -*-

module Veritrans
  module Tercerog
    module Mdk

      #
      # =会員課金情報のクラス
      #
      # @author:: VeriTrans Inc.
      #
      class RecurringChargeParam

        #
        # ===課金グループIDを取得する
        # @return:: 課金グループID
        #
        def group_id
          @group_id = nil unless instance_variable_defined?(:@group_id)
          @group_id
        end

        #
        # ===課金グループIDを設定する
        # @param:: group_id 課金グループID
        #
        def group_id=(group_id)
          @group_id = group_id
        end

        #
        # ===課金開始日を取得する
        # @return:: 課金開始日
        #
        def start_date
          @start_date = nil unless instance_variable_defined?(:@start_date)
          @start_date
        end

        #
        # ===課金開始日を設定する
        # @param:: start_date 課金開始日
        #
        def start_date=(start_date)
          @start_date = start_date
        end

        #
        # ===課金終了日を取得する
        # @return:: 課金終了日
        #
        def end_date
          @end_date = nil unless instance_variable_defined?(:@end_date)
          @end_date
        end

        #
        # ===課金終了日を設定する
        # @param:: end_date 課金終了日
        #
        def end_date=(end_date)
          @end_date = end_date
        end

        #
        # ===次回課金終了フラグを取得する
        # @return:: 次回課金終了フラグ
        #
        def final_charge
          @final_charge = nil unless instance_variable_defined?(:@final_charge)
          @final_charge
        end

        #
        # ===次回課金終了フラグを設定する
        # @param:: final_charge 次回課金終了フラグ
        #
        def final_charge=(final_charge)
          @final_charge = final_charge
        end

        #
        # ===都度／初回課金金額を取得する
        # @return:: 都度／初回課金金額
        #
        def one_time_amount
          @one_time_amount = nil unless instance_variable_defined?(:@one_time_amount)
          @one_time_amount
        end

        #
        # ===都度／初回課金金額を設定する
        # @param:: one_time_amount 都度／初回課金金額
        #
        def one_time_amount=(one_time_amount)
          @one_time_amount = one_time_amount
        end

        #
        # ===継続課金金額を取得する
        # @return:: 継続課金金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===継続課金金額を設定する
        # @param:: amount 継続課金金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===継続課金用メモ1を取得する
        # @return:: 継続課金用メモ1
        #
        def recurring_memo1
          @recurring_memo1 = nil unless instance_variable_defined?(:@recurring_memo1)
          @recurring_memo1
        end

        #
        # ===継続課金用メモ1を設定する
        # @param:: recurring_memo1 継続課金用メモ1
        #
        def recurring_memo1=(recurring_memo1)
          @recurring_memo1 = recurring_memo1
        end

        #
        # ===継続課金用メモ2を取得する
        # @return:: 継続課金用メモ2
        #
        def recurring_memo2
          @recurring_memo2 = nil unless instance_variable_defined?(:@recurring_memo2)
          @recurring_memo2
        end

        #
        # ===継続課金用メモ2を設定する
        # @param:: recurring_memo2 継続課金用メモ2
        #
        def recurring_memo2=(recurring_memo2)
          @recurring_memo2 = recurring_memo2
        end

        #
        # ===継続課金用メモ3を取得する
        # @return:: 継続課金用メモ3
        #
        def recurring_memo3
          @recurring_memo3 = nil unless instance_variable_defined?(:@recurring_memo3)
          @recurring_memo3
        end

        #
        # ===継続課金用メモ3を設定する
        # @param:: recurring_memo3 継続課金用メモ3
        #
        def recurring_memo3=(recurring_memo3)
          @recurring_memo3 = recurring_memo3
        end

        #
        # ===課金オプション利用フラグを取得する
        # @return:: 課金オプション利用フラグ
        #
        def use_charge_option
          @use_charge_option = nil unless instance_variable_defined?(:@use_charge_option)
          @use_charge_option
        end

        #
        # ===課金オプション利用フラグを設定する
        # @param:: use_charge_option 課金オプション利用フラグ
        #
        def use_charge_option=(use_charge_option)
          @use_charge_option = use_charge_option
        end

        #
        # ===売上日を取得する
        # @return:: 売上日
        #
        def sales_day
          @sales_day = nil unless instance_variable_defined?(:@sales_day)
          @sales_day
        end

        #
        # ===売上日を設定する
        # @param:: sales_day 売上日
        #
        def sales_day=(sales_day)
          @sales_day = sales_day
        end

        #
        # ===仕向先会社コードを取得する
        # @return:: 仕向先会社コード
        #
        def acquire_code
          @acquire_code = nil unless instance_variable_defined?(:@acquire_code)
          @acquire_code
        end

        #
        # ===仕向先会社コードを設定する
        # @param:: acquire_code 仕向先会社コード
        #
        def acquire_code=(acquire_code)
          @acquire_code = acquire_code
        end

      end
    end
  end
end
