# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_res_element_processor.rb'
require 'tg_mdk/mdk_dto/base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =基底となる応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ResponseBaseDto < Veritrans::Tercerog::Mdk::BaseDto

        #
        # ===結果XML(マスク済み)を取得する
        # @return:: 結果XML(マスク済み)
        #
        def to_string
          @result_xml = nil unless instance_variable_defined?(:@result_xml)
          @result_xml
        end

        #
        # ===結果XML(マスク済み)を設定する
        # @param:: result_xml 結果XML(マスク済み)
        #
        def _set_result_xml=(result_xml)
          @result_xml = result_xml
        end

        private

        #
        # ===レスポンスからTradURLを検索する
        # @return:: レスポンスに含まれていた広告用（Trad）URL。
        #           エレメントが無いか、エレメントに内容が無ければ nil を返す。
        #
        def find_trad_url()
          rep = Veritrans::Tercerog::Mdk::MdkResElementProcessor.new(to_string)
          return rep.get_trad_url()
        end

      end
    end
  end
end
