# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：スコア@払い、コマンド名：請求印字データ取得の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class ScoreatpayGetInvoiceDataResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # 決済サービスの区分を返却します。
        # "scoreatpay"： スコア@払い
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # 決済請求処理後、応答電文に含まれる値。
        # 以下の処理結果のいずれかが格納される
        # - success：正常終了
        # - failure：異常終了
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # 処理結果を詳細に表すコードを返却します。
        # 
        # 4桁ずつ4つのブロックで構成され、各ブロックでサービス毎の処理結果を表します。
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # 処理結果に対するメッセージを返却します。
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDKバージョンを取得する
        # 電文のバージョン番号を返却します。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end

        #
        # ===請求書バーコードを取得する
        # 印字の際は必ず取得した値を利用してください
        # @return:: 請求書バーコード
        #
        def invoice_bar_code
          @invoice_bar_code = nil unless instance_variable_defined?(:@invoice_bar_code)
          @invoice_bar_code
        end

        #
        # ===請求書バーコードを設定する
        # @param:: invoice_bar_code 請求書バーコード
        #
        def invoice_bar_code=(invoice_bar_code)
          @invoice_bar_code = invoice_bar_code
        end

        #
        # ===請求書コードを取得する
        # バーコード情報内に含まれる取引に関するコードです
        # @return:: 請求書コード
        #
        def invoice_code
          @invoice_code = nil unless instance_variable_defined?(:@invoice_code)
          @invoice_code
        end

        #
        # ===請求書コードを設定する
        # @param:: invoice_code 請求書コード
        #
        def invoice_code=(invoice_code)
          @invoice_code = invoice_code
        end

        #
        # ===発行区分を取得する
        # 固定文字列となります
        # @return:: 発行区分
        #
        def invoice_kbn
          @invoice_kbn = nil unless instance_variable_defined?(:@invoice_kbn)
          @invoice_kbn
        end

        #
        # ===発行区分を設定する
        # @param:: invoice_kbn 発行区分
        #
        def invoice_kbn=(invoice_kbn)
          @invoice_kbn = invoice_kbn
        end

        #
        # ===履歴番号を取得する
        # 固定文字列となります
        # @return:: 履歴番号
        #
        def history_seq
          @history_seq = nil unless instance_variable_defined?(:@history_seq)
          @history_seq
        end

        #
        # ===履歴番号を設定する
        # @param:: history_seq 履歴番号
        #
        def history_seq=(history_seq)
          @history_seq = history_seq
        end

        #
        # ===督促区分を取得する
        # 固定文字列となります
        # @return:: 督促区分
        #
        def reminded_kbn
          @reminded_kbn = nil unless instance_variable_defined?(:@reminded_kbn)
          @reminded_kbn
        end

        #
        # ===督促区分を設定する
        # @param:: reminded_kbn 督促区分
        #
        def reminded_kbn=(reminded_kbn)
          @reminded_kbn = reminded_kbn
        end

        #
        # ===会社名を取得する
        # @return:: 会社名
        #
        def company_name
          @company_name = nil unless instance_variable_defined?(:@company_name)
          @company_name
        end

        #
        # ===会社名を設定する
        # @param:: company_name 会社名
        #
        def company_name=(company_name)
          @company_name = company_name
        end

        #
        # ===部署名を取得する
        # @return:: 部署名
        #
        def department
          @department = nil unless instance_variable_defined?(:@department)
          @department
        end

        #
        # ===部署名を設定する
        # @param:: department 部署名
        #
        def department=(department)
          @department = department
        end

        #
        # ===購入者氏名を取得する
        # 印字の際は必ず取得した値を利用してください
        # @return:: 購入者氏名
        #
        def customer_name
          @customer_name = nil unless instance_variable_defined?(:@customer_name)
          @customer_name
        end

        #
        # ===購入者氏名を設定する
        # @param:: customer_name 購入者氏名
        #
        def customer_name=(customer_name)
          @customer_name = customer_name
        end

        #
        # ===購入者郵便番号を取得する
        # @return:: 購入者郵便番号
        #
        def customer_zip
          @customer_zip = nil unless instance_variable_defined?(:@customer_zip)
          @customer_zip
        end

        #
        # ===購入者郵便番号を設定する
        # @param:: customer_zip 購入者郵便番号
        #
        def customer_zip=(customer_zip)
          @customer_zip = customer_zip
        end

        #
        # ===購入者住所都道府県を取得する
        # @return:: 購入者住所都道府県
        #
        def customer_address1
          @customer_address1 = nil unless instance_variable_defined?(:@customer_address1)
          @customer_address1
        end

        #
        # ===購入者住所都道府県を設定する
        # @param:: customer_address1 購入者住所都道府県
        #
        def customer_address1=(customer_address1)
          @customer_address1 = customer_address1
        end

        #
        # ===購入者住所市区町村を取得する
        # @return:: 購入者住所市区町村
        #
        def customer_address2
          @customer_address2 = nil unless instance_variable_defined?(:@customer_address2)
          @customer_address2
        end

        #
        # ===購入者住所市区町村を設定する
        # @param:: customer_address2 購入者住所市区町村
        #
        def customer_address2=(customer_address2)
          @customer_address2 = customer_address2
        end

        #
        # ===購入者住所それ以降の住所を取得する
        # @return:: 購入者住所それ以降の住所
        #
        def customer_address3
          @customer_address3 = nil unless instance_variable_defined?(:@customer_address3)
          @customer_address3
        end

        #
        # ===購入者住所それ以降の住所を設定する
        # @param:: customer_address3 購入者住所それ以降の住所
        #
        def customer_address3=(customer_address3)
          @customer_address3 = customer_address3
        end

        #
        # ===加盟店郵便番号を取得する
        # @return:: 加盟店郵便番号
        #
        def shop_zip
          @shop_zip = nil unless instance_variable_defined?(:@shop_zip)
          @shop_zip
        end

        #
        # ===加盟店郵便番号を設定する
        # @param:: shop_zip 加盟店郵便番号
        #
        def shop_zip=(shop_zip)
          @shop_zip = shop_zip
        end

        #
        # ===加盟店住所都道府県を取得する
        # @return:: 加盟店住所都道府県
        #
        def shop_address1
          @shop_address1 = nil unless instance_variable_defined?(:@shop_address1)
          @shop_address1
        end

        #
        # ===加盟店住所都道府県を設定する
        # @param:: shop_address1 加盟店住所都道府県
        #
        def shop_address1=(shop_address1)
          @shop_address1 = shop_address1
        end

        #
        # ===加盟店住所市区町村を取得する
        # @return:: 加盟店住所市区町村
        #
        def shop_address2
          @shop_address2 = nil unless instance_variable_defined?(:@shop_address2)
          @shop_address2
        end

        #
        # ===加盟店住所市区町村を設定する
        # @param:: shop_address2 加盟店住所市区町村
        #
        def shop_address2=(shop_address2)
          @shop_address2 = shop_address2
        end

        #
        # ===加盟店住所それ以降の住所を取得する
        # @return:: 加盟店住所それ以降の住所
        #
        def shop_address3
          @shop_address3 = nil unless instance_variable_defined?(:@shop_address3)
          @shop_address3
        end

        #
        # ===加盟店住所それ以降の住所を設定する
        # @param:: shop_address3 加盟店住所それ以降の住所
        #
        def shop_address3=(shop_address3)
          @shop_address3 = shop_address3
        end

        #
        # ===加盟店電話を取得する
        # @return:: 加盟店電話
        #
        def shop_tel
          @shop_tel = nil unless instance_variable_defined?(:@shop_tel)
          @shop_tel
        end

        #
        # ===加盟店電話を設定する
        # @param:: shop_tel 加盟店電話
        #
        def shop_tel=(shop_tel)
          @shop_tel = shop_tel
        end

        #
        # ===加盟店FAX番号を取得する
        # @return:: 加盟店FAX番号
        #
        def shop_fax
          @shop_fax = nil unless instance_variable_defined?(:@shop_fax)
          @shop_fax
        end

        #
        # ===加盟店FAX番号を設定する
        # @param:: shop_fax 加盟店FAX番号
        #
        def shop_fax=(shop_fax)
          @shop_fax = shop_fax
        end

        #
        # ===顧客請求金額を取得する
        # 1～999999
        # 印字の際は必ず取得した値を利用してください
        # @return:: 顧客請求金額
        #
        def billed_amount
          @billed_amount = nil unless instance_variable_defined?(:@billed_amount)
          @billed_amount
        end

        #
        # ===顧客請求金額を設定する
        # @param:: billed_amount 顧客請求金額
        #
        def billed_amount=(billed_amount)
          @billed_amount = billed_amount
        end

        #
        # ===消費税を取得する
        # 顧客請求金額から自動計算されています
        # 印字の際は必ず取得した値を利用してください
        # @return:: 消費税
        #
        def tax
          @tax = nil unless instance_variable_defined?(:@tax)
          @tax
        end

        #
        # ===消費税を設定する
        # @param:: tax 消費税
        #
        def tax=(tax)
          @tax = tax
        end

        #
        # ===購入者払込期限日を取得する
        # YYYY年MM月DD日
        # 印字の際は必ず取得した値を利用してください
        # @return:: 購入者払込期限日
        #
        def time_of_receipts
          @time_of_receipts = nil unless instance_variable_defined?(:@time_of_receipts)
          @time_of_receipts
        end

        #
        # ===購入者払込期限日を設定する
        # @param:: time_of_receipts 購入者払込期限日
        #
        def time_of_receipts=(time_of_receipts)
          @time_of_receipts = time_of_receipts
        end

        #
        # ===請求書発行日付を取得する
        # YYYY年MM月DD日
        # @return:: 請求書発行日付
        #
        def invoice_start_date
          @invoice_start_date = nil unless instance_variable_defined?(:@invoice_start_date)
          @invoice_start_date
        end

        #
        # ===請求書発行日付を設定する
        # @param:: invoice_start_date 請求書発行日付
        #
        def invoice_start_date=(invoice_start_date)
          @invoice_start_date = invoice_start_date
        end

        #
        # ===帳票タイトルを取得する
        # 固定文字列となります
        # @return:: 帳票タイトル
        #
        def invoice_title
          @invoice_title = nil unless instance_variable_defined?(:@invoice_title)
          @invoice_title
        end

        #
        # ===帳票タイトルを設定する
        # @param:: invoice_title 帳票タイトル
        #
        def invoice_title=(invoice_title)
          @invoice_title = invoice_title
        end

        #
        # ===スコア通信欄1を取得する
        # 【加盟店】株式会社ニッセンからの情報です
        # @return:: スコア通信欄1
        #
        def nissen_message1
          @nissen_message1 = nil unless instance_variable_defined?(:@nissen_message1)
          @nissen_message1
        end

        #
        # ===スコア通信欄1を設定する
        # @param:: nissen_message1 スコア通信欄1
        #
        def nissen_message1=(nissen_message1)
          @nissen_message1 = nissen_message1
        end

        #
        # ===スコア通信欄2を取得する
        # 【加盟店】株式会社ニッセンからの情報です
        # @return:: スコア通信欄2
        #
        def nissen_message2
          @nissen_message2 = nil unless instance_variable_defined?(:@nissen_message2)
          @nissen_message2
        end

        #
        # ===スコア通信欄2を設定する
        # @param:: nissen_message2 スコア通信欄2
        #
        def nissen_message2=(nissen_message2)
          @nissen_message2 = nissen_message2
        end

        #
        # ===スコア通信欄3を取得する
        # 【加盟店】株式会社ニッセンからの情報です
        # @return:: スコア通信欄3
        #
        def nissen_message3
          @nissen_message3 = nil unless instance_variable_defined?(:@nissen_message3)
          @nissen_message3
        end

        #
        # ===スコア通信欄3を設定する
        # @param:: nissen_message3 スコア通信欄3
        #
        def nissen_message3=(nissen_message3)
          @nissen_message3 = nissen_message3
        end

        #
        # ===スコア通信欄4を取得する
        # 【加盟店】株式会社ニッセンからの情報です
        # @return:: スコア通信欄4
        #
        def nissen_message4
          @nissen_message4 = nil unless instance_variable_defined?(:@nissen_message4)
          @nissen_message4
        end

        #
        # ===スコア通信欄4を設定する
        # @param:: nissen_message4 スコア通信欄4
        #
        def nissen_message4=(nissen_message4)
          @nissen_message4 = nissen_message4
        end

        #
        # ===加盟店サイト名称を取得する
        # 固定文字列となります
        # @return:: 加盟店サイト名称
        #
        def invoice_shopsite_name
          @invoice_shopsite_name = nil unless instance_variable_defined?(:@invoice_shopsite_name)
          @invoice_shopsite_name
        end

        #
        # ===加盟店サイト名称を設定する
        # @param:: invoice_shopsite_name 加盟店サイト名称
        #
        def invoice_shopsite_name=(invoice_shopsite_name)
          @invoice_shopsite_name = invoice_shopsite_name
        end

        #
        # ===加盟店メールアドレスを取得する
        # 固定文字列となります
        # @return:: 加盟店メールアドレス
        #
        def shop_email
          @shop_email = nil unless instance_variable_defined?(:@shop_email)
          @shop_email
        end

        #
        # ===加盟店メールアドレスを設定する
        # @param:: shop_email 加盟店メールアドレス
        #
        def shop_email=(shop_email)
          @shop_email = shop_email
        end

        #
        # ===スコア社名を取得する
        # 固定文字列となります
        # @return:: スコア社名
        #
        def nissen_name
          @nissen_name = nil unless instance_variable_defined?(:@nissen_name)
          @nissen_name
        end

        #
        # ===スコア社名を設定する
        # @param:: nissen_name スコア社名
        #
        def nissen_name=(nissen_name)
          @nissen_name = nissen_name
        end

        #
        # ===スコア連絡先URLを取得する
        # 固定文字列となります
        # @return:: スコア連絡先URL
        #
        def nissen_qa_url
          @nissen_qa_url = nil unless instance_variable_defined?(:@nissen_qa_url)
          @nissen_qa_url
        end

        #
        # ===スコア連絡先URLを設定する
        # @param:: nissen_qa_url スコア連絡先URL
        #
        def nissen_qa_url=(nissen_qa_url)
          @nissen_qa_url = nissen_qa_url
        end

        #
        # ===加盟店注文日を取得する
        # YYYY年MM月DD日
        # @return:: 加盟店注文日
        #
        def shop_order_date
          @shop_order_date = nil unless instance_variable_defined?(:@shop_order_date)
          @shop_order_date
        end

        #
        # ===加盟店注文日を設定する
        # @param:: shop_order_date 加盟店注文日
        #
        def shop_order_date=(shop_order_date)
          @shop_order_date = shop_order_date
        end

        #
        # ===加盟店コードを取得する
        # 印字の際は必ず取得した値を利用してください
        # @return:: 加盟店コード
        #
        def shop_code
          @shop_code = nil unless instance_variable_defined?(:@shop_code)
          @shop_code
        end

        #
        # ===加盟店コードを設定する
        # @param:: shop_code 加盟店コード
        #
        def shop_code=(shop_code)
          @shop_code = shop_code
        end

        #
        # ===スコア注文IDを取得する
        # 印字の際は必ず取得した値を利用してください
        # @return:: スコア注文ID
        #
        def nissen_transaction_id
          @nissen_transaction_id = nil unless instance_variable_defined?(:@nissen_transaction_id)
          @nissen_transaction_id
        end

        #
        # ===スコア注文IDを設定する
        # @param:: nissen_transaction_id スコア注文ID
        #
        def nissen_transaction_id=(nissen_transaction_id)
          @nissen_transaction_id = nissen_transaction_id
        end

        #
        # ===加盟店注文ID1を取得する
        # 加盟店注文IDの内、1～20文字がセットされます
        # @return:: 加盟店注文ID1
        #
        def shop_transaction_id1
          @shop_transaction_id1 = nil unless instance_variable_defined?(:@shop_transaction_id1)
          @shop_transaction_id1
        end

        #
        # ===加盟店注文ID1を設定する
        # @param:: shop_transaction_id1 加盟店注文ID1
        #
        def shop_transaction_id1=(shop_transaction_id1)
          @shop_transaction_id1 = shop_transaction_id1
        end

        #
        # ===加盟店注文ID2を取得する
        # 加盟店注文IDの内、21～40文字がセットされます
        # @return:: 加盟店注文ID2
        #
        def shop_transaction_id2
          @shop_transaction_id2 = nil unless instance_variable_defined?(:@shop_transaction_id2)
          @shop_transaction_id2
        end

        #
        # ===加盟店注文ID2を設定する
        # @param:: shop_transaction_id2 加盟店注文ID2
        #
        def shop_transaction_id2=(shop_transaction_id2)
          @shop_transaction_id2 = shop_transaction_id2
        end

        #
        # ===加盟店通信欄1を取得する
        # 登録いただいている加盟店様の自由通信欄です
        # @return:: 加盟店通信欄1
        #
        def shop_message1
          @shop_message1 = nil unless instance_variable_defined?(:@shop_message1)
          @shop_message1
        end

        #
        # ===加盟店通信欄1を設定する
        # @param:: shop_message1 加盟店通信欄1
        #
        def shop_message1=(shop_message1)
          @shop_message1 = shop_message1
        end

        #
        # ===加盟店通信欄2を取得する
        # 登録いただいている加盟店様の自由通信欄です
        # @return:: 加盟店通信欄2
        #
        def shop_message2
          @shop_message2 = nil unless instance_variable_defined?(:@shop_message2)
          @shop_message2
        end

        #
        # ===加盟店通信欄2を設定する
        # @param:: shop_message2 加盟店通信欄2
        #
        def shop_message2=(shop_message2)
          @shop_message2 = shop_message2
        end

        #
        # ===加盟店通信欄3を取得する
        # 登録いただいている加盟店様の自由通信欄です
        # @return:: 加盟店通信欄3
        #
        def shop_message3
          @shop_message3 = nil unless instance_variable_defined?(:@shop_message3)
          @shop_message3
        end

        #
        # ===加盟店通信欄3を設定する
        # @param:: shop_message3 加盟店通信欄3
        #
        def shop_message3=(shop_message3)
          @shop_message3 = shop_message3
        end

        #
        # ===加盟店通信欄4を取得する
        # 登録いただいている加盟店様の自由通信欄です
        # @return:: 加盟店通信欄4
        #
        def shop_message4
          @shop_message4 = nil unless instance_variable_defined?(:@shop_message4)
          @shop_message4
        end

        #
        # ===加盟店通信欄4を設定する
        # @param:: shop_message4 加盟店通信欄4
        #
        def shop_message4=(shop_message4)
          @shop_message4 = shop_message4
        end

        #
        # ===加盟店通信欄5を取得する
        # 登録いただいている加盟店様の自由通信欄です
        # @return:: 加盟店通信欄5
        #
        def shop_message5
          @shop_message5 = nil unless instance_variable_defined?(:@shop_message5)
          @shop_message5
        end

        #
        # ===加盟店通信欄5を設定する
        # @param:: shop_message5 加盟店通信欄5
        #
        def shop_message5=(shop_message5)
          @shop_message5 = shop_message5
        end

        #
        # ===請求書形式を取得する
        # 封書形式(郵便局支払可)の取引の場合のみ、出力されます
        # 固定文字列となります
        # @return:: 請求書形式
        #
        def yobi1
          @yobi1 = nil unless instance_variable_defined?(:@yobi1)
          @yobi1
        end

        #
        # ===請求書形式を設定する
        # @param:: yobi1 請求書形式
        #
        def yobi1=(yobi1)
          @yobi1 = yobi1
        end

        #
        # ===郵便口座番号を取得する
        # 封書形式(郵便局支払可)の取引の場合のみ、出力されます
        # 固定文字列となります
        # 印字の際は必ず取得した値を利用してください
        # @return:: 郵便口座番号
        #
        def yobi2
          @yobi2 = nil unless instance_variable_defined?(:@yobi2)
          @yobi2
        end

        #
        # ===郵便口座番号を設定する
        # @param:: yobi2 郵便口座番号
        #
        def yobi2=(yobi2)
          @yobi2 = yobi2
        end

        #
        # ===郵便口座名義を取得する
        # 封書形式(郵便局支払可)の取引の場合のみ、出力されます
        # 固定文字列となります
        # 印字の際は必ず取得した値を利用してください
        # @return:: 郵便口座名義
        #
        def yobi3
          @yobi3 = nil unless instance_variable_defined?(:@yobi3)
          @yobi3
        end

        #
        # ===郵便口座名義を設定する
        # @param:: yobi3 郵便口座名義
        #
        def yobi3=(yobi3)
          @yobi3 = yobi3
        end

        #
        # ===郵便OCR-Bフォント上段を取得する
        # 封書形式(郵便局支払可)の取引の場合のみ、出力されます
        # 39文字(固定長)
        # 印字の際は必ず取得した値を利用してください
        # @return:: 郵便OCR-Bフォント上段
        #
        def yobi4
          @yobi4 = nil unless instance_variable_defined?(:@yobi4)
          @yobi4
        end

        #
        # ===郵便OCR-Bフォント上段を設定する
        # @param:: yobi4 郵便OCR-Bフォント上段
        #
        def yobi4=(yobi4)
          @yobi4 = yobi4
        end

        #
        # ===郵便OCR-Bフォント下段を取得する
        # 封書形式(郵便局支払可)の取引の場合のみ、出力されます
        # 44文字(固定長)
        # 印字の際は必ず取得した値を利用してください
        # @return:: 郵便OCR-Bフォント下段
        #
        def yobi5
          @yobi5 = nil unless instance_variable_defined?(:@yobi5)
          @yobi5
        end

        #
        # ===郵便OCR-Bフォント下段を設定する
        # @param:: yobi5 郵便OCR-Bフォント下段
        #
        def yobi5=(yobi5)
          @yobi5 = yobi5
        end

        #
        # ===払込取扱用購入者住所を取得する
        # 封書形式(郵便局支払可)の取引の場合のみ、出力されます
        # 固定文字列となります
        # @return:: 払込取扱用購入者住所
        #
        def yobi6
          @yobi6 = nil unless instance_variable_defined?(:@yobi6)
          @yobi6
        end

        #
        # ===払込取扱用購入者住所を設定する
        # @param:: yobi6 払込取扱用購入者住所
        #
        def yobi6=(yobi6)
          @yobi6 = yobi6
        end

        #
        # ===X印を取得する
        # 封書形式(郵便局支払可)の取引の場合のみ、出力されます
        # 固定文字列となります
        # @return:: X印
        #
        def yobi7
          @yobi7 = nil unless instance_variable_defined?(:@yobi7)
          @yobi7
        end

        #
        # ===X印を設定する
        # @param:: yobi7 X印
        #
        def yobi7=(yobi7)
          @yobi7 = yobi7
        end

        #
        # ===-を取得する
        # 予備項目。現在は出力されません
        # @return:: -
        #
        def yobi8
          @yobi8 = nil unless instance_variable_defined?(:@yobi8)
          @yobi8
        end

        #
        # ===-を設定する
        # @param:: yobi8 -
        #
        def yobi8=(yobi8)
          @yobi8 = yobi8
        end

        #
        # ===-を取得する
        # 予備項目。現在は出力されません
        # @return:: -
        #
        def yobi9
          @yobi9 = nil unless instance_variable_defined?(:@yobi9)
          @yobi9
        end

        #
        # ===-を設定する
        # @param:: yobi9 -
        #
        def yobi9=(yobi9)
          @yobi9 = yobi9
        end

        #
        # ===-を取得する
        # 予備項目。現在は出力されません
        # @return:: -
        #
        def yobi10
          @yobi10 = nil unless instance_variable_defined?(:@yobi10)
          @yobi10
        end

        #
        # ===-を設定する
        # @param:: yobi10 -
        #
        def yobi10=(yobi10)
          @yobi10 = yobi10
        end

        #
        # ===明細を取得する
        # 明細情報オブジェクトを配列で指定します。
        # @return:: 明細
        #
        def details
          @details = nil unless instance_variable_defined?(:@details)
          @details
        end

        #
        # ===明細を設定する
        # @param:: details 明細
        #
        def details=(details)
          @details = details
        end

        #
        # ===エラー詳細を取得する
        # エラー情報オブジェクトを配列で返却します。
        # @return:: エラー詳細
        #
        def errors
          @errors = nil unless instance_variable_defined?(:@errors)
          @errors
        end

        #
        # ===エラー詳細を設定する
        # @param:: errors エラー詳細
        #
        def errors=(errors)
          @errors = errors
        end


        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

        #
        # ===プロパティ名と対応するクラス名のハッシュを取得する
        # プロパティ名と対応するクラス名のハッシュ
        #
        def get_property_class_name_hash()
          @hash = {"details" => "ScoreatpayDetailDto", "errors" => "ScoreatpayErrorDto"}
          @hash
        end


      end
    end
  end
end
