# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/option_params'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =Trad拡張パラメータセット
      #
      # @author:: VeriTrans Inc.
      #
      class TradRequestDto < Veritrans::Tercerog::Mdk::OptionParams

        def initialize
          @option_name = "trad"
        end

        #
        # ===拡張パラメータ名を取得する
        # @return:: 拡張パラメータ名
        #
        def option_name
          @option_name = nil unless instance_variable_defined?(:@option_name)
          @option_name
        end

        #
        # ===文字コードを取得する
        # @return:: 広告サイズコード
        #
        def charset_code
          @charset_code = nil unless instance_variable_defined?(:@charset_code)
          @charset_code
        end

        #
        # ===文字コードを設定する
        # @param:: charset_code 文字コード
        #
        def charset_code=(charset_code)
          @charset_code = charset_code
        end

        #
        # ===広告サイズコードを取得する
        # @return:: 広告サイズコード
        #
        def scale_code
          @scale_code = nil unless instance_variable_defined?(:@scale_code)
          @scale_code
        end

        #
        # ===広告サイズコードを設定する
        # @param:: scale_code 広告サイズコード
        #
        def scale_code=(scale_code)
          @scale_code = scale_code
        end

      end
    end
  end
end
