# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/response_base_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：銀行振込決済、コマンド名：決済申込の応答Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class VirtualaccAuthorizeResponseDto < Veritrans::Tercerog::Mdk::ResponseBaseDto

        #
        # ===決済サービスタイプを取得する
        # 決済サービスの区分を返却します。
        # - "virtualacc"： 銀行振込決済
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスタイプを設定する
        # @param:: service_type 決済サービスタイプ
        #
        def service_type=(service_type)
          @service_type = service_type
        end

        #
        # ===処理結果コードを取得する
        # 決済請求処理後、応答電文に含まれる値。
        # 以下の処理結果のいずれかが格納される
        # - success：正常終了
        # - failure：異常終了
        # @return:: 処理結果コード
        #
        def mstatus
          @mstatus = nil unless instance_variable_defined?(:@mstatus)
          @mstatus
        end

        #
        # ===処理結果コードを設定する
        # @param:: mstatus 処理結果コード
        #
        def mstatus=(mstatus)
          @mstatus = mstatus
        end

        #
        # ===詳細結果コードを取得する
        # 処理結果を詳細に表すコードを返却します。
        # 
        # 4桁ずつ4つのブロックで構成され、各ブロックでサービス毎の処理結果を表します。
        # @return:: 詳細結果コード
        #
        def v_result_code
          @v_result_code = nil unless instance_variable_defined?(:@v_result_code)
          @v_result_code
        end

        #
        # ===詳細結果コードを設定する
        # @param:: v_result_code 詳細結果コード
        #
        def v_result_code=(v_result_code)
          @v_result_code = v_result_code
        end

        #
        # ===エラーメッセージを取得する
        # 処理結果に対するメッセージを返却します。
        # @return:: エラーメッセージ
        #
        def merr_msg
          @merr_msg = nil unless instance_variable_defined?(:@merr_msg)
          @merr_msg
        end

        #
        # ===エラーメッセージを設定する
        # @param:: merr_msg エラーメッセージ
        #
        def merr_msg=(merr_msg)
          @merr_msg = merr_msg
        end

        #
        # ===振込人名を取得する
        # リクエストのパラメータで受け取った"登録振込人名"の先頭に"振込番号"を連結して返却します。
        # @return:: 振込人名
        #
        def transfer_name
          @transfer_name = nil unless instance_variable_defined?(:@transfer_name)
          @transfer_name
        end

        #
        # ===振込人名を設定する
        # @param:: transfer_name 振込人名
        #
        def transfer_name=(transfer_name)
          @transfer_name = transfer_name
        end

        #
        # ===銀行名を取得する
        # 振込先の銀行名を返却します。
        # @return:: 銀行名
        #
        def bank_name
          @bank_name = nil unless instance_variable_defined?(:@bank_name)
          @bank_name
        end

        #
        # ===銀行名を設定する
        # @param:: bank_name 銀行名
        #
        def bank_name=(bank_name)
          @bank_name = bank_name
        end

        #
        # ===銀行コードを取得する
        # 振込先の銀行コードを返却します。
        # @return:: 銀行コード
        #
        def bank_code
          @bank_code = nil unless instance_variable_defined?(:@bank_code)
          @bank_code
        end

        #
        # ===銀行コードを設定する
        # @param:: bank_code 銀行コード
        #
        def bank_code=(bank_code)
          @bank_code = bank_code
        end

        #
        # ===支店名を取得する
        # 振込先の支店名を返却します。
        # @return:: 支店名
        #
        def branch_name
          @branch_name = nil unless instance_variable_defined?(:@branch_name)
          @branch_name
        end

        #
        # ===支店名を設定する
        # @param:: branch_name 支店名
        #
        def branch_name=(branch_name)
          @branch_name = branch_name
        end

        #
        # ===支店コードを取得する
        # 振込先の支店コードを返却します。
        # @return:: 支店コード
        #
        def branch_code
          @branch_code = nil unless instance_variable_defined?(:@branch_code)
          @branch_code
        end

        #
        # ===支店コードを設定する
        # @param:: branch_code 支店コード
        #
        def branch_code=(branch_code)
          @branch_code = branch_code
        end

        #
        # ===口座種別を取得する
        # 振込先の口座種別を返却します。
        # - 1 : 普通
        # - 2 : 当座
        # @return:: 口座種別
        #
        def account_type
          @account_type = nil unless instance_variable_defined?(:@account_type)
          @account_type
        end

        #
        # ===口座種別を設定する
        # @param:: account_type 口座種別
        #
        def account_type=(account_type)
          @account_type = account_type
        end

        #
        # ===口座番号を取得する
        # 振込先の口座番号を返却します。
        # @return:: 口座番号
        #
        def account_number
          @account_number = nil unless instance_variable_defined?(:@account_number)
          @account_number
        end

        #
        # ===口座番号を設定する
        # @param:: account_number 口座番号
        #
        def account_number=(account_number)
          @account_number = account_number
        end

        #
        # ===口座名義を取得する
        # 振込先の口座名義を返却します。
        # @return:: 口座名義
        #
        def account_name
          @account_name = nil unless instance_variable_defined?(:@account_name)
          @account_name
        end

        #
        # ===口座名義を設定する
        # @param:: account_name 口座名義
        #
        def account_name=(account_name)
          @account_name = account_name
        end

        #
        # ===電文IDを取得する
        # @return:: 電文ID
        #
        def march_txn
          @march_txn = nil unless instance_variable_defined?(:@march_txn)
          @march_txn
        end

        #
        # ===電文IDを設定する
        # @param:: march_txn 電文ID
        #
        def march_txn=(march_txn)
          @march_txn = march_txn
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===取引毎に付くIDを取得する
        # @return:: 取引毎に付くID
        #
        def cust_txn
          @cust_txn = nil unless instance_variable_defined?(:@cust_txn)
          @cust_txn
        end

        #
        # ===取引毎に付くIDを設定する
        # @param:: cust_txn 取引毎に付くID
        #
        def cust_txn=(cust_txn)
          @cust_txn = cust_txn
        end

        #
        # ===MDKバージョンを取得する
        # 電文のバージョン番号を返却します。
        # @return:: MDKバージョン
        #
        def txn_version
          @txn_version = nil unless instance_variable_defined?(:@txn_version)
          @txn_version
        end

        #
        # ===MDKバージョンを設定する
        # @param:: txn_version MDKバージョン
        #
        def txn_version=(txn_version)
          @txn_version = txn_version
        end


        #
        # ===PayNowIDオブジェクトを取得する
        # @return:: PayNowIDオブジェクト
        #
        def pay_now_id_response
          @pay_now_id_response = nil unless instance_variable_defined?(:@pay_now_id_response)
          @pay_now_id_response
        end

        #
        # ===PayNowIDオブジェクトを設定する
        # @param:: pay_now_id_response PayNowIDオブジェクト
        #
        def pay_now_id_response=(pay_now_id_response)
          @pay_now_id_response = pay_now_id_response
        end

      end
    end
  end
end
