# -*- encoding: utf-8 -*-
require 'tg_mdk/mdk_dto/abstract_payment_virtualacc_request_dto'

module Veritrans
  module Tercerog
    module Mdk

      #
      # =決済サービスタイプ：銀行振込決済、コマンド名：入金の要求Dtoクラス
      #
      # @author:: VeriTrans Inc.
      #
      class VirtualaccDepositEntryRequestDto < Veritrans::Tercerog::Mdk::AbstractPaymentVirtualaccRequestDto

        #
        # ===コンストラクタ
        #
        def initialize
          @service_type = SERVICE_TYPE
          @service_command = SERVICE_COMMAND
        end


        #
        # 決済サービスタイプ
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_TYPE = "virtualacc"

        #
        # 決済サービスコマンド
        # 半角英数字
        # 必須項目、固定値
        #
        SERVICE_COMMAND = "DepositEntry"


        #
        # ===決済サービスタイプを取得する
        # @return:: 決済サービスタイプ
        #
        def service_type
          @service_type = nil unless instance_variable_defined?(:@service_type)
          @service_type
        end

        #
        # ===決済サービスコマンドを取得する
        # @return:: 決済サービスコマンド
        #
        def service_command
          @service_command = nil unless instance_variable_defined?(:@service_command)
          @service_command
        end

        #
        # ===サービスオプションタイプを取得する
        # @return:: サービスオプションタイプ
        #
        def service_option_type
          @service_option_type = nil unless instance_variable_defined?(:@service_option_type)
          @service_option_type
        end

        #
        # ===サービスオプションタイプを設定する
        # - "resona":りそな
        # 
        # @param:: service_option_type サービスオプションタイプ
        #
        def service_option_type=(service_option_type)
          @service_option_type = service_option_type
        end

        #
        # ===振込人名を取得する
        # @return:: 振込人名
        #
        def transfer_name
          @transfer_name = nil unless instance_variable_defined?(:@transfer_name)
          @transfer_name
        end

        #
        # ===振込人名を設定する
        # 振込番号と登録時振込人名を結合したものを指定する
        # @param:: transfer_name 振込人名
        #
        def transfer_name=(transfer_name)
          @transfer_name = transfer_name
        end

        #
        # ===取引IDを取得する
        # @return:: 取引ID
        #
        def order_id
          @order_id = nil unless instance_variable_defined?(:@order_id)
          @order_id
        end

        #
        # ===取引IDを設定する
        # 入金する対象の取引IDを指定する
        # @param:: order_id 取引ID
        #
        def order_id=(order_id)
          @order_id = order_id
        end

        #
        # ===金額を取得する
        # @return:: 金額
        #
        def amount
          @amount = nil unless instance_variable_defined?(:@amount)
          @amount
        end

        #
        # ===金額を設定する
        # 入金金額を指定する
        # - 1 以上かつ 999999999999(12桁) 以下
        # @param:: amount 金額
        #
        def amount=(amount)
          @amount = amount
        end

        #
        # ===消込フラグを取得する
        # @return:: 消込フラグ
        #
        def with_reconcile
          @with_reconcile = nil unless instance_variable_defined?(:@with_reconcile)
          @with_reconcile
        end

        #
        # ===消込フラグを設定する
        # - 0 : 消込しない
        # - 1 : 消込(強制)
        # - 2 : 消込(自動)
        # ※ 未指定の場合は、0 : 消込しない
        # @param:: with_reconcile 消込フラグ
        #
        def with_reconcile=(with_reconcile)
          @with_reconcile = with_reconcile
        end

        #
        # ===登録方法を取得する
        # @return:: 登録方法
        #
        def registration_method
          @registration_method = nil unless instance_variable_defined?(:@registration_method)
          @registration_method
        end

        #
        # ===登録方法を設定する
        # - 0 : 手動
        # - 1 : 自動
        # ※ 未指定の場合は、0 : 手動
        # @param:: registration_method 登録方法
        #
        def registration_method=(registration_method)
          @registration_method = registration_method
        end

        #
        # ===入金日を取得する
        # @return:: 入金日
        #
        def deposit_date
          @deposit_date = nil unless instance_variable_defined?(:@deposit_date)
          @deposit_date
        end

        #
        # ===入金日を設定する
        # YYYYMMDD
        # @param:: deposit_date 入金日
        #
        def deposit_date=(deposit_date)
          @deposit_date = deposit_date
        end


      end
    end
  end
end
